/* ---------------------------------------------------------------- */
/*  Created On : 02-Feb-2021 15:20:02                               */
/*  DBMS       : MySQL                                              */
/*  Notes      : Script to populate initial data in a EA repository */
/* ---------------------------------------------------------------- */


-- Table   t_cardinality
-- --------------------------
INSERT INTO t_cardinality (`Cardinality`) VALUES ('*');
INSERT INTO t_cardinality (`Cardinality`) VALUES ('0');
INSERT INTO t_cardinality (`Cardinality`) VALUES ('0..*');
INSERT INTO t_cardinality (`Cardinality`) VALUES ('0..1');
INSERT INTO t_cardinality (`Cardinality`) VALUES ('1');
INSERT INTO t_cardinality (`Cardinality`) VALUES ('1..');
INSERT INTO t_cardinality (`Cardinality`) VALUES ('1..*');


-- Table   t_complexitytypes
-- --------------------------
INSERT INTO t_complexitytypes (`Complexity`,`NumericWeight`) VALUES ('Extreme',6);
INSERT INTO t_complexitytypes (`Complexity`,`NumericWeight`) VALUES ('High',4);
INSERT INTO t_complexitytypes (`Complexity`,`NumericWeight`) VALUES ('Low',2);
INSERT INTO t_complexitytypes (`Complexity`,`NumericWeight`) VALUES ('Medium',3);
INSERT INTO t_complexitytypes (`Complexity`,`NumericWeight`) VALUES ('V.High',5);
INSERT INTO t_complexitytypes (`Complexity`,`NumericWeight`) VALUES ('V.Low',1);


-- Table   t_connectortypes
-- --------------------------
INSERT INTO t_connectortypes (`Connector_Type`,`Description`) VALUES ('Abstraction','Abstraction');
INSERT INTO t_connectortypes (`Connector_Type`,`Description`) VALUES ('Aggregation','Aggregation');
INSERT INTO t_connectortypes (`Connector_Type`,`Description`) VALUES ('Assembly','Assembly');
INSERT INTO t_connectortypes (`Connector_Type`,`Description`) VALUES ('Association','Association');
INSERT INTO t_connectortypes (`Connector_Type`,`Description`) VALUES ('Collaboration','Collaboration');
INSERT INTO t_connectortypes (`Connector_Type`,`Description`) VALUES ('CommunicationPath','CommunicationPath');
INSERT INTO t_connectortypes (`Connector_Type`,`Description`) VALUES ('Connector','Composite Connector');
INSERT INTO t_connectortypes (`Connector_Type`,`Description`) VALUES ('ControlFlow','ControlFlow');
INSERT INTO t_connectortypes (`Connector_Type`,`Description`) VALUES ('Delegate','Delegate');
INSERT INTO t_connectortypes (`Connector_Type`,`Description`) VALUES ('Dependency','Dependency');
INSERT INTO t_connectortypes (`Connector_Type`,`Description`) VALUES ('Deployment','Deployment');
INSERT INTO t_connectortypes (`Connector_Type`,`Description`) VALUES ('ERLink','ERLink');
INSERT INTO t_connectortypes (`Connector_Type`,`Description`) VALUES ('Extension','Extension');
INSERT INTO t_connectortypes (`Connector_Type`,`Description`) VALUES ('Generalization','Generalization');
INSERT INTO t_connectortypes (`Connector_Type`,`Description`) VALUES ('InformationFlow','InformationFlow');
INSERT INTO t_connectortypes (`Connector_Type`,`Description`) VALUES ('Instantiation','Instantiation');
INSERT INTO t_connectortypes (`Connector_Type`,`Description`) VALUES ('InterruptFlow','InterruptFlow');
INSERT INTO t_connectortypes (`Connector_Type`,`Description`) VALUES ('Manifest','Manifest');
INSERT INTO t_connectortypes (`Connector_Type`,`Description`) VALUES ('Nesting','Nesting');
INSERT INTO t_connectortypes (`Connector_Type`,`Description`) VALUES ('NoteLink','NoteLink');
INSERT INTO t_connectortypes (`Connector_Type`,`Description`) VALUES ('ObjectFlow','ObjectFlow');
INSERT INTO t_connectortypes (`Connector_Type`,`Description`) VALUES ('Package','Package');
INSERT INTO t_connectortypes (`Connector_Type`,`Description`) VALUES ('ProtocolConformance','ProtocolConformance');
INSERT INTO t_connectortypes (`Connector_Type`,`Description`) VALUES ('ProtocolTransition','ProtocolTransition');
INSERT INTO t_connectortypes (`Connector_Type`,`Description`) VALUES ('Realisation','Realisation');
INSERT INTO t_connectortypes (`Connector_Type`,`Description`) VALUES ('Sequence','Sequence');
INSERT INTO t_connectortypes (`Connector_Type`,`Description`) VALUES ('StateFlow','StateFlow');
INSERT INTO t_connectortypes (`Connector_Type`,`Description`) VALUES ('Substitution','Substitution');
INSERT INTO t_connectortypes (`Connector_Type`,`Description`) VALUES ('Usage','Usage');
INSERT INTO t_connectortypes (`Connector_Type`,`Description`) VALUES ('UseCase','UseCase');


-- Table   t_constants
-- --------------------------
INSERT INTO t_constants (`ConstantName`,`ConstantValue`) VALUES ('CompanyName','Sparx Systems');
INSERT INTO t_constants (`ConstantName`,`ConstantValue`) VALUES ('ECF_EC','1.4');
INSERT INTO t_constants (`ConstantName`,`ConstantValue`) VALUES ('ECF_EWF','-0.03');
INSERT INTO t_constants (`ConstantName`,`ConstantValue`) VALUES ('HoursPerUCP','20');
INSERT INTO t_constants (`ConstantName`,`ConstantValue`) VALUES ('ProjectName','DOJ');
INSERT INTO t_constants (`ConstantName`,`ConstantValue`) VALUES ('TCF_TC','0.6');
INSERT INTO t_constants (`ConstantName`,`ConstantValue`) VALUES ('TCF_TWF','0.01');


-- Table   t_constrainttypes
-- --------------------------
INSERT INTO t_constrainttypes (`Constraint`,`Description`,`Notes`) VALUES ('Invariant','A state the object must always be in','1');
INSERT INTO t_constrainttypes (`Constraint`,`Description`,`Notes`) VALUES ('Post-condition','An ending state that must be met','1');
INSERT INTO t_constrainttypes (`Constraint`,`Description`,`Notes`) VALUES ('Pre-condition','A starting state that must be met','1');
INSERT INTO t_constrainttypes (`Constraint`,`Description`,`Notes`) VALUES ('Process','A process that must occur','1');


-- Table   t_datatypes
-- --------------------------
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','CHAR',1,2000,0,0,1,0,0,0,'1','1','1','1','1','char',1);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','VARCHAR2',1,4000,0,0,50,0,0,0,'1','1','1','1','1','varchar',2);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','VARCHAR',1,4000,0,0,50,0,0,0,'1','1','1','1','1','varchar',3);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','NCHAR',1,2000,0,0,50,0,0,0,'1','1','1','1','1','nchar',4);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','NVARCHAR',1,4000,0,0,50,0,0,0,'1','1','1','1','1','nvarchar',5);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','FLOAT',1,126,0,0,126,0,0,0,'1','1','1','1','1','float',6);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','NUMBER',2,0,38,0,0,8,2,0,'1','1','1','1','1','number',7);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','DATE',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',8);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','ROWID',0,0,0,0,0,0,0,0,'1','1','1','1','1','uniqueidentifier',9);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','RAW',1,2000,0,0,2000,0,0,0,'1','1','1','1','1','binary',10);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','LONG RAW',0,0,0,0,0,0,0,0,'1','1','1','1','1','binary',11);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','CLOB',0,0,0,0,0,0,0,0,'1','1','1','1','1','text',12);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','LONG',0,0,0,0,0,0,0,0,'1','1','1','1','1','long',13);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','NCLOB',0,0,0,0,0,0,0,0,'1','1','1','1','1','ntext',15);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','BLOB',0,0,0,0,0,0,0,0,'1','1','1','1','1','blob',16);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','BFILE',0,0,0,0,0,0,0,0,'1','1','1','1','1','blob',17);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQLServer7','binary',1,8000,0,0,10,0,0,0,'1','1','1','1','1','binary',18);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQLServer7','bit',0,0,0,0,0,0,0,0,'1','1','1','1','1','boolean',19);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQLServer7','char',1,8000,0,0,1,0,0,0,'1','1','1','1','1','char',20);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQLServer7','datetime',0,0,0,0,0,0,0,0,'1','1','1','1','1','DateTime',21);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQLServer7','decimal',2,0,38,0,0,18,0,0,'1','1','1','1','1','decimal',22);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQLServer7','float',1,53,0,0,53,0,0,0,'1','1','1','1','1','float',23);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQLServer7','image',0,0,0,0,0,0,0,0,'1','1','1','1','1','binary',24);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQLServer7','int',0,0,0,0,0,0,0,0,'1','1','1','1','1','integer',25);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQLServer7','money',0,0,0,0,0,0,0,0,'1','1','1','1','1','currency',26);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQLServer7','nchar',1,4000,0,0,10,0,0,0,'1','1','1','1','1','nchar',27);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQLServer7','ntext',0,0,0,0,0,0,0,0,'1','1','1','1','1','ntext',28);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQLServer7','nvarchar',1,4000,0,0,50,0,0,0,'1','1','1','1','1','nvarchar',29);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQLServer7','numeric',2,0,38,0,0,18,0,0,'1','1','1','1','1','numeric',30);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQLServer7','real',0,0,0,0,0,0,0,0,'1','1','1','1','1','real',31);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQLServer7','smalldatetime',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',32);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQLServer7','smallint',0,0,0,0,0,0,0,0,'1','1','1','1','1','smallint',33);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQLServer7','smallmoney',0,0,0,0,0,0,0,0,'1','1','1','1','1','money',34);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQLServer7','text',0,0,0,0,0,0,0,0,'1','1','1','1','1','text',35);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQLServer7','timestamp',0,0,0,0,0,0,0,0,'1','1','1','1','1','timestamp',36);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQLServer7','tinyint',0,0,0,0,0,0,0,0,'1','1','1','1','1','tinyint',37);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQLServer7','varchar',1,8000,0,0,50,0,0,0,'1','1','1','1','1','varchar',38);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQLServer7','varbinary',1,8000,0,0,50,0,0,0,'1','1','1','1','1','varbinary',39);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQLServer7','uniqueidentifier',0,0,0,0,0,0,0,0,'1','1','1','1','1','uniqueidentifier',40);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MSAccess','Text',1,255,0,0,50,0,0,0,'1','1','1','1','1','char',41);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MSAccess','Memo',0,65535,0,0,0,0,0,0,'1','1','1','1','1','text',42);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MSAccess','DateTime',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',43);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MSAccess','Currency',2,0,15,0,0,15,4,0,'1','1','1','1','1','currency',44);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MSAccess','Integer',0,0,0,0,0,0,0,0,'1','1','1','1','1','integer',45);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MSAccess','Long',0,0,0,0,0,0,0,0,'1','1','1','1','1','long',46);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MSAccess','Single',0,0,7,0,0,0,7,0,'1','1','1','1','1','float',47);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MSAccess','Double',0,0,0,0,0,0,0,0,'1','1','1','1','1','double',48);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MSAccess','Counter',0,0,0,0,0,0,0,0,'1','1','1','1','1','counter',49);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MSAccess','YesNo',0,0,0,0,0,0,0,0,'1','1','1','1','1','boolean',50);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Visual Basic','Boolean',0,0,0,0,0,0,0,0,'1','1','1','1','1','Boolean',51);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Visual Basic','Byte',0,0,0,0,0,0,0,0,'1','1','1','1','1','Byte',52);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Visual Basic','Currency',0,0,0,0,0,0,0,0,'1','1','1','1','1','Currency',53);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Visual Basic','Date',0,0,0,0,0,0,0,0,'1','1','1','1','1','DateTime',54);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Visual Basic','Double',0,0,0,0,0,0,0,0,'1','1','1','1','1','Double',55);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Visual Basic','Integer',0,0,0,0,0,0,0,0,'1','1','1','1','1','Integer',56);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Visual Basic','Long',0,0,0,0,0,0,0,0,'1','1','1','1','1','Long',57);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Visual Basic','Object',0,0,0,0,0,0,0,0,'1','1','1','1','1','1',58);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Visual Basic','Single',0,0,0,0,0,0,0,0,'1','1','1','1','1','1',59);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Visual Basic','String',0,0,0,0,0,0,0,0,'1','1','1','1','1','String',60);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Visual Basic','Variant',0,0,0,0,0,0,0,0,'1','1','1','1','1','Variant',61);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','C++','char',0,0,0,0,0,0,0,0,'1','1','1','1','1','Char',62);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','C++','int',0,0,0,0,0,0,0,0,'1','1','1','1','1','Integer',63);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','C++','short',0,0,0,0,0,0,0,0,'1','1','1','1','1','Short',64);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','C++','long',0,0,0,0,0,0,0,0,'1','1','1','1','1','Long',65);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','C++','float',0,0,0,0,0,0,0,0,'1','1','1','1','1','Float',66);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','C++','double',0,0,0,0,0,0,0,0,'1','1','1','1','1','Double',67);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','C++','void',0,0,0,0,0,0,0,0,'1','1','1','1','1','1',68);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','C++','unsigned char',0,0,0,0,0,0,0,0,'1','1','1','1','1','1',69);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','C++','unsigned int',0,0,0,0,0,0,0,0,'1','1','1','1','1','Uint',70);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','C++','unsigned short',0,0,0,0,0,0,0,0,'1','1','1','1','1','1',71);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','C++','unsigned long',0,0,0,0,0,0,0,0,'1','1','1','1','1','Ulong',72);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Java','byte',0,0,0,0,0,0,0,0,'1','1','1','1','1','Byte',73);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Java','char',0,0,0,0,0,0,0,0,'1','1','1','1','1','Char',74);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Java','int',0,0,0,0,0,0,0,0,'1','1','1','1','1','Integer',75);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Java','short',0,0,0,0,0,0,0,0,'1','1','1','1','1','Short',76);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Java','boolean',0,0,0,0,0,0,0,0,'1','1','1','1','1','Boolean',77);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Java','long',0,0,0,0,0,0,0,0,'1','1','1','1','1','Long',78);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Java','float',0,0,0,0,0,0,0,0,'1','1','1','1','1','Float',79);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Java','double',0,0,0,0,0,0,0,0,'1','1','1','1','1','Double',80);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Delphi','Boolean',0,0,0,0,0,0,0,0,'1','1','1','1','1','Boolean',81);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Delphi','Byte',0,0,0,0,0,0,0,0,'1','1','1','1','1','Byte',82);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Delphi','Cardinal',0,0,0,0,0,0,0,0,'1','1','1','1','1','1',83);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Delphi','Char',0,0,0,0,0,0,0,0,'1','1','1','1','1','Char',84);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Delphi','Currency',0,0,0,0,0,0,0,0,'1','1','1','1','1','Currency',85);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Delphi','Double',0,0,0,0,0,0,0,0,'1','1','1','1','1','Double',86);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Delphi','Extended',0,0,0,0,0,0,0,0,'1','1','1','1','1','1',87);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Delphi','Integer',0,0,0,0,0,0,0,0,'1','1','1','1','1','Integer',88);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Delphi','LongInt',0,0,0,0,0,0,0,0,'1','1','1','1','1','1',89);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Delphi','LongWord',0,0,0,0,0,0,0,0,'1','1','1','1','1','Ulong',90);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Delphi','Single',0,0,0,0,0,0,0,0,'1','1','1','1','1','1',91);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Delphi','ShortInt',0,0,0,0,0,0,0,0,'1','1','1','1','1','1',92);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Delphi','SmallInt',0,0,0,0,0,0,0,0,'1','1','1','1','1','1',93);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Delphi','String',0,0,0,0,0,0,0,0,'1','1','1','1','1','String',94);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Delphi','Real',0,0,0,0,0,0,0,0,'1','1','1','1','1','1',95);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Delphi','Variant',0,0,0,0,0,0,0,0,'1','1','1','1','1','Variant',96);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','Delphi','Word',0,0,0,0,0,0,0,0,'1','1','1','1','1','Word',98);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','C#','void',0,0,0,0,0,0,0,0,'1','1','1','1','1','1',99);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','C#','sbyte',0,0,0,0,0,0,0,0,'1','1','1','1','1','1',100);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','C#','byte',0,0,0,0,0,0,0,0,'1','1','1','1','1','Byte',101);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','C#','short',0,0,0,0,0,0,0,0,'1','1','1','1','1','Short',102);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','C#','ushort',0,0,0,0,0,0,0,0,'1','1','1','1','1','Ushort',103);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','C#','int',0,0,0,0,0,0,0,0,'1','1','1','1','1','Integer',104);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','C#','uint',0,0,0,0,0,0,0,0,'1','1','1','1','1','Uint',105);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','C#','long',0,0,0,0,0,0,0,0,'1','1','1','1','1','Long',106);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','C#','ulong',0,0,0,0,0,0,0,0,'1','1','1','1','1','Ulong',107);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','C#','char',0,0,0,0,0,0,0,0,'1','1','1','1','1','Char',108);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','C#','float',0,0,0,0,0,0,0,0,'1','1','1','1','1','Float',109);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','C#','double',0,0,0,0,0,0,0,0,'1','1','1','1','1','Double',110);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','C#','bool',0,0,0,0,0,0,0,0,'1','1','1','1','1','Boolean',111);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','C#','decimal',0,0,0,0,0,0,0,0,'1','1','1','1','1','Float',112);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','VBNet','Integer',0,0,0,0,0,0,0,0,'1','1','1','1','1','Integer',113);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','VBNet','String',0,0,0,0,0,0,0,0,'1','1','1','1','1','String',114);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','VBNet','Short',0,0,0,0,0,0,0,0,'1','1','1','1','1','Short',115);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','VBNet','Long',0,0,0,0,0,0,0,0,'1','1','1','1','1','Long',116);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','VBNet','Char',0,0,0,0,0,0,0,0,'1','1','1','1','1','Char',117);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','VBNet','Byte',0,0,0,0,0,0,0,0,'1','1','1','1','1','Byte',118);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','VBNet','Boolean',0,0,0,0,0,0,0,0,'1','1','1','1','1','Boolean',119);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','VBNet','Double',0,0,0,0,0,0,0,0,'1','1','1','1','1','Double',120);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','VBNet','Date',0,0,0,0,0,0,0,0,'1','1','1','1','1','Date',121);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','VBNet','Object',0,0,0,0,0,0,0,0,'1','1','1','1','1','1',122);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','VBNet','Single',0,0,0,0,0,0,0,0,'1','1','1','1','1','Single',123);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','VBNet','Datetime',0,0,0,0,0,0,0,0,'1','1','1','1','1','DateTime',124);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','VBNet','Decimal',0,0,0,0,0,0,0,0,'1','1','1','1','1','1',125);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','DB2','BIGINT',0,0,0,0,0,0,0,0,'1','1','1','1','1','bigint',126);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','DB2','BLOB',1,2097152,0,0,0,0,0,0,'1','1','1','1','1','blob',127);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','DB2','CHARACTER',1,254,0,0,10,0,0,0,'1','1','1','1','1','char',128);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','DB2','CLOB',0,0,0,0,0,0,0,0,'1','1','1','1','1','text',129);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','DB2','DATE',0,0,0,0,0,0,0,0,'1','1','1','1','1','date',130);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','DB2','DECIMAL',2,31,31,0,0,5,0,0,'1','1','1','1','1','decimal',131);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','DB2','DOUBLE',0,0,0,0,0,0,0,0,'1','1','1','1','1','double',132);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','DB2','INTEGER',0,0,0,0,0,0,0,0,'1','1','1','1','1','integer',133);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','DB2','LONG VARCHAR',0,0,0,0,0,0,0,0,'1','1','1','1','1','text',134);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','DB2','REAL',0,0,0,0,0,0,0,0,'1','1','1','1','1','real',135);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','DB2','TIME',0,0,0,0,0,0,0,0,'1','1','1','1','1','time',137);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','DB2','TIMESTAMP',0,0,0,0,0,0,0,0,'1','1','1','1','1','timestamp',138);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','DB2','VARCHAR',1,4000,0,0,10,0,0,0,'1','1','1','1','1','varchar',139);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','BIT',1,64,0,0,1,0,0,0,'1','1','1','1','1','bit',140);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','BOOL',0,0,0,0,0,0,0,0,'1','1','1','1','1','boolean',141);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','TINYINT',0,0,0,0,0,0,0,0,'1','1','1','1','1','tinyint',142);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','SMALLINT',0,0,0,0,0,0,0,0,'1','1','1','1','1','smallint',143);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','INTEGER',0,0,0,0,0,0,0,0,'1','1','1','1','1','integer',144);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','MEDIUMINT',0,0,0,0,0,0,0,0,'1','1','1','1','1','mediumint',145);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','BIGINT',0,0,0,0,0,0,0,0,'1','1','1','1','1','bigint',146);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','FLOAT',2,0,24,0,0,0,0,0,'1','1','1','1','1','float',147);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','DOUBLE',2,0,53,30,0,10,2,0,'1','1','1','1','1','double',148);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','DOUBLE PRECISION',2,0,53,30,0,10,2,0,'1','1','1','1','1','double',149);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','REAL',2,0,53,30,0,10,2,0,'1','1','1','1','1','real',150);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','NUMERIC',2,0,65,30,0,10,2,0,'1','1','1','1','1','numeric',151);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','DECIMAL',2,0,65,30,0,10,2,0,'1','1','1','1','1','decimal',152);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','DATE',0,0,0,0,0,0,0,0,'1','1','1','1','1','date',153);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','DATETIME',1,6,0,0,0,0,0,0,'1','1','1','1','1','datetime',154);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','TIME',1,6,0,0,0,0,0,0,'1','1','1','1','1','time',155);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','TIMESTAMP',1,6,0,0,0,0,0,0,'1','1','1','1','1','timestamp',156);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','CHAR',1,255,0,0,10,0,0,0,'1','1','1','1','1','char',157);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','VARCHAR',1,65535,0,0,50,0,0,0,'1','1','1','1','1','varchar',158);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','BLOB',0,0,0,0,0,0,0,0,'1','1','1','1','1','blob',159);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','TEXT',0,0,0,0,0,0,0,0,'1','1','1','1','1','text',160);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2000','decimal',2,38,38,38,0,10,2,0,'1','1','1','1','1','decimal',161);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2000','sql_variant',0,0,0,0,0,0,0,0,'1','1','1','1','1','sqlvariant',162);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2000','numeric',2,38,38,38,0,10,2,0,'1','1','1','1','1','numeric',163);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2000','varbinary',1,8000,0,0,50,0,0,0,'1','1','1','1','1','varbinary',164);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2000','bit',0,0,0,0,0,0,0,0,'1','1','1','1','1','boolean',165);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','InterBase','integer',0,0,0,0,10,0,0,0,'1','1','1','1','1','integer',167);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','InterBase','smallint',0,0,0,0,10,0,0,0,'1','1','1','1','1','smallint',168);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','NCHAR',1,255,0,0,10,0,0,0,'1','1','1','1','1','nchar',169);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','InterBase','timestamp',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',170);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','real',1,53,0,0,53,0,0,0,'1','1','1','1','1','real',171);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2000','char',1,8000,0,0,10,0,0,0,'1','1','1','1','1','char',174);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2000','timestamp',0,0,0,0,0,0,0,0,'1','1','1','1','1','timestamp',175);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','InterBase','double precision',0,0,0,0,0,0,0,0,'1','1','1','1','1','double',178);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2000','binary',1,8000,0,0,10,0,0,0,'1','1','1','1','1','Binary',179);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2000','image',0,0,0,0,0,0,0,0,'1','1','1','1','1','blob',180);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2000','nvarchar',1,4000,0,0,50,0,0,0,'1','1','1','1','1','nvarchar',181);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2000','smalldatetime',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',182);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','numeric',2,0,1000,1000,0,0,0,0,'1','1','1','1','1','numeric',183);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','DB2','FLOAT',0,0,0,0,0,0,0,0,'1','1','1','1','1','float',184);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','integer',0,0,0,0,0,0,0,0,'1','1','1','1','1','integer',185);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','varchar',1,1048576,0,0,50,0,0,0,'1','1','1','1','1','varchar',186);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','InterBase','blob sub_type 0',0,0,0,0,0,0,0,0,'1','1','1','1','1','blob',188);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2000','money',0,0,0,0,0,19,4,0,'1','1','1','1','1','currency',190);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2000','ntext',0,0,0,0,0,0,0,0,'1','1','1','1','1','ntext',191);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2000','uniqueidentifier',0,0,0,0,0,0,0,0,'1','1','1','1','1','guid',192);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','bigint',0,0,0,0,0,0,0,0,'1','1','1','1','1','bigint',195);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','DB2','SMALLINT',0,0,0,0,0,0,0,0,'1','1','1','1','1','smallint',196);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MSAccess','OLEObject',0,0,0,0,0,0,0,0,'1','1','1','1','1','blob',199);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','DB2','DBCLOB',1,1073741823,0,0,1,0,0,0,'1','1','1','1','1','dbclob',822);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2000','int',0,0,0,0,0,0,0,0,'1','1','1','1','1','integer',201);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2000','datetime',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',203);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2000','float',0,53,0,0,53,0,0,0,'1','1','1','1','1','float',204);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2000','nchar',1,4000,0,0,10,0,0,0,'1','1','1','1','1','nchar',205);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','NVARCHAR2',1,4000,0,0,50,0,0,0,'1','1','1','1','1','nvarchar',206);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','InterBase','varchar',1,32767,0,0,50,0,0,0,'1','1','1','1','1','varchar',209);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MSAccess','Byte',0,0,0,0,0,0,0,0,'1','1','1','1','1','tinyint',210);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2000','real',0,53,0,0,53,0,0,0,'1','1','1','1','1','double',211);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2000','text',0,0,0,0,0,0,0,0,'1','1','1','1','1','text',212);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2000','tinyint',0,0,0,0,0,0,0,0,'1','1','1','1','1','tinyint',213);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','smallint',0,0,0,0,0,0,0,0,'1','1','1','1','1','smallint',214);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','number',0,0,0,0,0,0,0,0,'1','1','1','1','1','currency',215);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2000','smallint',0,0,0,0,0,0,0,0,'1','1','1','1','1','smallint',216);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2000','varchar',1,8000,0,0,50,0,0,0,'1','1','1','1','1','varchar',217);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','DB2','CHAR',1,254,0,0,10,0,0,0,'1','1','1','1','1','char',218);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','char',1,1048576,0,0,1,0,0,0,'1','1','1','1','1','char',219);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','decimal',2,0,1000,1000,0,0,0,0,'1','1','1','1','1','decimal',220);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','text',0,0,0,0,0,0,0,0,'1','1','1','1','1','text',221);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2000','bigint',0,0,0,0,0,0,0,0,'1','1','1','1','1','bigint',222);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2000','smallmoney',0,0,0,0,0,0,0,0,'1','1','1','1','1','money',226);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','InterBase','blob sub_type 1',0,0,0,0,0,0,0,0,'1','1','1','1','1','text',227);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','InterBase','char',1,32767,0,0,10,0,0,0,'1','1','1','1','1','char',228);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','boolean',0,0,0,0,0,0,0,0,'1','1','1','1','1','boolean',230);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','timestamp',1,6,0,0,0,0,0,0,'1','1','1','1','1','datetime',231);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','NVARCHAR',1,65535,0,0,50,0,0,0,'1','1','1','1','1','nvarchar',232);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','bytea',0,0,0,0,0,0,0,0,'1','1','1','1','1','blob',233);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','InterBase','decimal',2,0,64,64,0,10,2,0,'1','1','1','1','1','decimal',235);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','PHP','var',0,1,1,0,1,1,1,1,'1','1','1','1','1','var',236);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','C#','string',0,1,1,0,1,1,1,1,'1','1','1','1','1','String',237);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','C++','wchar_t',0,1,1,0,1,1,1,1,'1','1','1','1','1','Char',238);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('Code','C++','bool',0,1,1,0,1,1,1,1,'1','1','1','1','1','Boolean',239);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase ASE','tinyint',0,0,0,0,0,0,0,0,'1','1','1','1','1','tinyint',240);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase ASE','smallint',0,0,0,0,0,0,0,0,'1','1','1','1','1','smallint',241);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase ASE','int',0,0,0,0,0,0,0,0,'1','1','1','1','1','integer',242);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase ASE','numeric',2,0,38,38,0,18,0,0,'1','1','1','1','1','numeric',243);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase ASE','decimal',2,0,38,38,0,18,0,0,'1','1','1','1','1','decimal',244);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase ASE','float',0,0,0,0,0,0,0,0,'1','1','1','1','1','float',245);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase ASE','double precision',0,0,0,0,0,0,0,0,'1','1','1','1','1','double',246);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase ASE','real',0,0,0,0,0,0,0,0,'1','1','1','1','1','real',247);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase ASE','smallmoney',0,0,0,0,0,0,0,0,'1','1','1','1','1','money',248);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase ASE','money',0,0,0,0,0,0,0,0,'1','1','1','1','1','money',249);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase ASE','smalldatetime',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',250);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase ASE','datetime',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',251);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase ASE','char',1,16384,0,0,50,0,0,0,'1','1','1','1','1','char',252);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase ASE','varchar',1,16384,0,0,100,0,0,0,'1','1','1','1','1','varchar',253);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase ASE','unichar',1,0,0,0,50,0,0,0,'1','1','1','1','1','char',254);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase ASE','univarchar',1,0,0,0,50,0,0,0,'1','1','1','1','1','varchar',255);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase ASE','nchar',1,16384,0,0,50,0,0,0,'1','1','1','1','1','nchar',256);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase ASE','nvarchar',1,16384,0,0,50,0,0,0,'1','1','1','1','1','nvarchar',257);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase ASE','text',0,0,0,0,50,0,0,0,'1','1','1','1','1','text',258);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase ASE','binary',1,255,0,0,1,0,0,0,'1','1','1','1','1','binary',259);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase ASE','image',0,0,0,0,0,0,0,0,'1','1','1','1','1','blob',261);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase ASE','bit',0,0,0,0,0,0,0,0,'1','1','1','1','1','boolean',262);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','INTEGER',0,0,0,0,0,0,0,0,'1','1','1','1','1','integer',263);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','INT',0,0,0,0,0,0,0,0,'1','1','1','1','1','integer',264);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','SMALLINT',0,0,0,0,0,0,0,0,'1','1','1','1','1','smallint',265);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','INT8',0,0,0,0,0,0,0,0,'1','1','1','1','1','bigint',266);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','SERIAL',0,0,0,0,0,0,0,0,'1','1','1','1','1','integer',267);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','SERIAL8',0,0,0,0,0,0,0,0,'1','1','1','1','1','integer',268);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','FLOAT',0,0,0,0,0,0,0,0,'1','1','1','1','1','float',269);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','SMALLFLOAT',0,4,0,0,4,0,0,0,'1','1','1','1','1','float',270);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DECIMAL',2,0,32,32,0,8,3,0,'1','1','1','1','1','decimal',271);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DEC',2,0,32,32,0,8,3,0,'1','1','1','1','1','decimal',272);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','MONEY',2,0,32,3,0,8,3,0,'1','1','1','1','1','money',273);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DATE',0,0,0,0,0,0,0,0,'1','1','1','1','1','date',274);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DATETIME HOUR TO MINUTE',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',275);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DATETIME YEAR TO YEAR',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',276);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DATETIME YEAR TO MONTH',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',277);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DATETIME YEAR TO DAY',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',278);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DATETIME YEAR TO HOUR',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',279);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DATETIME YEAR TO MINUTE',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',280);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DATETIME YEAR TO SECOND',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',281);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DATETIME YEAR TO FRACTION',1,5,0,0,3,0,0,0,'1','1','1','1','1','datetime',282);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DATETIME MONTH TO MONTH',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',283);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','DB2','GRAPHIC',1,127,0,0,1,0,0,0,'1','1','1','1','1','graphic',823);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DATETIME MONTH TO DAY',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',284);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DATETIME MONTH TO HOUR',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',285);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DATETIME MONTH TO MINUTE',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',286);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DATETIME MONTH TO SECOND',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',287);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DATETIME MONTH TO FRACTION',1,5,0,0,3,0,0,0,'1','1','1','1','1','datetime',288);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DATETIME DAY TO DAY',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',289);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DATETIME DAY TO HOUR',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',290);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DATETIME DAY TO MINUTE',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',291);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DATETIME DAY TO SECOND',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',292);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DATETIME DAY TO FRACTION',1,5,0,0,3,0,0,0,'1','1','1','1','1','datetime',293);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DATETIME HOUR TO HOUR',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',294);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DATETIME HOUR TO FRACTION',1,5,0,0,3,0,0,0,'1','1','1','1','1','datetime',295);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DATETIME HOUR TO SECOND',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',296);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DATETIME MINUTE TO MINUTE',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',297);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DATETIME MINUTE TO SECOND',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',298);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DATETIME MINUTE TO FRACTION',1,5,0,0,3,0,0,0,'1','1','1','1','1','datetime',299);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DATETIME SECOND TO SECOND',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',300);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DATETIME SECOND TO FRACTION',1,5,0,0,3,0,0,0,'1','1','1','1','1','datetime',301);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','DATETIME FRACTION TO FRACTION',1,5,0,0,3,0,0,0,'1','1','1','1','1','datetime',302);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','BOOLEAN',0,0,0,0,0,0,0,0,'1','1','1','1','1','boolean',303);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','CHAR',1,32767,0,0,10,0,0,0,'1','1','1','1','1','char',304);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','CHARACTER',1,32767,0,0,10,0,0,0,'1','1','1','1','1','char',305);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','NCHAR',1,32767,0,0,50,0,0,0,'1','1','1','1','1','nchar',306);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','CHARACTER VARYING',1,255,0,0,0,0,0,0,'1','1','1','1','1','char',307);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','VARCHAR',1,255,0,0,10,0,0,0,'1','1','1','1','1','varchar',308);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','NVARCHAR',1,255,0,0,50,0,0,0,'1','1','1','1','1','nvarchar',309);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','LVARCHAR',1,32767,0,0,2048,0,0,0,'1','1','1','1','1','char',310);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','TEXT',0,0,0,0,0,0,0,0,'1','1','1','1','1','text',311);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','BYTE',0,0,0,0,0,0,0,0,'1','1','1','1','1','Binary',312);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','BLOB',0,0,0,0,0,0,0,0,'1','1','1','1','1','blob',313);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','CLOB',0,0,0,0,0,0,0,0,'1','1','1','1','1','ntext',314);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','ansidate',0,0,0,0,0,0,0,0,'1','1','1','1','1','ansidate',315);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','bigint',0,0,0,0,0,0,0,0,'1','1','1','1','1','bigint',316);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','byte',1,32000,0,0,0,0,0,0,'1','1','1','1','1','Binary',317);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','byte var',1,32000,0,0,0,0,0,0,'1','1','1','1','1','Binary',318);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','c',1,32000,0,0,0,0,0,0,'1','1','1','1','1','char',319);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','char',1,32000,0,0,0,0,0,0,'1','1','1','1','1','char',320);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','date',0,0,0,0,0,0,0,0,'1','1','1','1','1','date',321);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','decimal',2,0,31,10,0,5,0,0,'1','1','1','1','1','decimal',322);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','float',1,53,0,0,8,0,0,0,'1','1','1','1','1','float',323);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','float4',0,0,0,0,0,0,0,0,'1','1','1','1','1','real',324);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','float8',0,0,0,0,0,0,0,0,'1','1','1','1','1','float',325);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','ingresdate',0,0,0,0,0,0,0,0,'1','1','1','1','1','date',326);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','int1',0,0,0,0,0,0,0,0,'1','1','1','1','1','integer1',327);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','int2',0,0,0,0,0,0,0,0,'1','1','1','1','1','smallint',328);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','int4',0,0,0,0,0,0,0,0,'1','1','1','1','1','int',329);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','int8',0,0,0,0,0,0,0,0,'1','1','1','1','1','bigint',330);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','integer',0,0,0,0,0,0,0,0,'1','1','1','1','1','integer',331);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','interval day to second',0,0,0,0,0,0,0,0,'1','1','1','1','1','interval day to second',332);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','interval year to month',0,0,0,0,0,0,0,0,'1','1','1','1','1','interval year to month',333);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','long byte',0,0,0,0,0,0,0,0,'1','1','1','1','1','long byte',334);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','long nvarchar',0,0,0,0,0,0,0,0,'1','1','1','1','1','long nvarchar',335);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','long varchar',0,0,0,0,0,0,0,0,'1','1','1','1','1','long varchar',336);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','money',0,0,0,0,0,0,0,0,'1','1','1','1','1','money',337);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','nchar',1,16000,0,0,0,0,0,0,'1','1','1','1','1','nchar',338);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','nvarchar',1,16000,0,0,0,0,0,0,'1','1','1','1','1','nvarchar',339);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','Object Key',0,0,0,0,0,0,0,0,'1','1','1','1','1','OBJECT_KEY',340);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','Table Key',0,0,0,0,0,0,0,0,'1','1','1','1','1','TABLE_KEY',341);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','text',1,32000,0,0,0,0,0,0,'1','1','1','1','1','text',342);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','time with local time zone',0,0,0,0,0,0,0,0,'1','1','1','1','1','time',343);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','time with time zone',0,0,0,0,0,0,0,0,'1','1','1','1','1','time',344);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','time without time zone',0,0,0,0,0,0,0,0,'1','1','1','1','1','TABLE_KEY',345);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','timestamp with local time zone',0,0,0,0,0,0,0,0,'1','1','1','1','1','timestampt',346);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','timestamp with time zone',0,0,0,0,0,0,0,0,'1','1','1','1','1','timestampt',347);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','timestamp without time zone',0,0,0,0,0,0,0,0,'1','1','1','1','1','timestampt',348);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Ingres','varchar',1,32000,0,0,0,0,0,0,'1','1','1','1','1','varchar',349);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2005','bigint',0,0,0,0,0,0,0,0,'1','1','1','1','1','bigint',350);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2005','int',0,0,0,0,0,0,0,0,'1','1','1','1','1','integer',351);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2005','smallint',0,0,0,0,0,0,0,0,'1','1','1','1','1','smallint',352);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2005','tinyint',0,0,0,0,0,0,0,0,'1','1','1','1','1','tinyint',353);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2005','bit',0,0,0,0,0,0,0,0,'1','1','1','1','1','boolean',354);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2005','decimal',2,38,38,38,0,10,2,0,'1','1','1','1','1','decimal',355);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2005','numeric',2,38,38,38,0,10,2,0,'1','1','1','1','1','numeric',356);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2005','money',0,0,0,0,0,19,4,0,'1','1','1','1','1','currency',357);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2005','smallmoney',0,0,0,0,0,0,0,0,'1','1','1','1','1','money',358);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2005','float',0,53,0,0,53,0,0,0,'1','1','1','1','1','float',359);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2005','real',0,53,0,0,53,0,0,0,'1','1','1','1','1','double',360);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2005','datetime',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',361);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2005','smalldatetime',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',362);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2005','char',1,8000,0,0,10,0,0,0,'1','1','1','1','1','char',363);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2005','varchar',1,8000,0,0,50,0,0,0,'1','1','1','1','1','varchar',364);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2005','text',0,0,0,0,0,0,0,0,'1','1','1','1','1','text',365);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2005','nchar',1,4000,0,0,10,0,0,0,'1','1','1','1','1','nchar',366);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2005','nvarchar',1,4000,0,0,50,0,0,0,'1','1','1','1','1','nvarchar',367);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2005','ntext',0,0,0,0,0,0,0,0,'1','1','1','1','1','ntext',368);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2005','binary',1,8000,0,0,10,0,0,0,'1','1','1','1','1','Binary',369);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2005','varbinary',1,8000,0,0,50,0,0,0,'1','1','1','1','1','varbinary',370);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2005','image',0,0,0,0,0,0,0,0,'1','1','1','1','1','blob',371);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2005','sql_variant',0,0,0,0,0,0,0,0,'1','1','1','1','1','sqlvariant',372);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2005','timestamp',0,0,0,0,0,0,0,0,'1','1','1','1','1','timestamp',373);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2005','uniqueidentifier',0,0,0,0,0,0,0,0,'1','1','1','1','1','guid',374);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2005','xml',0,0,0,0,0,0,0,0,'1','1','1','1','1','text',375);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','INTERVAL YEAR TO YEAR',0,9,0,0,0,0,0,0,'1','1','1','1','1','interval',376);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','INTERVAL YEAR TO MONTH',0,9,0,0,0,0,0,0,'1','1','1','1','1','interval',377);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','INTERVAL MONTH TO MONTH',0,9,0,0,0,0,0,0,'1','1','1','1','1','interval',378);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','INTERVAL DAY TO DAY',0,9,0,0,0,0,0,0,'1','1','1','1','1','interval',379);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','INTERVAL DAY TO HOUR',0,9,0,0,0,0,0,0,'1','1','1','1','1','interval',380);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','INTERVAL DAY TO MINUTE',0,9,0,0,0,0,0,0,'1','1','1','1','1','interval',381);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','INTERVAL DAY TO SECOND',0,9,0,0,0,0,0,0,'1','1','1','1','1','interval',382);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','INTERVAL DAY TO FRACTION',1,5,0,0,0,0,0,0,'1','1','1','1','1','interval',383);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','INTERVAL HOUR TO HOUR',0,9,0,0,0,0,0,0,'1','1','1','1','1','interval',384);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','INTERVAL HOUR TO MINUTE',0,9,0,0,0,0,0,0,'1','1','1','1','1','interval',385);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','INTERVAL HOUR TO SECOND',0,9,0,0,0,0,0,0,'1','1','1','1','1','interval',386);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','INTERVAL HOUR TO FRACTION',1,5,0,0,0,0,0,0,'1','1','1','1','1','interval',387);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','INTERVAL MINUTE TO MINUTE',0,9,0,0,0,0,0,0,'1','1','1','1','1','interval',388);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','INTERVAL MINUTE TO SECOND',0,9,0,0,0,0,0,0,'1','1','1','1','1','interval',389);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','INTERVAL MINUTE TO FRACTION',1,5,0,0,0,0,0,0,'1','1','1','1','1','interval',390);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','INTERVAL SECOND TO SECOND',0,9,0,0,0,0,0,0,'1','1','1','1','1','interval',391);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','INTERVAL SECOND TO FRACTION',1,5,0,0,0,0,0,0,'1','1','1','1','1','interval',392);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Informix','INTERVAL FRACTION TO FRACTION',1,5,0,0,0,0,0,0,'1','1','1','1','1','interval',393);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2005','varchar(max)',0,0,0,0,0,0,0,0,'1','1','1','1','1','varchar',394);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2005','varbinary(max)',0,0,0,0,0,0,0,0,'1','1','1','1','1','varbinary',395);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','bigint',0,0,0,0,0,0,0,0,'1','1','1','1','1','bigint',396);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','bit',0,0,0,0,0,0,0,0,'1','1','1','1','1','boolean',397);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','decimal',2,38,38,38,0,10,2,0,'1','1','1','1','1','decimal',398);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','int',0,0,0,0,0,0,0,0,'1','1','1','1','1','integer',399);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','money',0,0,0,0,0,19,4,0,'1','1','1','1','1','currency',400);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','numeric',2,38,38,38,0,10,2,0,'1','1','1','1','1','numeric',401);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','smallint',0,0,0,0,0,0,0,0,'1','1','1','1','1','smallint',402);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','smallmoney',0,0,0,0,0,0,0,0,'1','1','1','1','1','money',403);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','tinyint',0,0,0,0,0,0,0,0,'1','1','1','1','1','tinyint',404);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','float',0,53,0,0,53,0,0,0,'1','1','1','1','1','float',405);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','real',0,53,0,0,53,0,0,0,'1','1','1','1','1','double',406);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','date',0,0,0,0,0,0,0,0,'1','1','1','1','1','date',407);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','datetime2',1,7,0,0,7,0,0,0,'1','1','1','1','1','datetime',408);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','datetime',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',409);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','datetimeoffset',1,7,0,0,7,0,0,0,'1','1','1','1','1','datetime',410);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','smalldatetime',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',411);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','time',1,7,0,0,7,0,0,0,'1','1','1','1','1','time',412);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','char',1,8000,0,0,10,0,0,0,'1','1','1','1','1','char',413);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','varchar',1,8000,0,0,50,0,0,0,'1','1','1','1','1','varchar',414);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','varchar(max)',0,0,0,0,0,0,0,0,'1','1','1','1','1','varchar',415);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','text',0,0,0,0,0,0,0,0,'1','1','1','1','1','text',416);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','nchar',1,4000,0,0,10,0,0,0,'1','1','1','1','1','nchar',417);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','nvarchar',1,4000,0,0,50,0,0,0,'1','1','1','1','1','nvarchar',418);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','nvarchar(max)',0,0,0,0,0,0,0,0,'1','1','1','1','1','varchar',419);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','ntext',0,0,0,0,0,0,0,0,'1','1','1','1','1','ntext',420);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','binary',1,8000,0,0,10,0,0,0,'1','1','1','1','1','Binary',421);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','varbinary',1,8000,0,0,50,0,0,0,'1','1','1','1','1','varbinary',422);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','varbinary(max)',0,0,0,0,0,0,0,0,'1','1','1','1','1','varbinary',423);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','image',0,0,0,0,0,0,0,0,'1','1','1','1','1','blob',424);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','timestamp',0,0,0,0,0,0,0,0,'1','1','1','1','1','timestamp',425);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','uniqueidentifier',0,0,0,0,0,0,0,0,'1','1','1','1','1','guid',426);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','sql_variant',0,0,0,0,0,0,0,0,'1','1','1','1','1','sqlvariant',427);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','xml',0,0,0,0,0,0,0,0,'1','1','1','1','1','text',428);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','hierarchyid',0,0,0,0,0,0,0,0,'1','1','1','1','1','text',429);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','geometry',0,0,0,0,0,0,0,0,'1','1','1','1','1','text',430);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2008','geography',0,0,0,0,0,0,0,0,'1','1','1','1','1','text',431);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MSAccess 2007','Text',1,255,0,0,50,0,0,0,'1','1','1','1','1','char',432);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MSAccess 2007','Memo',0,0,0,0,0,0,0,0,'1','1','1','1','1','text',433);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MSAccess 2007','DateTime',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',434);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MSAccess 2007','Currency',0,0,0,0,0,0,0,0,'1','1','1','1','1','currency',435);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MSAccess 2007','Integer',0,0,0,0,0,0,0,0,'1','1','1','1','1','integer',436);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MSAccess 2007','Long',0,0,0,0,0,0,0,0,'1','1','1','1','1','long',437);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MSAccess 2007','Single',0,0,0,0,0,0,0,0,'1','1','1','1','1','float',438);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MSAccess 2007','Double',0,0,0,0,0,0,0,0,'1','1','1','1','1','double',439);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MSAccess 2007','Counter',0,0,0,0,0,0,0,0,'1','1','1','1','1','counter',440);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MSAccess 2007','YesNo',0,0,0,0,0,0,0,0,'1','1','1','1','1','boolean',441);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MSAccess 2007','OLEObject',0,0,0,0,0,0,0,0,'1','1','1','1','1','blob',442);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MSAccess 2007','Byte',0,0,0,0,0,0,0,0,'1','1','1','1','1','tinyint',443);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MSAccess 2007','Decimal',0,0,0,0,0,0,0,0,'1','1','1','1','1','decimal',445);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQLite','INTEGER',0,0,0,0,0,0,0,0,'1','1','1','1','1','integer',447);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQLite','NUMERIC',0,0,0,0,0,0,0,0,'1','1','1','1','1','numeric',448);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQLite','TEXT',0,0,0,0,0,0,0,0,'1','1','1','1','1','text',449);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQLite','BLOB',0,0,0,0,0,0,0,0,'1','1','1','1','1','blob',450);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQLite','REAL',0,0,0,0,0,0,0,0,'1','1','1','1','1','real',451);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','InterBase','numeric',2,0,64,64,0,10,2,0,'1','1','1','1','1','numeric',452);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','InterBase','float',0,0,0,0,0,0,0,0,'1','1','1','1','1','float',453);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','BINARY_FLOAT',0,0,0,0,0,0,0,0,'1','1','1','1','1','float',454);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','BINARY_DOUBLE',0,0,0,0,0,0,0,0,'1','1','1','1','1','double',455);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','TIMESTAMP',1,9,0,0,6,0,0,0,'1','1','1','1','1','timestamp',456);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','TIMESTAMP WITH TIME ZONE',1,9,0,0,6,0,0,0,'1','1','1','1','1','timestamp with time zone',457);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','TIMESTAMP WITH LOCAL TIME ZONE',1,9,0,0,6,0,0,0,'1','1','1','1','1','timestamp with local time zone',458);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','INTERVAL YEAR TO MONTH',1,9,0,0,2,0,0,0,'1','1','1','1','1','interval year to month',459);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','INTERVAL DAY TO SECOND',2,0,9,9,0,2,6,0,'1','1','1','1','1','interval day to second',460);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','ANYDATA',0,0,0,0,0,0,0,0,'1','1','1','1','1','text',461);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','ANYTYPE',0,0,0,0,0,0,0,0,'1','1','1','1','1','text',462);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','ANYDATASET',0,0,0,0,0,0,0,0,'1','1','1','1','1','text',463);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','URITYPE',0,0,0,0,0,0,0,0,'1','1','1','1','1','uri',464);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','DBURITYPE',0,0,0,0,0,0,0,0,'1','1','1','1','1','uri',465);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','XDBURITYPE',0,0,0,0,0,0,0,0,'1','1','1','1','1','uri',466);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','HTTPURITYPE',0,0,0,0,0,0,0,0,'1','1','1','1','1','uri',467);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','XMLTYPE',0,0,0,0,0,0,0,0,'1','1','1','1','1','xml',468);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','SDO_GEOMETRY',0,0,0,0,0,0,0,0,'1','1','1','1','1','spatial',469);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','SDO_TOPO_GEOMETRY',0,0,0,0,0,0,0,0,'1','1','1','1','1','spatial',470);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','SDO_GEORASTER',0,0,0,0,0,0,0,0,'1','1','1','1','1','spatial',471);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','ORDAUDIO',0,0,0,0,0,0,0,0,'1','1','1','1','1','media',472);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','ORDIMAGE',0,0,0,0,0,0,0,0,'1','1','1','1','1','media',473);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','ORDVIDEO',0,0,0,0,0,0,0,0,'1','1','1','1','1','media',474);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','ORDDOC',0,0,0,0,0,0,0,0,'1','1','1','1','1','media',475);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','ORDDICOM',0,0,0,0,0,0,0,0,'1','1','1','1','1','media',476);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','SI_STILLIMAGE',0,0,0,0,0,0,0,0,'1','1','1','1','1','image',477);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','SI_COLOR',0,0,0,0,0,0,0,0,'1','1','1','1','1','image',478);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','SI_AVERAGECOLOR',0,0,0,0,0,0,0,0,'1','1','1','1','1','image',479);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','SI_COLORHISTOGRAM',0,0,0,0,0,0,0,0,'1','1','1','1','1','image',480);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','SI_POSITIONALCOLOR',0,0,0,0,0,0,0,0,'1','1','1','1','1','image',481);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','SI_TEXTURE',0,0,0,0,0,0,0,0,'1','1','1','1','1','image',482);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','SI_FEATURELIST',0,0,0,0,0,0,0,0,'1','1','1','1','1','image',483);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','BINARY',1,255,0,0,50,0,0,0,'1','1','1','1','1','binary',484);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','ENUM',0,0,0,0,0,0,0,0,'1','1','1','1','1','enum',485);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','GEOMETRY',0,0,0,0,0,0,0,0,'1','1','1','1','1','geometry',486);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','GEOMETRYCOLLECTION',0,0,0,0,0,0,0,0,'1','1','1','1','1','geometrycollection',487);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','INT',0,0,0,0,0,0,0,0,'1','1','1','1','1','integer',488);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','LINESTRING',0,0,0,0,0,0,0,0,'1','1','1','1','1','linestring',489);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','LONGBLOB',0,0,0,0,0,0,0,0,'1','1','1','1','1','longblob',490);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','LONGTEXT',0,0,0,0,0,0,0,0,'1','1','1','1','1','longtext',491);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','MEDIUMBLOB',0,0,0,0,0,0,0,0,'1','1','1','1','1','mediumblob',492);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','MEDIUMTEXT',0,0,0,0,0,0,0,0,'1','1','1','1','1','mediumtext',493);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','MULTILINESTRING',0,0,0,0,0,0,0,0,'1','1','1','1','1','multilinestring',494);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','MULTIPOINT',0,0,0,0,0,0,0,0,'1','1','1','1','1','multipoint',495);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','MULTIPOLYGON',0,0,0,0,0,0,0,0,'1','1','1','1','1','multipolygon',496);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','POINT',0,0,0,0,0,0,0,0,'1','1','1','1','1','point',497);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','POLYGON',0,0,0,0,0,0,0,0,'1','1','1','1','1','polygon',498);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','SET',0,0,0,0,0,0,0,0,'1','1','1','1','1','set',499);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','TINYBLOB',0,0,0,0,0,0,0,0,'1','1','1','1','1','tinyblob',500);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','TINYTEXT',0,0,0,0,0,0,0,0,'1','1','1','1','1','tinytext',501);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','VARBINARY',1,65535,0,0,50,0,0,0,'1','1','1','1','1','varbinary',502);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MySql','YEAR',1,4,0,0,4,0,0,0,'1','1','1','1','1','date',503);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','xml',0,0,0,0,0,0,0,0,'1','1','1','1','1','xml',504);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','uuid',0,0,0,0,0,0,0,0,'1','1','1','1','1','guid',505);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','date',0,0,0,0,0,0,0,0,'1','1','1','1','1','date',506);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','interval',1,6,0,0,0,0,0,0,'1','1','1','1','1','interval',507);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','time',1,6,0,0,0,0,0,0,'1','1','1','1','1','time',508);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','time with time zone',1,6,0,0,0,0,0,0,'1','1','1','1','1','time',509);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','time without time zone',1,6,0,0,0,0,0,0,'1','1','1','1','1','time',510);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','timestamp with time zone',1,6,0,0,0,0,0,0,'1','1','1','1','1','datetime',511);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','timestamp without time zone',1,6,0,0,0,0,0,0,'1','1','1','1','1','datetime',512);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','inet',0,0,0,0,0,0,0,0,'1','1','1','1','1','inet',513);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','cidr',0,0,0,0,0,0,0,0,'1','1','1','1','1','cidr',514);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','macaddr',0,0,0,0,0,0,0,0,'1','1','1','1','1','macaddr',515);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','money',0,0,0,0,0,0,0,0,'1','1','1','1','1','currency',516);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','bit',1,83886080,0,0,1,0,0,0,'1','1','1','1','1','bit',517);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','bit varying',1,83886080,0,0,0,0,0,0,'1','1','1','1','1','varbit',518);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','double precision',0,0,0,0,0,0,0,0,'1','1','1','1','1','double',519);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','serial',0,0,0,0,0,0,0,0,'1','1','1','1','1','serial',520);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','bigserial',0,0,0,0,0,0,0,0,'1','1','1','1','1','serial',521);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','smallserial',0,0,0,0,0,0,0,0,'1','1','1','1','1','smallserial',522);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','point',0,0,0,0,0,0,0,0,'1','1','1','1','1','point',523);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','line',0,0,0,0,0,0,0,0,'1','1','1','1','1','line',524);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','lseg',0,0,0,0,0,0,0,0,'1','1','1','1','1','lseg',525);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','box',0,0,0,0,0,0,0,0,'1','1','1','1','1','box',526);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','path',0,0,0,0,0,0,0,0,'1','1','1','1','1','path',527);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','polygon',0,0,0,0,0,0,0,0,'1','1','1','1','1','polygon',528);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','circle',0,0,0,0,0,0,0,0,'1','1','1','1','1','circle',529);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','bigint',0,0,0,0,0,0,0,0,'1','1','1','1','1','bigint',549);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','binary',1,8000,0,0,10,0,0,0,'1','1','1','1','1','binary',550);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','bit',0,0,0,0,0,0,0,0,'1','1','1','1','1','boolean',551);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','char',1,8000,0,0,10,0,0,0,'1','1','1','1','1','char',552);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','date',0,0,0,0,0,0,0,0,'1','1','1','1','1','date',553);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','datetime',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',554);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','datetime2',1,7,0,0,7,0,0,0,'1','1','1','1','1','datetime',555);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','datetimeoffset',1,7,0,0,7,0,0,0,'1','1','1','1','1','datetime',556);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','decimal',2,38,38,38,0,18,0,0,'1','1','1','1','1','decimal',557);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','float',0,53,0,0,53,0,0,0,'1','1','1','1','1','float',558);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','geography',0,0,0,0,0,0,0,0,'1','1','1','1','1','text',559);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','geometry',0,0,0,0,0,0,0,0,'1','1','1','1','1','text',560);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','hierarchyid',0,0,0,0,0,0,0,0,'1','1','1','1','1','text',561);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','image',0,0,0,0,0,0,0,0,'1','1','1','1','1','blob',562);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','int',0,0,0,0,0,0,0,0,'1','1','1','1','1','integer',563);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','money',0,0,0,0,0,19,4,0,'1','1','1','1','1','currency',564);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','nchar',1,4000,0,0,10,0,0,0,'1','1','1','1','1','nchar',565);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','ntext',0,0,0,0,0,0,0,0,'1','1','1','1','1','ntext',566);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','numeric',2,38,38,38,0,18,0,0,'1','1','1','1','1','numeric',567);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','nvarchar',1,4000,0,0,50,0,0,0,'1','1','1','1','1','nvarchar',568);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','nvarchar(max)',0,0,0,0,0,0,0,0,'1','1','1','1','1','varchar',569);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','real',0,53,0,0,53,0,0,0,'1','1','1','1','1','double',570);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','smalldatetime',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime',571);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','smallint',0,0,0,0,0,0,0,0,'1','1','1','1','1','smallint',572);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','smallmoney',0,0,0,0,0,0,0,0,'1','1','1','1','1','money',573);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','sql_variant',0,0,0,0,0,0,0,0,'1','1','1','1','1','sqlvariant',574);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','text',0,0,0,0,0,0,0,0,'1','1','1','1','1','text',575);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','time',1,7,0,0,7,0,0,0,'1','1','1','1','1','time',576);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','timestamp',0,0,0,0,0,0,0,0,'1','1','1','1','1','timestamp',577);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','tinyint',0,0,0,0,0,0,0,0,'1','1','1','1','1','tinyint',578);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','uniqueidentifier',0,0,0,0,0,0,0,0,'1','1','1','1','1','guid',579);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','varbinary',1,8000,0,0,50,0,0,0,'1','1','1','1','1','varbinary',580);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','varbinary(max)',0,0,0,0,0,0,0,0,'1','1','1','1','1','varbinary',581);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','varchar',1,8000,0,0,50,0,0,0,'1','1','1','1','1','varchar',582);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','varchar(max)',0,0,0,0,0,0,0,0,'1','1','1','1','1','varchar',583);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','SQL Server 2012','xml',0,0,0,0,0,0,0,0,'1','1','1','1','1','text',584);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','bigint',0,0,0,0,0,0,0,0,'1','1','1','1','1','int8',741);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','binary',1,32767,0,0,50,0,0,0,'1','1','1','1','1','binary',742);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','bit',0,0,0,0,0,0,0,0,'1','1','1','1','1','bit',743);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','char',1,32767,0,0,10,0,0,0,'1','1','1','1','1','char',744);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','date',0,0,0,0,0,0,0,0,'1','1','1','1','1','date4',745);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','datetime',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime8',746);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','datetimeoffset',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetimeoffset',747);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','decimal',2,0,127,127,0,30,6,0,'1','1','1','1','1','decimal',748);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','double',1,15,0,0,0,15,0,0,'1','1','1','1','1','double',749);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','float',1,15,0,0,0,15,0,0,'1','1','1','1','1','float',750);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','integer',0,0,0,0,0,0,0,0,'1','1','1','1','1','int4',751);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','image',0,0,0,0,0,0,0,0,'1','1','1','1','1','long binary',752);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','long binary',0,0,0,0,0,0,0,0,'1','1','1','1','1','long binary',753);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','long nvarchar',0,0,0,0,0,0,0,0,'1','1','1','1','1','longnvarchar',754);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','long varbit',1,32767,0,0,1,0,0,0,'1','1','1','1','1','varbit',755);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','long varchar',0,0,0,0,0,0,0,0,'1','1','1','1','1','longvarchar',756);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','money',0,0,0,0,0,0,0,0,'1','1','1','1','1','money',757);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','nchar',1,32767,0,0,10,0,0,0,'1','1','1','1','1','nchar',758);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','ntext',0,0,0,0,0,0,0,0,'1','1','1','1','1','ntext',759);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','numeric',2,0,127,127,0,30,6,0,'1','1','1','1','1','numeric',760);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','nvarchar',1,32767,0,0,50,0,0,0,'1','1','1','1','1','nvarchar',761);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','real',2,0,127,127,0,30,6,0,'1','1','1','1','1','decimal',762);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','smalldatetime',0,0,0,0,0,0,0,0,'1','1','1','1','1','datetime4',763);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','smallint',0,0,0,0,0,0,0,0,'1','1','1','1','1','int2',764);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','smallmoney',0,0,0,0,0,0,0,0,'1','1','1','1','1','smallmoney',765);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','ST_Geometry',0,0,0,0,0,0,0,0,'1','1','1','1','1','geometry',766);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','ST_GeomCollection',0,0,0,0,0,0,0,0,'1','1','1','1','1','geometrycollection',767);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','ST_Point',0,0,0,0,0,0,0,0,'1','1','1','1','1','point',768);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','ST_Polygon',0,0,0,0,0,0,0,0,'1','1','1','1','1','polygon',769);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','ST_LineString',0,0,0,0,0,0,0,0,'1','1','1','1','1','linestring',770);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','ST_MultiLineString',0,0,0,0,0,0,0,0,'1','1','1','1','1','multilinestring',771);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','ST_MultiPoint',0,0,0,0,0,0,0,0,'1','1','1','1','1','multipoint',772);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','ST_MultiPolygon',0,0,0,0,0,0,0,0,'1','1','1','1','1','multipolygon',773);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','text',0,0,0,0,0,0,0,0,'1','1','1','1','1','text',774);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','tinyint',0,0,0,0,0,0,0,0,'1','1','1','1','1','int1',775);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','time',0,0,0,0,0,0,0,0,'1','1','1','1','1','time',776);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','timestamp',0,0,0,0,0,0,0,0,'1','1','1','1','1','timestamp8',777);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','timestamp with time zone',0,0,0,0,0,0,0,0,'1','1','1','1','1','timestamptz',778);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','uniqueidentifer',0,0,0,0,0,0,0,0,'1','1','1','1','1','uniqueidentifier',779);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','uniqueidentiferstr',0,0,0,0,0,0,0,0,'1','1','1','1','1','uniqueidentifier',780);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','varbinary',1,32767,0,0,1,0,0,0,'1','1','1','1','1','varbinary',781);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','varbit',1,32767,0,0,1,0,0,0,'1','1','1','1','1','varbit',782);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','varchar',1,32767,0,0,50,0,0,0,'1','1','1','1','1','varchar',783);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase','xml',0,0,0,0,0,0,0,0,'1','1','1','1','1','xml',784);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','DB2','ST_GEOMETRY',0,0,0,0,0,0,0,0,'1','1','1','1','1','geometry',785);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','DB2','ST_GEOMCOLLECTION',0,0,0,0,0,0,0,0,'1','1','1','1','1','geometrycollection',786);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','DB2','ST_POINT',0,0,0,0,0,0,0,0,'1','1','1','1','1','point',787);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','DB2','ST_POLYGON',0,0,0,0,0,0,0,0,'1','1','1','1','1','polygon',788);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','DB2','ST_LINESTRING',0,0,0,0,0,0,0,0,'1','1','1','1','1','linestring',789);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','DB2','ST_MULTILINESTRING',0,0,0,0,0,0,0,0,'1','1','1','1','1','multilinestring',790);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','DB2','ST_MULTIPOINT',0,0,0,0,0,0,0,0,'1','1','1','1','1','multipoint',791);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','DB2','ST_MULTIPOLYGON',0,0,0,0,0,0,0,0,'1','1','1','1','1','multipolygon',792);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','MDSYS.ST_GEOMETRY',0,0,0,0,0,0,0,0,'1','1','1','1','1','geometry',793);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','MDSYS.ST_GEOMCOLLECTION',0,0,0,0,0,0,0,0,'1','1','1','1','1','geometrycollection',794);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','MDSYS.ST_POINT',0,0,0,0,0,0,0,0,'1','1','1','1','1','point',795);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','MDSYS.ST_POLYGON',0,0,0,0,0,0,0,0,'1','1','1','1','1','polygon',796);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','MDSYS.ST_LINESTRING',0,0,0,0,0,0,0,0,'1','1','1','1','1','linestring',797);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','MDSYS.ST_MULTILINESTRING',0,0,0,0,0,0,0,0,'1','1','1','1','1','multilinestring',798);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','MDSYS.ST_MULTIPOINT',0,0,0,0,0,0,0,0,'1','1','1','1','1','multipoint',799);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Oracle','MDSYS.ST_MULTIPOLYGON',0,0,0,0,0,0,0,0,'1','1','1','1','1','multipolygon',800);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','box2d',0,0,0,0,0,0,0,0,'1','1','1','1','1','box',801);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','box3d',0,0,0,0,0,0,0,0,'1','1','1','1','1','box3d',802);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','geometry',0,0,0,0,0,0,0,0,'1','1','1','1','1','geometry',803);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','geometry(point)',0,0,0,0,0,0,0,0,'1','1','1','1','1','point',804);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','geometry(polygon)',0,0,0,0,0,0,0,0,'1','1','1','1','1','polygon',805);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','geometry(linestring)',0,0,0,0,0,0,0,0,'1','1','1','1','1','linestring',806);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','geometry(geometrycollection)',0,0,0,0,0,0,0,0,'1','1','1','1','1','geometrycollection',807);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','geometry(multipoint)',0,0,0,0,0,0,0,0,'1','1','1','1','1','multipoint',808);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','geometry(multipolygon)',0,0,0,0,0,0,0,0,'1','1','1','1','1','multipolygon',809);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','geometry(multilinestring)',0,0,0,0,0,0,0,0,'1','1','1','1','1','multilinestring',810);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','geometry_dump',0,0,0,0,0,0,0,0,'1','1','1','1','1','geometry_dump',811);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','geography',0,0,0,0,0,0,0,0,'1','1','1','1','1','geography',812);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','geography(point)',0,0,0,0,0,0,0,0,'1','1','1','1','1','point2',813);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','geography(polygon)',0,0,0,0,0,0,0,0,'1','1','1','1','1','polygon2',814);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','geography(linestring)',0,0,0,0,0,0,0,0,'1','1','1','1','1','linestring2',815);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','geography(geometrycollection)',0,0,0,0,0,0,0,0,'1','1','1','1','1','geometrycollection2',816);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','geography(multipoint)',0,0,0,0,0,0,0,0,'1','1','1','1','1','multipoint2',817);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','geography(multipolygon)',0,0,0,0,0,0,0,0,'1','1','1','1','1','multipolygon2',818);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','PostgreSQL','geography(multilinestring)',0,0,0,0,0,0,0,0,'1','1','1','1','1','multilinestring2',819);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MSAccess','GUID',0,0,0,0,0,0,0,0,'1','1','1','1','1','guid',820);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','MSAccess 2007','GUID',0,0,0,0,0,0,0,0,'1','1','1','1','1','guid',821);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','DB2','LONG VARGRAPHIC',0,0,0,0,0,0,0,0,'1','1','1','1','1','longvargraphic',824);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','DB2','VARGRAPHIC',1,16336,0,0,1,0,0,0,'1','1','1','1','1','vargraphic',825);
INSERT INTO t_datatypes (`Type`,`ProductName`,`DataType`,`Size`,`MaxLen`,`MaxPrec`,`MaxScale`,`DefaultLen`,`DefaultPrec`,`DefaultScale`,`User`,`PDATA1`,`PDATA2`,`PDATA3`,`PDATA4`,`HasLength`,`GenericType`,`DatatypeID`) VALUES ('DDL','Sybase ASE','varbinary',1,255,0,0,1,0,0,0,'1','1','1','1','1','varbinary',826);


-- Table   t_diagramtypes
-- --------------------------
INSERT INTO t_diagramtypes (`Diagram_Type`,`Name`,`Package_ID`) VALUES ('Activity','Activity',1);
INSERT INTO t_diagramtypes (`Diagram_Type`,`Name`,`Package_ID`) VALUES ('Analysis','Analysis',1);
INSERT INTO t_diagramtypes (`Diagram_Type`,`Name`,`Package_ID`) VALUES ('Collaboration','Collaboration',1);
INSERT INTO t_diagramtypes (`Diagram_Type`,`Name`,`Package_ID`) VALUES ('Component','Component',1);
INSERT INTO t_diagramtypes (`Diagram_Type`,`Name`,`Package_ID`) VALUES ('CompositeStructure','CompositeStructure',1);
INSERT INTO t_diagramtypes (`Diagram_Type`,`Name`,`Package_ID`) VALUES ('Custom','Custom',1);
INSERT INTO t_diagramtypes (`Diagram_Type`,`Name`,`Package_ID`) VALUES ('Deployment','Deployment',1);
INSERT INTO t_diagramtypes (`Diagram_Type`,`Name`,`Package_ID`) VALUES ('InteractionOverview','InteractionOverview',1);
INSERT INTO t_diagramtypes (`Diagram_Type`,`Name`,`Package_ID`) VALUES ('Logical','Logical View',1);
INSERT INTO t_diagramtypes (`Diagram_Type`,`Name`,`Package_ID`) VALUES ('Object','Object',1);
INSERT INTO t_diagramtypes (`Diagram_Type`,`Name`,`Package_ID`) VALUES ('Package','Package',1);
INSERT INTO t_diagramtypes (`Diagram_Type`,`Name`,`Package_ID`) VALUES ('Sequence','Sequence',1);
INSERT INTO t_diagramtypes (`Diagram_Type`,`Name`,`Package_ID`) VALUES ('Statechart','Statechart',1);
INSERT INTO t_diagramtypes (`Diagram_Type`,`Name`,`Package_ID`) VALUES ('Timing','Timing',1);
INSERT INTO t_diagramtypes (`Diagram_Type`,`Name`,`Package_ID`) VALUES ('Use Case','Use Case View',1);


-- Table   t_ecf
-- --------------------------
INSERT INTO t_ecf (`ECFID`,`Description`,`Weight`,`Value`,`Notes`) VALUES ('ECF01','Familiar with Rational Unified Process',1.5,4,'1');
INSERT INTO t_ecf (`ECFID`,`Description`,`Weight`,`Value`,`Notes`) VALUES ('ECF02','Application experience',0.5,3,'1');
INSERT INTO t_ecf (`ECFID`,`Description`,`Weight`,`Value`,`Notes`) VALUES ('ECF03','Object-oriented experience',1,4,'1');
INSERT INTO t_ecf (`ECFID`,`Description`,`Weight`,`Value`,`Notes`) VALUES ('ECF04','Lead analyst capability',0.5,4,'1');
INSERT INTO t_ecf (`ECFID`,`Description`,`Weight`,`Value`,`Notes`) VALUES ('ECF05','Motivation',1,3,'1');
INSERT INTO t_ecf (`ECFID`,`Description`,`Weight`,`Value`,`Notes`) VALUES ('ECF06','Stable requirements',2,4,'1');
INSERT INTO t_ecf (`ECFID`,`Description`,`Weight`,`Value`,`Notes`) VALUES ('ECF07','Part-time workers',-1,0,'1');
INSERT INTO t_ecf (`ECFID`,`Description`,`Weight`,`Value`,`Notes`) VALUES ('ECF08','Difficult programming language',-1,3,'1');


-- Table   t_efforttypes
-- --------------------------
INSERT INTO t_efforttypes (`EffortType`,`Description`,`NumericWeight`,`Notes`) VALUES ('Analysis','Analyzing System',1,'Analysis');
INSERT INTO t_efforttypes (`EffortType`,`Description`,`NumericWeight`,`Notes`) VALUES ('Coding','Developing code',1,'Code writing');
INSERT INTO t_efforttypes (`EffortType`,`Description`,`NumericWeight`,`Notes`) VALUES ('Construction','Design and build system components',1,'The construction phase is concerned with designing and building the components necessary to implement the system as specified.');
INSERT INTO t_efforttypes (`EffortType`,`Description`,`NumericWeight`,`Notes`) VALUES ('Design','Designing specifications',1,'Process of developing system design');
INSERT INTO t_efforttypes (`EffortType`,`Description`,`NumericWeight`,`Notes`) VALUES ('Elaboration','Refine specification. Set up project',1,'The elaboration phase is concerned with refining the system specification, setting up project infrastructure and agreeing on the body of work to be completed.');
INSERT INTO t_efforttypes (`EffortType`,`Description`,`NumericWeight`,`Notes`) VALUES ('Transition','Implementation, acceptance testing',1,'The Transition phase revolves around the implementation of the project and the acceptance testing carried out by the end user');


-- Table   t_genopt
-- --------------------------
INSERT INTO t_genopt (`AppliesTo`,`Option`) VALUES ('CMACRO','_AFX_NO_DEBUG_CRT;_AFX_NO_OCC_SUPPORT;_AFX_OLD_EXCEPTIONS;_AFX_PACKING;_AFXDLL;_DEBUG;_MSC_VER;_UNICODE;AFX_CDECL;AFX_COMDAT;AFX_DATA;AFX_DATADEF;AFX_NOVTABLE;AFXAPI;APICALL;BEGIN_INTERFACE_PART ^ END_INTERFACE_PART;BEGIN_PARAM_MAP ^ END_PARAM_MAP;CONTROLLER_API;DECLARE_DYNAMIC();DECLARE_DYNCREATE();DECLARE_INTERFACE_MAP();DECLARE_MESSAGE_MAP();defined();PASCAL;SWLAPI;WINAPI;');
INSERT INTO t_genopt (`AppliesTo`,`Option`) VALUES ('Status','1');
INSERT INTO t_genopt (`AppliesTo`,`Option`) VALUES ('class','nKill=0;nLang=1;sLang=Java;bConstructor=1;bConInline=0;sConScope=Public;bCpyConstructor=0;bCpyConInline=0;sCpyConScope=Public;bDestructor=1;bDesVirtual=1;bDesInline=0;sDesScope=Public;CHeader=.h;CBody=.cpp;JBody=.java;VBody=.cls;VBNetBody=.vb;WFSBody=.vbs;JavaScriptBody=.js;ModelicaBody=.mo;MDGBPSimExecutionEngineExtensionBody=;sAssocName=m_$LinkClass;bGetSet=1;bGenInterfaces=1;JCol=Vector;CCol=[];VCol=Collection;bVMultiuse=1;bVPersist=0;bVDatabind=0;bVDatasource=0;bVGlobal=0;bVCreatable=1;bVExposed=0;sMTS=0;sCRefType=*;sCGetPrefix=Get;sCSetPrefix=Set;sJGetPrefix=get;sJSetPrefix=set;sCSGetPrefix=Get;sCSSetPrefix=Set;sVVersion=6.0;CSBody=.cs;DBody=.pas;bJInnerClasses=1;sJCollection=;sCodePage=;sPHPBody=.php;sPHPVersion=;sPHPGetPrefix=get;sPHPSetPrefix=set;ASBody=.as;PyBody=.py;CPPVersion=;ASVersion=2.0;ANSICHeader=.h;ANSICBody=.c;ANSIC_OOSupport=0;ANSIC_NSDLMT=_;ANSIC_RefParam=1;ANSIC_RefStyle=*;ANSIC_RefName=this;ANSIC_ConstructorName=new;ANSIC_DestructorName=delete;CPPCollections=CArray<#TYPE#>CMap<CString,LPCTSTR,#TYPE#*,#TYPE#*>;CSCollections=List<#TYPE#>Stack<#TYPE#>Queue<#TYPE#>;JCollections=HashSet<#TYPE#>Map<String,#TYPE#>List<#TYPE#>;CPPWrappers=unique_ptr<#TYPE#>shared_ptr<#TYPE#>weak_ptr<#TYPE#>;');


-- Table   t_implement
-- --------------------------
INSERT INTO t_implement (`Type`) VALUES ('Requirement');
INSERT INTO t_implement (`Type`) VALUES ('UseCase');
INSERT INTO t_implement (`Type`) VALUES ('Component');


-- Table   t_lists
-- --------------------------
INSERT INTO t_lists (`ListID`,`Category`,`Name`,`NVal`,`Notes`) VALUES ('{1E9843C4-0788-4948-8FCA-EF9E0D9B9369}','ConstStatusType','Build',1,'1');
INSERT INTO t_lists (`ListID`,`Category`,`Name`,`NVal`,`Notes`) VALUES ('{4C61C3E6-B721-41a7-BFB3-699DF50BC4D9}','ConstStatusType','Validated',1,'1');
INSERT INTO t_lists (`ListID`,`Category`,`Name`,`NVal`,`Notes`) VALUES ('{5A276B14-D271-431f-A63C-D76B5572F829}','ConstStatusType','Proposed',1,'1');
INSERT INTO t_lists (`ListID`,`Category`,`Name`,`NVal`,`Notes`) VALUES ('{AC15A9A3-8278-4e4e-AA88-23DF5EA35B43}','ConstStatusType','Approved',1,'1');
INSERT INTO t_lists (`ListID`,`Category`,`Name`,`NVal`,`Notes`) VALUES ('{CD22EDBC-4F15-4b1c-A8D9-EAC780A2CE98}','ConstStatusType','Mandatory',1,'1');
INSERT INTO t_lists (`ListID`,`Category`,`Name`,`NVal`,`Notes`) VALUES ('{FDF9A368-23F8-4730-9637-D43E35628A12}','ConstStatusType','Implemented',1,'1');


-- Table   t_metrictypes
-- --------------------------
INSERT INTO t_metrictypes (`Metric`,`Description`,`NumericWeight`,`Notes`) VALUES ('Breakage','Convergence, rework, software scrap',1,'Reworked SLOC per change. ');
INSERT INTO t_metrictypes (`Metric`,`Description`,`NumericWeight`,`Notes`) VALUES ('Change','Change control, stability',1,'Change requests, ');
INSERT INTO t_metrictypes (`Metric`,`Description`,`NumericWeight`,`Notes`) VALUES ('Cost','Budget, cost, expenditure',1,'Cost per day, percentage expended.');
INSERT INTO t_metrictypes (`Metric`,`Description`,`NumericWeight`,`Notes`) VALUES ('Progress','Iteration, planning, actuals',1,'Measures such as function points, SLOC, scenarios, test cases.');
INSERT INTO t_metrictypes (`Metric`,`Description`,`NumericWeight`,`Notes`) VALUES ('Team','Staffing, team dynamics',1,'Resource turnover');


-- Table   t_objecttypes
-- --------------------------
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Action','Action',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('ActionPin','ActionPin',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Activity','Activity',0,21);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('ActivityParameter','ActivityParameter',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('ActivityPartition','ActivityPartition',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('ActivityRegion','ActivityRegion',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Actor','Actor',0,6);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Artifact','UML Artifact',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Association','Association',0,0);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Boundary','Boundary',0,0);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('CentralBufferNode','CentralBufferNode',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Change','Change',1,19);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Class','Class',1,5);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Collaboration','Collaboration',0,7);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('CollaborationOccurrence','CollaborationOccurrence',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Comment','Comment',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Component','Component',1,10);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('ConditionalNode','ConditionalNode',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Constraint','Constraint',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('DataStore','DataStore',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('DataType','DataType',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Decision','Decision',0,0);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('DeploymentSpecification','DeploymentSpecification',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Device','Device',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('DiagramFrame','DiagramFrame',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Entity','Entity',0,5);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('EntryPoint','UML Entry Point',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Enumeration','Enumeration',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Event','Event',0,0);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('ExceptionHandler','ExceptionHandler',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('ExecutionEnvironment','ExecutionEnvironment',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('ExitPoint','UML Exit Point',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('ExpansionNode','UML Expansion Node',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('ExpansionRegion','ExpansionRegion',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Feature','Feature',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('GUIElement','User interface object',1,16);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('InformationItem','InformationItem',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Interaction','Interaction',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('InteractionFragment','InteractionFragment',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('InteractionOccurrence','InteractionOccurrence',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('InteractionState','InteractionState',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Interface','Interface',0,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('InterruptibleActivityRegion','InterruptibleActivityRegion',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Issue','Issue',1,19);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Label','Label',0,0);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('LoopNode','LoopNode',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('MergeNode','MergeNode',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('MessageEndpoint','MessageEndpoint',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Node','Node',1,9);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Note','Note',0,0);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Object','Object',0,5);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('ObjectNode','ObjectNode',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Package','Package',1,4);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Parameter','UML Activity Parameter',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Part','Part',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Port','UML Port',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('PrimitiveType','PrimitiveType',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('ProtocolStateMachine','ProtocolStateMachine',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('ProvidedInterface','ProvidedInterface',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Region','Region',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Report','System report',1,17);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('RequiredInterface','RequiredInterface',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Requirement','Requirement',1,19);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Risk','Risk',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Screen','Interface Screen',1,11);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Sequence','Sequence',0,0);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Signal','Signal',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('State','State Chart Object',1,20);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('StateMachine','StateMachine',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('StateNode','Start End State',0,59);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Synchronization','Synchronization',0,0);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Task','Task',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Text','Text',0,0);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('TimeLine','TimeLine',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('Trigger','Trigger',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('UMLDiagram','UML Diagram',1,8);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('UseCase','UseCase',0,7);
INSERT INTO t_objecttypes (`Object_Type`,`Description`,`DesignObject`,`ImageID`) VALUES ('User','User',0,0);


-- Table   t_ocf
-- --------------------------
INSERT INTO t_ocf (`ObjectType`,`ComplexityWeight`) VALUES ('Actor',1);
INSERT INTO t_ocf (`ObjectType`,`ComplexityWeight`) VALUES ('UseCase',5);


-- Table   t_package
-- --------------------------
INSERT INTO t_package (`Package_ID`,`Name`,`Parent_ID`,`CreatedDate`,`ModifiedDate`,`ea_guid`,`IsControlled`,`LastLoadDate`,`LastSaveDate`,`Version`,`Protected`,`UseDTD`,`LogXML`) VALUES (1,'Model',0,"2012-04-17 00:01:01","2012-04-17 00:01:01",concat('{',uuid(),'}'),0,"2012-04-17 00:01:01","2012-04-17 00:01:01",'1.0',0,0,0);


-- Table   t_problemtypes
-- --------------------------
INSERT INTO t_problemtypes (`ProblemType`,`Description`,`NumericWeight`,`Notes`) VALUES ('HW','Hardware related',1,'1');
INSERT INTO t_problemtypes (`ProblemType`,`Description`,`NumericWeight`,`Notes`) VALUES ('Network','Network problems',1,'Network issues');
INSERT INTO t_problemtypes (`ProblemType`,`Description`,`NumericWeight`,`Notes`) VALUES ('Perform','Performance',1.5,'Performance related problems');
INSERT INTO t_problemtypes (`ProblemType`,`Description`,`NumericWeight`,`Notes`) VALUES ('SW','Software',2,'Software related issues');
INSERT INTO t_problemtypes (`ProblemType`,`Description`,`NumericWeight`,`Notes`) VALUES ('User','User caused problem',1,'Problems caused by user');


-- Table   t_projectroles
-- --------------------------
INSERT INTO t_projectroles (`Role`,`Description`,`Notes`) VALUES ('Application Analyst','Define and model the application structure','1');
INSERT INTO t_projectroles (`Role`,`Description`,`Notes`) VALUES ('Business Analyst','Model business processes','1');
INSERT INTO t_projectroles (`Role`,`Description`,`Notes`) VALUES ('C++ Programmer','Programming in Visual C++','1');
INSERT INTO t_projectroles (`Role`,`Description`,`Notes`) VALUES ('Developer','Application development','1');
INSERT INTO t_projectroles (`Role`,`Description`,`Notes`) VALUES ('Java Programmer','Java programming','1');
INSERT INTO t_projectroles (`Role`,`Description`,`Notes`) VALUES ('Project Manager','Manage schedule','Manage the project schedule ');
INSERT INTO t_projectroles (`Role`,`Description`,`Notes`) VALUES ('Solution Architect','Lead Technical and Project Architect','Define and communicate application architecture');
INSERT INTO t_projectroles (`Role`,`Description`,`Notes`) VALUES ('Use Case Modeller','Use Case modelling ','1');
INSERT INTO t_projectroles (`Role`,`Description`,`Notes`) VALUES ('VB Programmer','Visual Basic Programming','1');


-- Table   t_requiretypes
-- --------------------------
INSERT INTO t_requiretypes (`Requirement`,`Description`,`NumericWeight`,`Notes`) VALUES ('Display','System will display in a specified format',1,'Information will be displayed in a particular way');
INSERT INTO t_requiretypes (`Requirement`,`Description`,`NumericWeight`,`Notes`) VALUES ('Functional','Functional Requirement',1,'Comments here');
INSERT INTO t_requiretypes (`Requirement`,`Description`,`NumericWeight`,`Notes`) VALUES ('Performance','Performance based requirement',1,'The system must meet some performance criteria');
INSERT INTO t_requiretypes (`Requirement`,`Description`,`NumericWeight`,`Notes`) VALUES ('Printing','System printing requirement',1,'The system will allow the user(s) to print out some artifact as required by the specification. ');
INSERT INTO t_requiretypes (`Requirement`,`Description`,`NumericWeight`,`Notes`) VALUES ('Report','The system will roduce a report',1,'The system will have the facility to produce a report as required');
INSERT INTO t_requiretypes (`Requirement`,`Description`,`NumericWeight`,`Notes`) VALUES ('Testing','Testing requirement',1.6,'Testing requirement');
INSERT INTO t_requiretypes (`Requirement`,`Description`,`NumericWeight`,`Notes`) VALUES ('Validate','Validate a particular rule',1,'The system will validate a specific rule as supplied in the business requirements');


-- Table   t_scenariotypes
-- --------------------------
INSERT INTO t_scenariotypes (`ScenarioType`,`Description`,`NumericWeight`,`Notes`) VALUES ('Alternate','Alternate pathway',1,'Path of execution that includes exceptional conditions.');
INSERT INTO t_scenariotypes (`ScenarioType`,`Description`,`NumericWeight`,`Notes`) VALUES ('Basic Path','Basic execution path',1,'The standard execution path with no exceptions');
INSERT INTO t_scenariotypes (`ScenarioType`,`Description`,`NumericWeight`,`Notes`) VALUES ('Simple','Standard scenario',1,'Used to describe ordinary usage');


-- Table   t_statustypes
-- --------------------------
INSERT INTO t_statustypes (`Status`,`Description`) VALUES ('Approved','Item is approved');
INSERT INTO t_statustypes (`Status`,`Description`) VALUES ('Implemented','Finished');
INSERT INTO t_statustypes (`Status`,`Description`) VALUES ('Mandatory','Required');
INSERT INTO t_statustypes (`Status`,`Description`) VALUES ('Proposed','Item has been proposed');
INSERT INTO t_statustypes (`Status`,`Description`) VALUES ('Validated','Approved and Checked');


-- Table   t_stereotypes
-- --------------------------
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('process','activity','A classifier whose instances represent a flow',0,'1',1,'1','{823AC82E-EF53-4cf6-8E64-FBBD359B6FF4}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('subscribe','association','Source class will be notified when an event occurs in target',0,'1',1,'1','{167FB027-BE19-42bd-AA39-42EC31CA6A4E}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('column','AttribTable','A column attribute for a table',0,'1',1,'1','{1937BD32-E441-4913-BF43-56FEE37C70F4}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('case worker','business class','A worker who directly interacts with actors outside the system',0,'1',1,'1','{A1495FE4-CFBB-4f8f-934A-E9F71C67B3CA}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('entity','business class','Passive class accessed and manipulated by workers',0,'1',1,'1','{AF795A22-1F29-4606-B1AA-DD20101BFD2E}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('internal worker','business class','A worker that interacts with other workers and entities inside the system.',0,'1',1,'1','{A49E76BE-AA3B-4fdd-8C30-A6B3D0615E64}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('worker','business class','An abstraction of a human that works within the system.',0,'1',1,'1','{F6BBE5B5-687B-4121-9A0D-03762E98BBF3}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('object system','business model','Contains business process objects, work units, organization units and relationships',0,'1',1,'1','{BF9C2219-8235-48f4-9C1D-480918D80A05}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('organization unit','business model','Subsystem corresponding to an organizational unit of the actual business',0,'1',1,'1','{FD3D6AD2-DFD3-4e32-A48B-20381DE2611F}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('work unit','business model','Subsystem with one or more entities',0,'1',1,'1','{BFAF4057-3E8D-407c-9121-10F34C8DDC70}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('asp page','class','A Microsoft active server page',0,'1',1,'1','{5285CD56-1481-457f-A3F2-830F1C557A91}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('boundary','class','Specifies an element that is at the system boundary (e.g.. User Interface)',0,'1',1,'1','{65611561-8EA7-47e1-A393-40932DD5006C}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('client page','class','A class that represents a client based web page',0,'1',1,'1','{A4E4D7D5-E9AE-4ed7-9209-1846D1F95DEF}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('clientscript','class','A collection of client-side scripts',0,'1',1,'1','{2156D8A8-430B-4412-96EF-E4B55B8650DE}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('control','class','Specifies an element that controls the work and lifetimes of other objects',0,'1',1,'1','{ADFDEA84-B27E-444e-A8C4-50E15DF6CF25}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('entity','class','Specifies a persistent element mainly concerned with managing its own state',0,'1',1,'1','{66F314BF-200A-479a-ACD1-6DC0B77B09FB}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('enumeration','class','Specifies an enumerated type',0,'1',1,'1','{E08E6898-BBB3-4d6e-A2DF-14EF8CC756E7}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('exception','class','An event may be thrown or caught by operation',0,'1',1,'1','{31AC81EB-6E6E-4f58-99F2-9E9F17805D84}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('form','class','A class that represents a html form',0,'1',1,'1','{B69675F4-3588-4dfa-A227-42C6E5F1DE09}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('frameset','class','A class that represents a html frame set',0,'1',1,'1','{CF86614C-4488-43ff-85EA-B840DA277931}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('implementationClass','class','Implementation of a class in some programming language',0,'1',1,'1','{36DCF34A-5658-4cfd-BF1F-DFDB3D909AAE}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('interface','class','A collection of operations that specify a service of a class or component',0,'1',1,'1','{8693AE90-C279-4519-AC3B-E77DD1076F13}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('jsp page','class','A java server page',0,'1',1,'1','{1090D4F6-8B2A-4b94-B09B-78F7750348A7}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('model document','class','Set a class as an RTF "Model Document"',0,'1',1,'Fill=-1;Border=-1;Font=-1;','{016CE34D-85B7-495a-B486-1CD44047B21C}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('powertype','class','A classifier whose objects are all children of a given parent',0,'1',1,'1','{D2C9B465-1F26-4aa5-91FF-8D8DB556900B}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('process','class','A classifier whose instances represent a flow',0,'1',1,'1','{BA9422B1-775E-45fd-99CD-2D7AEF40B3EC}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('script library','class','A library of subroutines/functions for web pages',0,'1',1,'1','{F8EE740B-B61C-46e2-AE89-E76F1C242999}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('server page','class','A class that represents a server based web page',0,'1',1,'1','{941354BE-BA56-49f3-9C68-E2F48232674C}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('servlet','class','A java servlet component',0,'1',1,'1','{E341DE92-62B6-429a-A37F-3C2099F42FD6}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('signal','class','Specifies an asynchronous stimulus communicated amongst instances',0,'1',1,'1','{633B3156-EEA3-4a4a-91FA-AFF3B693E163}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('stereotype','class','The classifier is a stereotype that may be applied to other elements',0,'1',1,'1','{344B0ADE-B00C-41d8-8A38-73F1F5D8B498}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('table','class','A class that represents a database table',0,'1',1,'1','{45AB9095-4E88-4222-80D2-47EFC61A9341}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('target','class','A class that represents a target',0,'1',1,'1','{F3009C21-9596-4a69-A8B2-BBB5E03885EE}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('thread','class','A classifier whose instances represent a lightweight flow of control',0,'1',1,'1','{65A71586-E3CA-4309-9203-44A41B4ACAF3}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('type','class','An abstract class specifying the structure but not implementation of a set of objects',0,'1',1,'1','{9CFABF8B-C31F-4c08-9FB4-B80C7655F68A}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('utility','class','A class whose attributes and operations are all class-scoped',0,'1',1,'1','{E69B1C1D-74EE-4370-8802-6632987F9659}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('web page','class','A html web page',0,'1',1,'1','{4DFEB9C4-0D2A-4d82-BEA7-D597F3EE3D3F}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('metaclass','classifier','A classifier whose objects are all classes',0,'1',1,'1','{651D58B8-71E3-483b-9436-5E8A62EAE46D}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('requirement','comment','Specifies a desired feature, property or behavior of system',0,'1',1,'1','{68063BE4-8C64-42f4-8068-575B9A07139B}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('responsibility','comment','Specifies a contract by or an obligation of a class',0,'1',1,'1','{7F8603E8-3C6D-477e-B9B5-3F7013BB47C2}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('document','component','The component represents a document',0,'1',1,'1','{146D3A6E-E4F1-4bfe-9899-0A3077BD8D7B}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('executable','component','A component may be executed on a node',0,'1',1,'1','{C7AA714A-A2BD-48b2-BBDF-F8E9E6C068AB}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('file','component','Component represents a document containing source code',0,'1',1,'1','{0E55D795-0866-4ebc-9E2B-CE812AFCF473}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('library','component','Static or dynamic object library',0,'1',1,'1','{71CA8DDE-090A-426d-98EC-18CDE48CB4AD}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('table','component','A component that represents a database table',0,'1',1,'1','{366630E0-57E8-40a4-89D1-059314897273}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('invariant','constraint','Constrain must always hold for associated element',0,'1',1,'1','{887A39A9-6299-4596-AA04-0E75BA80CE85}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('postcondition','constraint','A constraint must hold after the invocation of an element',0,'1',1,'1','{672327E9-A94F-4213-BA47-504FAB09AC26}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('precondition','constraint','A constraint that must hold before an element is invoked',0,'1',1,'1','{CB7DF663-D330-4f44-AE2F-D990608C4F49}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('access','dependency','Public contents of target are accessible to namespace of source',0,'1',1,'1','{E1C53720-AAC9-4b21-82F5-831D35DFFE3F}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('bind','dependency','Source instantiates target template using given parameters',0,'1',1,'1','{EF4AFA7C-E9AF-4934-BC57-3F2A43874AD9}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('call','dependency','Source invokes the target',0,'1',1,'1','{365F74E4-4757-4e1a-89F6-EBC32023530C}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('derive','dependency','Source may be computed from target',0,'1',1,'1','{EA509203-6D33-42ed-9B48-E381919E9924}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('friend','dependency','Source is given special visibility of target',0,'1',1,'1','{941A12EC-3A48-4759-9804-13FA75914EBE}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('import','dependency','Public contents of target are imported into source namespace',0,'1',1,'1','{CFD749E4-0DA9-4ee9-A2B8-B5973A7C3D48}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('instanceOf','dependency','The source object is an instance of the target',0,'1',1,'1','{5ECB636F-95D9-42ce-8B4E-851FC13D9487}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('instantiate','dependency','Operations on the source class create instances of the target class',0,'1',1,'1','{6F510293-110B-40a7-A3FE-F067B24BCCD5}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('powertype','dependency','A classifier whose objects are all children of a given parent',0,'1',1,'1','{9B944BBC-BDC8-44ef-B379-BA5CB0665223}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('refine','dependency','Source is at a finer degree of abstraction than source',0,'1',1,'1','{3A391178-E846-4c6e-B396-F7C191B896A7}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('send','dependency','The source sends the target an event',0,'1',1,'1','{9478347D-5A40-49ee-B6AB-7070EB6BBE2B}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('trace','dependency','The target is an historical ancestor of source',0,'1',1,'1','{37084349-D3EC-4d0d-B864-F6CA34975D39}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('use','dependency','The semantics of the source depend on the public part of the target',0,'1',1,'1','{23A6380D-A54D-40fd-9AE8-BF3B208B4026}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('implementation','generalization','Child inherits implementation of parent but does not support its interfaces',0,'1',1,'1','{808B565D-B94E-4cd2-9BAB-AA9978F6035D}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('button','GUIElement','A button GUI element',0,'1',1,'1','{D40B814D-C7D7-452b-8722-4B22A89A6A47}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('checkbox','GUIElement','A checkbox GUI element',0,'1',1,'1','{4C741DBF-9214-411b-9894-D1789ED83DC9}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('combobox','GUIElement','A combo box GUI element',0,'1',1,'1','{F34E6148-445D-4295-9813-BE9EB69AE052}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('date','GUIElement','A GUI element for date entry',0,'1',1,'1','{935841C4-3981-4761-9B66-86F759F01B56}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('dialog','GUIElement','A GUI screen',0,'1',1,'1','{CE3AC0B1-6783-4941-8ADB-20C8D32A4094}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('dropdown','GUIElement','A GUI element that forces user selection',0,'1',1,'1','{46D5F51E-9805-41ff-A292-4E578CE2CAC5}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('form','GUIElement','A GUI screen',0,'1',1,'1','{16DCA474-9017-415f-95F2-91BA8D8D27A7}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('hline','GUIElement','1',0,'1',1,'Fill=-1;Border=-1;Font=-1;','{FAF19BDB-AB0E-4d87-BF2C-2C6302348E63}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('list','GUIElement','A List of Information',0,'1',1,'1','{E4444E20-7DF8-466e-B9BE-9AA67ECF19C2}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('listview','GUIElement','A stand list view control',0,'1',1,'1','{62E9B091-9C7C-4466-BC4A-FECB1908640A}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('panel','GUIElement','A GUI element for grouping other controls',0,'1',1,'1','{E55959C5-D0A0-46c7-94FE-C3E15565BCBC}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('radio','GUIElement','A radio button GUI element',0,'1',1,'1','{1C99CF47-A0AF-4079-BF42-9C05BB1EB32F}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('report','GUIElement','A List of Information with an expandable text field',0,'1',1,'1','{0287C4BE-ED29-4fc3-AF71-C952E9E6FF9E}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('tab','GUIElement','A tab control GUI element',0,'1',1,'1','{22C41E96-79C4-478b-B46B-39B5C7EB35CE}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('textbox','GUIElement','A GUI element for user text entry',0,'1',1,'1','{A8D6D6FD-CBBD-4820-80A0-65BC7B01ABF6}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('time','GUIElement','A GUI element for time entry',0,'1',1,'1','{7262631C-DA97-4efa-83A0-56F4A07BC895}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('treelist','GUIElement','A List of Information with a tree structure',0,'1',1,'1','{947E1BF0-F325-4c11-8469-D7B33DA3F18E}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('vline','GUIElement','1',0,'1',1,'Fill=-1;Border=-1;Font=-1;','{65FAEE09-9DCF-4a86-AE81-0046B5FBACD6}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('global','link end','Corresponding object is visible because of enclosing scope',0,'1',1,'1','{4754A215-AF13-45a9-A5AA-253284C56C32}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('local','link end','The corresponding object is visible in local scope',0,'1',1,'1','{6657BFBD-9378-49c0-9F68-66DDABB955D0}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('parameter','link end','The corresponding element is visible because it is a parameter',0,'1',1,'1','{46202618-4521-46fa-A211-994820628274}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('self','link end','The corresponding object is visible because it is the dispatcher',0,'1',1,'1','{806FEA48-5AAB-4a16-8AFC-5643818FD489}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('become','message','Target is same as source but later in time',0,'1',1,'1','{EED867C3-96F3-45b1-ABEA-56280F7CE9D6}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('copy','message','Target is exact but independent copy of source',0,'1',1,'1','{35112264-EE65-463f-9BB9-CB40272B2357}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('create','message','Target is created by event or message',0,'1',1,'1','{F14CECE1-C929-46aa-ADAC-C6087CB0C466}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('destroy','message','Target is destroyed by event or message',0,'1',1,'1','{34E026CA-918D-42f8-84C9-28C925C90270}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('analysis system','model','Contains analysis classes - entities, boundaries and control elements',0,'1',1,'1','{11EE0417-8DE4-444e-8AE5-C4EDB110C086}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('design system','model','Contains design elements',0,'1',1,'1','{87D15833-406D-48f8-9179-17F5805769AD}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('implementation system','model','Contains implementation subsystems and/or components and relationships',0,'1',1,'1','{9C456943-27F2-4913-8DC7-03FA7543DFD5}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('use case system','model','Specifies the services offered to the users',0,'1',1,'1','{D6BA4E7A-AC52-4edd-B0E8-8CAA2A9D5F68}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('cd-rom','node','A class that represents a CDRom drive',0,'1',1,'1','{0795D356-45DA-451f-BD5F-93CA557AAC2B}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('cdrom','node','A class that represents a CDRom drive',0,'1',1,'1','{A358C061-B3FE-4a17-A593-C85A8C24FF3D}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('computer','node','A class that represents a computer',0,'1',1,'1','{15976BA0-B6BF-49cf-A9CC-DDC7B500805F}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('disk array','node','A class that represents a disk array',0,'1',1,'1','{62D56F57-D317-4715-A6D9-34EDAD94D2C0}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('pc','node','A class that represents a personal computer',0,'1',1,'1','{49E0B277-0592-4489-9A1B-24E38E7A002A}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('pc client','node','A class that represents a clients PC',0,'1',1,'1','{B8932D2C-F50C-483d-8E6B-4F7FC7A25C7C}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('pc server','node','A class that represents a PC server',0,'1',1,'1','{55AE7CB8-0E9B-4bb1-9D3F-2B194F901150}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('secure','node','A class that represents aet',0,'1',1,'1','{44D8DA24-1588-4688-851B-2B80169A1C67}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('server','node','A class that represents a server',0,'1',1,'1','{AA8235AE-11B3-4a7b-B352-896561841E8C}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('storage','node','A class that represents a storage device',0,'1',1,'1','{095960D0-877D-4705-9CA4-C293FB4341D0}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('unix server','node','A class that represents a Unix server',0,'1',1,'1','{727B1C37-AAB3-4cc8-9505-797AB10B5127}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('user pc','node','A class that represents a users PC',0,'1',1,'1','{C8C371AA-982B-4324-9920-0DD6D13A58D4}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('check','OpTable','A Check constraint to enforce domain integrity',0,'1',1,'1','{65F3C7C6-647F-45ad-965E-2522374B9893}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('FK','OpTable','A Foreign Key',0,'1',1,'1','{E995B3FD-4560-4a74-A005-C0995B946DE1}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('index','OpTable','An index of one or more columns',0,'1',1,'1','{FA0A3190-2D4F-4f78-AA72-DFA9BEF48B75}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('PK','OpTable','A Primary Key',0,'1',1,'1','{F676FFA9-F1C1-4e64-BC07-803513B9098C}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('proc','OpTable','A stored procedure',0,'1',1,'1','{5AAB84CF-A9E1-4565-A33C-CE0950847841}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('trigger','OpTable','A trigger which executes automatically when an UPDATE, INSERT, or DELETE statement is issued',0,'1',1,'1','{DDEF439C-CE5B-431e-B037-E00821A93B78}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('unique','OpTable','A Unique constraint to enforce the integrity of a database automatically',0,'1',1,'1','{58D08C48-E9A3-4ce7-AF94-EA01BF1AE7B5}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('facade','package','Package is a view of another concrete package',0,'1',1,'1','{69A93A07-057E-4b2d-8058-7F046604BD3F}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('framework','package','Package consists mainly of patterns',0,'1',1,'1','{155F3749-8F55-48d1-92EC-37EE16EFA605}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('model','package','A semantically closed abstraction of a system',0,'1',1,'1','{B021D033-054D-4288-A200-D8F3131DA24C}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('stub','package','A package serves as a proxy for the public contents of another package',0,'1',1,'1','{C2EFAEE3-22CD-4ca9-A63A-A61F8E7FF194}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('subsystem','package','A grouping of elements that constitute a specification of behavior offered by other contained elements',0,'1',1,'1','{9B4094EE-B057-42ea-8E6C-ACDBEE89F3A4}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('system','package','A package representing the entire system being modeled',0,'1',1,'1','{32CF855F-B49E-415a-A173-6C62DCAE5522}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('communicate','uses','Communication between actor and use case',0,'1',1,'1','{7F4600FE-22AB-4618-8AF8-C428043286DE}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('extend','uses','Target use case extends the source at a given extension point',0,'1',1,'1','{A84843AF-2180-4c4c-8910-6370C73B1775}','1');
INSERT INTO t_stereotypes (`Stereotype`,`AppliesTo`,`Description`,`MFEnabled`,`MFPath`,`Metafile`,`Style`,`ea_guid`,`VisualType`) VALUES ('include','uses','Source use case explicitly includes the behavior of target',0,'1',1,'1','{8767296C-EFEC-4698-9B7D-E6118CA6CDA7}','1');


-- Table   t_tcf
-- --------------------------
INSERT INTO t_tcf (`TCFID`,`Description`,`Weight`,`Value`,`Notes`) VALUES ('TCF01','Distributed System',2,5,'1');
INSERT INTO t_tcf (`TCFID`,`Description`,`Weight`,`Value`,`Notes`) VALUES ('TCF02','Response or throughput performance objectives',1,4,'1');
INSERT INTO t_tcf (`TCFID`,`Description`,`Weight`,`Value`,`Notes`) VALUES ('TCF03','End user efficiency (online)',1,2,'1');
INSERT INTO t_tcf (`TCFID`,`Description`,`Weight`,`Value`,`Notes`) VALUES ('TCF04','Complex internal processing',1,4,'1');
INSERT INTO t_tcf (`TCFID`,`Description`,`Weight`,`Value`,`Notes`) VALUES ('TCF05','Code must be re-usable',1,2,'1');
INSERT INTO t_tcf (`TCFID`,`Description`,`Weight`,`Value`,`Notes`) VALUES ('TCF06','Easy to install',0.5,5,'1');
INSERT INTO t_tcf (`TCFID`,`Description`,`Weight`,`Value`,`Notes`) VALUES ('TCF07','Easy to use',0.5,3,'1');
INSERT INTO t_tcf (`TCFID`,`Description`,`Weight`,`Value`,`Notes`) VALUES ('TCF08','Portable',2,3,'1');
INSERT INTO t_tcf (`TCFID`,`Description`,`Weight`,`Value`,`Notes`) VALUES ('TCF09','Easy to change',1,3,'1');
INSERT INTO t_tcf (`TCFID`,`Description`,`Weight`,`Value`,`Notes`) VALUES ('TCF10','Concurrent',1,2,'1');
INSERT INTO t_tcf (`TCFID`,`Description`,`Weight`,`Value`,`Notes`) VALUES ('TCF11','Includ special security features',1,2,'1');
INSERT INTO t_tcf (`TCFID`,`Description`,`Weight`,`Value`,`Notes`) VALUES ('TCF12','Provide direct access for third parties',1,5,'1');
INSERT INTO t_tcf (`TCFID`,`Description`,`Weight`,`Value`,`Notes`) VALUES ('TCF13','Special user training faciities are required',1,3,'1');


-- Table   t_testtypes
-- --------------------------
INSERT INTO t_testtypes (`TestType`,`Description`,`NumericWeight`,`Notes`) VALUES ('Load','Performance under load',1,'Stress testing');
INSERT INTO t_testtypes (`TestType`,`Description`,`NumericWeight`,`Notes`) VALUES ('Regression','Regression Testing',1,'Regression');
INSERT INTO t_testtypes (`TestType`,`Description`,`NumericWeight`,`Notes`) VALUES ('Standard','Simple Test procedure',1,'Used to test basic path');


-- Table   t_xrefsystem
-- --------------------------
INSERT INTO t_xrefsystem (`XrefID`,`ToolID`,`Name`,`Type`,`Visibility`,`Namespace`,`Requirement`,`Constraint`,`Behavior`,`Partition`,`Description`,`Client`,`Supplier`,`Link`) VALUES ('{6E5FED3A-DF6C-40db-BEEC-4528AB8C8A2E}','1','Model Views','PView','1','8','1','1','1','1','1','0','ModelRoot','NULL');


-- Table   usys_system
-- --------------------------
INSERT INTO usys_system (`Property`,`Value`) VALUES ('310_Category','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('310_Columns','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('310_FileTable','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('310_Generalization','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('310_Images','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('310_Metafile','2');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('310_Palette','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('310_QObject','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('310_TableList','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('310_TableList2','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('310_Tasks','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('310_XREF','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('350_AttGUID','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('350_DataTypes','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('350_DiagramConnectorID','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('350_DiagramObjectID','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('350_DocumentEX','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('350_FeaturePos','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('350_Flags','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('350_IssueEx','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('350_OpGUID','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('350_Package','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('350_ParamGUID','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('350_Phases','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('350_ResourceHours','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('350_ResourceTables','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('350_RoleExtra','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('350_Scenario','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('350_Snapshot','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('350_Stereotype','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('350_Styles','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('350_SystemTaggedValues','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('350_TableList','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('350_TableListEx','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('350_Tables','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('350_TestTables','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('350_TRXTypes','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('350_UserSecurity','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('Association','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('AttID','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('CheckObjectTypes','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('Classifier','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('ClassifierGUID','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('CodeGen','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('Const','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('DDL','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('DiagramLink','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('DiagramObjectStyle','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('EA1000Updates','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('EA300Classifier','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('EA300MSAccessDT','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('EA300VBDT','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('EA3FieldSizes','3');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('EA3TableNames','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('EA600Updates','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('EA610Updates','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('EA650Updates','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('EA800Updates','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('EA900Updates','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('EAGUID','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('Elem300','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('FileDir','$EAPDIR');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('Gen25Fixes','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('GenericDataType','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('GUID','2');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('IsNavigable','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('LangDT25','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('LastUpdate','3B58F782F406:123456789012');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('Namespace','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('NodeStereo','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('ObjectParent','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('ObjectScope','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('OperationCode','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('OpPos','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('OpsClean','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('Orphans30','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('PackageControl','3');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('Packages','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('ParamIDX','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('QDF_25','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('QueryDefs_116','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('RoleConstraints','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('RTFFIELDS','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('RunState','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('Seq_Gap','35');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('Stereotypes','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('Styles','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('TaggedVals','1');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('TPos','2');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('Version','4.01');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('VersionDate','Jan-31-2004');
INSERT INTO usys_system (`Property`,`Value`) VALUES ('WebStereo','1');


-- Table   usystables
-- --------------------------
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_attribute',6,'Object Attributes','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_attributeconstraints',7,'Attribute Constraints','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_attributetag',7,'Attribute Tag','3.0.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_authors',1,'Project Authors','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_cardinality',1,'Object Cardinality','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_category',1,'Category','3.5.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_clients',1,'Project Clients','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_complexitytypes',1,'Complexity Types','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_connector',6,'Connectors','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_connectorconstraint',7,'Connector Constraints','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_connectortag',7,'Connector Tag','3.0.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_connectortypes',1,'Connector Types','3.5.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_constants',1,'Constants','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_constrainttypes',1,'Constraint Types','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_datatypes',1,'Data Types','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_diagram',5,'Diagrams','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_diagramlinks',6,'Diagram Links','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_diagramobjects',6,'Diagram Objects','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_diagramtypes',2,'Diagram Types','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_document',7,'Document','3.5.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_ecf',1,'ECF Values','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_efforttypes',1,'Effort Types','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_files',7,'Files','3.5.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_genopt',1,'Generation Options','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_glossary',2,'Glossary','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_html',7,'HTML','3.5.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_image',7,'Images','3.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_implement',2,'Implementation Details','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_issues',6,'Issue Details','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_lists',1,'Lists','3.5.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_mainttypes',1,'Maintenance Types','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_method',5,'Methods','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_metrictypes',1,'Metric Types','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_object',3,'Object Details','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_objectconstraint',5,'Object Constraints','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_objecteffort',5,'Object Effort','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_objectfiles',5,'Object Files','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_objectmetrics',5,'Object Metrics','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_objectproblems',5,'Object Problems','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_objectproperties',5,'Object Properties','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_objectrequires',5,'Object Requires','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_objectresource',5,'Object Resources','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_objectrisks',5,'Object Risks','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_objectscenarios',5,'Object Scenarios','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_objecttests',5,'Object Tests','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_objecttrx',5,'Object TRX','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_objecttypes',1,'Object Types','3.5.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_ocf',1,'OCF Values','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_operation',5,'Operations','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_operationparams',6,'Operation Parameters','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_operationposts',6,'Operation Post Conditions','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_operationpres',6,'Operation Pre Conditions','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_operationtag',7,'Operation Tag','3.0.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_package',1,'Packages','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_palette',5,'Palettes','3.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_paletteitem',7,'Palette Items','3.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_phase',7,'Phases','3.5.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_problemtypes',1,'Problem Types','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_projectroles',1,'Project Roles','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_propertytypes',1,'Property Types','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_requiretypes',1,'Require Types','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_resources',1,'Resources','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_risktypes',1,'Risk Types','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_roleconstraint',0,'Role Constraints','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_rtf',7,'RTF','3.5.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_rtfreport',1,'RTF Reports','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_rules',7,'Rules','3.5.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_scenariotypes',1,'Scenario Types','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_script',7,'Scripts','3.5.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_secgroup',3,'Security Groups','3.5.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_secgrouppermission',7,'Group Permissions','3.5.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_seclocks',7,'Security Locks','3.5.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_secpermission',3,'Permissions','3.5.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_secpolicies',1,'Security Policies','3.5.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_secuser',3,'Security User','3.5.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_secusergroup',7,'User Group','3.5.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_secuserpermission',7,'User Permissions','3.5.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_snapshot',7,'Snapshots','3.5.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_statustypes',1,'Status Types','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_stereotypes',1,'Stereotypes','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_taggedvalue',7,'Model Tagged Values','3.5.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_tasks',7,'To Do List','3.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_tcf',1,'TCF Values','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_template',7,'Templates','3.5.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_testclass',1,'Test Classes','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_testplans',7,'Test Plans','3.5.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_testtypes',1,'Test Types','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_trxtypes',1,'TRX Types','1.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_umlpattern',7,'UML Patterns','3.5.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_version',7,'Files','3.5.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_xref',7,'XRef','3.1.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_xrefsystem',7,'System XRef','3.5.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('t_xrefuser',7,'User XRef','3.5.0','9.9.9');
INSERT INTO usystables (`TableName`,`RelOrder`,`DisplayName`,`FromVer`,`ToVer`) VALUES ('usys_system',7,'System Settings','3.1.0','9.9.9');


