/* ---------------------------------------------------------------- */
/*  Created On : 02-Feb-2021 15:20:02                               */
/*  DBMS       : SQL  Server                                        */
/*  Notes      : Script to populate initial data in a EA repository */
/* ---------------------------------------------------------------- */

-- Table   t_cardinality
-- --------------------------
INSERT INTO t_cardinality ([Cardinality]) VALUES (N'*');
INSERT INTO t_cardinality ([Cardinality]) VALUES (N'0');
INSERT INTO t_cardinality ([Cardinality]) VALUES (N'0..*');
INSERT INTO t_cardinality ([Cardinality]) VALUES (N'0..1');
INSERT INTO t_cardinality ([Cardinality]) VALUES (N'1');
INSERT INTO t_cardinality ([Cardinality]) VALUES (N'1..');
INSERT INTO t_cardinality ([Cardinality]) VALUES (N'1..*');


-- Table   t_complexitytypes
-- --------------------------
INSERT INTO t_complexitytypes ([Complexity],[NumericWeight]) VALUES (N'Extreme',6);
INSERT INTO t_complexitytypes ([Complexity],[NumericWeight]) VALUES (N'High',4);
INSERT INTO t_complexitytypes ([Complexity],[NumericWeight]) VALUES (N'Low',2);
INSERT INTO t_complexitytypes ([Complexity],[NumericWeight]) VALUES (N'Medium',3);
INSERT INTO t_complexitytypes ([Complexity],[NumericWeight]) VALUES (N'V.High',5);
INSERT INTO t_complexitytypes ([Complexity],[NumericWeight]) VALUES (N'V.Low',1);


-- Table   t_connectortypes
-- --------------------------
INSERT INTO t_connectortypes ([Connector_Type],[Description]) VALUES (N'Abstraction',N'Abstraction');
INSERT INTO t_connectortypes ([Connector_Type],[Description]) VALUES (N'Aggregation',N'Aggregation');
INSERT INTO t_connectortypes ([Connector_Type],[Description]) VALUES (N'Assembly',N'Assembly');
INSERT INTO t_connectortypes ([Connector_Type],[Description]) VALUES (N'Association',N'Association');
INSERT INTO t_connectortypes ([Connector_Type],[Description]) VALUES (N'Collaboration',N'Collaboration');
INSERT INTO t_connectortypes ([Connector_Type],[Description]) VALUES (N'CommunicationPath',N'CommunicationPath');
INSERT INTO t_connectortypes ([Connector_Type],[Description]) VALUES (N'Connector',N'Composite Connector');
INSERT INTO t_connectortypes ([Connector_Type],[Description]) VALUES (N'ControlFlow',N'ControlFlow');
INSERT INTO t_connectortypes ([Connector_Type],[Description]) VALUES (N'Delegate',N'Delegate');
INSERT INTO t_connectortypes ([Connector_Type],[Description]) VALUES (N'Dependency',N'Dependency');
INSERT INTO t_connectortypes ([Connector_Type],[Description]) VALUES (N'Deployment',N'Deployment');
INSERT INTO t_connectortypes ([Connector_Type],[Description]) VALUES (N'ERLink',N'ERLink');
INSERT INTO t_connectortypes ([Connector_Type],[Description]) VALUES (N'Extension',N'Extension');
INSERT INTO t_connectortypes ([Connector_Type],[Description]) VALUES (N'Generalization',N'Generalization');
INSERT INTO t_connectortypes ([Connector_Type],[Description]) VALUES (N'InformationFlow',N'InformationFlow');
INSERT INTO t_connectortypes ([Connector_Type],[Description]) VALUES (N'Instantiation',N'Instantiation');
INSERT INTO t_connectortypes ([Connector_Type],[Description]) VALUES (N'InterruptFlow',N'InterruptFlow');
INSERT INTO t_connectortypes ([Connector_Type],[Description]) VALUES (N'Manifest',N'Manifest');
INSERT INTO t_connectortypes ([Connector_Type],[Description]) VALUES (N'Nesting',N'Nesting');
INSERT INTO t_connectortypes ([Connector_Type],[Description]) VALUES (N'NoteLink',N'NoteLink');
INSERT INTO t_connectortypes ([Connector_Type],[Description]) VALUES (N'ObjectFlow',N'ObjectFlow');
INSERT INTO t_connectortypes ([Connector_Type],[Description]) VALUES (N'Package',N'Package');
INSERT INTO t_connectortypes ([Connector_Type],[Description]) VALUES (N'ProtocolConformance',N'ProtocolConformance');
INSERT INTO t_connectortypes ([Connector_Type],[Description]) VALUES (N'ProtocolTransition',N'ProtocolTransition');
INSERT INTO t_connectortypes ([Connector_Type],[Description]) VALUES (N'Realisation',N'Realisation');
INSERT INTO t_connectortypes ([Connector_Type],[Description]) VALUES (N'Sequence',N'Sequence');
INSERT INTO t_connectortypes ([Connector_Type],[Description]) VALUES (N'StateFlow',N'StateFlow');
INSERT INTO t_connectortypes ([Connector_Type],[Description]) VALUES (N'Substitution',N'Substitution');
INSERT INTO t_connectortypes ([Connector_Type],[Description]) VALUES (N'Usage',N'Usage');
INSERT INTO t_connectortypes ([Connector_Type],[Description]) VALUES (N'UseCase',N'UseCase');


-- Table   t_constants
-- --------------------------
INSERT INTO t_constants ([ConstantName],[ConstantValue]) VALUES (N'CompanyName',N'Sparx Systems');
INSERT INTO t_constants ([ConstantName],[ConstantValue]) VALUES (N'ECF_EC',N'1.4');
INSERT INTO t_constants ([ConstantName],[ConstantValue]) VALUES (N'ECF_EWF',N'-0.03');
INSERT INTO t_constants ([ConstantName],[ConstantValue]) VALUES (N'HoursPerUCP',N'20');
INSERT INTO t_constants ([ConstantName],[ConstantValue]) VALUES (N'ProjectName',N'DOJ');
INSERT INTO t_constants ([ConstantName],[ConstantValue]) VALUES (N'TCF_TC',N'0.6');
INSERT INTO t_constants ([ConstantName],[ConstantValue]) VALUES (N'TCF_TWF',N'0.01');


-- Table   t_constrainttypes
-- --------------------------
INSERT INTO t_constrainttypes ([Constraint],[Description],[Notes]) VALUES (N'Invariant',N'A state the object must always be in',N'1');
INSERT INTO t_constrainttypes ([Constraint],[Description],[Notes]) VALUES (N'Post-condition',N'An ending state that must be met',N'1');
INSERT INTO t_constrainttypes ([Constraint],[Description],[Notes]) VALUES (N'Pre-condition',N'A starting state that must be met',N'1');
INSERT INTO t_constrainttypes ([Constraint],[Description],[Notes]) VALUES (N'Process',N'A process that must occur',N'1');


-- Table   t_datatypes
-- --------------------------
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'CHAR',1,2000,0,0,1,0,0,0,N'1',N'1',N'1',N'1',N'1',N'char');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'VARCHAR2',1,4000,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'VARCHAR',1,4000,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'NCHAR',1,2000,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'nchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'NVARCHAR',1,4000,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'nvarchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'FLOAT',1,126,0,0,126,0,0,0,N'1',N'1',N'1',N'1',N'1',N'float');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'NUMBER',2,0,38,0,0,8,2,0,N'1',N'1',N'1',N'1',N'1',N'number');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'DATE',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'ROWID',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'uniqueidentifier');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'RAW',1,2000,0,0,2000,0,0,0,N'1',N'1',N'1',N'1',N'1',N'binary');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'LONG RAW',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'binary');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'CLOB',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'text');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'LONG',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'long');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'NCLOB',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'ntext');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'BLOB',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'blob');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'BFILE',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'blob');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQLServer7',N'binary',1,8000,0,0,10,0,0,0,N'1',N'1',N'1',N'1',N'1',N'binary');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQLServer7',N'bit',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'boolean');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQLServer7',N'char',1,8000,0,0,1,0,0,0,N'1',N'1',N'1',N'1',N'1',N'char');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQLServer7',N'datetime',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'DateTime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQLServer7',N'decimal',2,0,38,0,0,18,0,0,N'1',N'1',N'1',N'1',N'1',N'decimal');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQLServer7',N'float',1,53,0,0,53,0,0,0,N'1',N'1',N'1',N'1',N'1',N'float');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQLServer7',N'image',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'binary');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQLServer7',N'int',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'integer');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQLServer7',N'money',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'currency');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQLServer7',N'nchar',1,4000,0,0,10,0,0,0,N'1',N'1',N'1',N'1',N'1',N'nchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQLServer7',N'ntext',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'ntext');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQLServer7',N'nvarchar',1,4000,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'nvarchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQLServer7',N'numeric',2,0,38,0,0,18,0,0,N'1',N'1',N'1',N'1',N'1',N'numeric');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQLServer7',N'real',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'real');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQLServer7',N'smalldatetime',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQLServer7',N'smallint',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'smallint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQLServer7',N'smallmoney',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'money');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQLServer7',N'text',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'text');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQLServer7',N'timestamp',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'timestamp');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQLServer7',N'tinyint',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'tinyint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQLServer7',N'varchar',1,8000,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQLServer7',N'varbinary',1,8000,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varbinary');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQLServer7',N'uniqueidentifier',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'uniqueidentifier');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MSAccess',N'Text',1,255,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'char');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MSAccess',N'Memo',0,65535,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'text');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MSAccess',N'DateTime',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MSAccess',N'Currency',2,0,15,0,0,15,4,0,N'1',N'1',N'1',N'1',N'1',N'currency');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MSAccess',N'Integer',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'integer');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MSAccess',N'Long',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'long');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MSAccess',N'Single',0,0,7,0,0,0,7,0,N'1',N'1',N'1',N'1',N'1',N'float');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MSAccess',N'Double',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'double');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MSAccess',N'Counter',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'counter');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MSAccess',N'YesNo',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'boolean');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Visual Basic',N'Boolean',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Boolean');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Visual Basic',N'Byte',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Byte');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Visual Basic',N'Currency',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Currency');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Visual Basic',N'Date',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'DateTime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Visual Basic',N'Double',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Double');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Visual Basic',N'Integer',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Integer');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Visual Basic',N'Long',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Long');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Visual Basic',N'Object',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'1');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Visual Basic',N'Single',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'1');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Visual Basic',N'String',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'String');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Visual Basic',N'Variant',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Variant');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'C++',N'char',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Char');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'C++',N'int',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Integer');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'C++',N'short',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Short');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'C++',N'long',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Long');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'C++',N'float',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Float');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'C++',N'double',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Double');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'C++',N'void',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'1');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'C++',N'unsigned char',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'1');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'C++',N'unsigned int',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Uint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'C++',N'unsigned short',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'1');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'C++',N'unsigned long',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Ulong');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Java',N'byte',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Byte');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Java',N'char',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Char');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Java',N'int',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Integer');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Java',N'short',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Short');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Java',N'boolean',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Boolean');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Java',N'long',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Long');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Java',N'float',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Float');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Java',N'double',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Double');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Delphi',N'Boolean',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Boolean');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Delphi',N'Byte',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Byte');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Delphi',N'Cardinal',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'1');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Delphi',N'Char',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Char');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Delphi',N'Currency',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Currency');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Delphi',N'Double',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Double');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Delphi',N'Extended',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'1');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Delphi',N'Integer',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Integer');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Delphi',N'LongInt',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'1');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Delphi',N'LongWord',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Ulong');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Delphi',N'Single',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'1');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Delphi',N'ShortInt',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'1');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Delphi',N'SmallInt',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'1');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Delphi',N'String',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'String');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Delphi',N'Real',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'1');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Delphi',N'Variant',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Variant');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'Delphi',N'Word',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Word');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'C#',N'void',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'1');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'C#',N'sbyte',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'1');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'C#',N'byte',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Byte');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'C#',N'short',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Short');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'C#',N'ushort',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Ushort');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'C#',N'int',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Integer');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'C#',N'uint',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Uint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'C#',N'long',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Long');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'C#',N'ulong',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Ulong');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'C#',N'char',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Char');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'C#',N'float',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Float');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'C#',N'double',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Double');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'C#',N'bool',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Boolean');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'C#',N'decimal',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Float');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'VBNet',N'Integer',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Integer');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'VBNet',N'String',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'String');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'VBNet',N'Short',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Short');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'VBNet',N'Long',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Long');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'VBNet',N'Char',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Char');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'VBNet',N'Byte',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Byte');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'VBNet',N'Boolean',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Boolean');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'VBNet',N'Double',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Double');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'VBNet',N'Date',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Date');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'VBNet',N'Object',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'1');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'VBNet',N'Single',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Single');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'VBNet',N'Datetime',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'DateTime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'VBNet',N'Decimal',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'1');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'DB2',N'BIGINT',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'bigint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'DB2',N'BLOB',1,2097152,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'blob');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'DB2',N'CHARACTER',1,254,0,0,10,0,0,0,N'1',N'1',N'1',N'1',N'1',N'char');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'DB2',N'CLOB',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'text');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'DB2',N'DATE',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'date');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'DB2',N'DECIMAL',2,31,31,0,0,5,0,0,N'1',N'1',N'1',N'1',N'1',N'decimal');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'DB2',N'DOUBLE',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'double');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'DB2',N'INTEGER',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'integer');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'DB2',N'LONG VARCHAR',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'text');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'DB2',N'REAL',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'real');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'DB2',N'TIME',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'time');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'DB2',N'TIMESTAMP',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'timestamp');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'DB2',N'VARCHAR',1,4000,0,0,10,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'BIT',1,64,0,0,1,0,0,0,N'1',N'1',N'1',N'1',N'1',N'bit');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'BOOL',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'boolean');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'TINYINT',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'tinyint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'SMALLINT',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'smallint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'INTEGER',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'integer');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'MEDIUMINT',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'mediumint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'BIGINT',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'bigint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'FLOAT',2,0,24,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'float');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'DOUBLE',2,0,53,30,0,10,2,0,N'1',N'1',N'1',N'1',N'1',N'double');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'DOUBLE PRECISION',2,0,53,30,0,10,2,0,N'1',N'1',N'1',N'1',N'1',N'double');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'REAL',2,0,53,30,0,10,2,0,N'1',N'1',N'1',N'1',N'1',N'real');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'NUMERIC',2,0,65,30,0,10,2,0,N'1',N'1',N'1',N'1',N'1',N'numeric');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'DECIMAL',2,0,65,30,0,10,2,0,N'1',N'1',N'1',N'1',N'1',N'decimal');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'DATE',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'date');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'DATETIME',1,6,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'TIME',1,6,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'time');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'TIMESTAMP',1,6,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'timestamp');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'CHAR',1,255,0,0,10,0,0,0,N'1',N'1',N'1',N'1',N'1',N'char');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'VARCHAR',1,65535,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'BLOB',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'blob');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'TEXT',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'text');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2000',N'decimal',2,38,38,38,0,10,2,0,N'1',N'1',N'1',N'1',N'1',N'decimal');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2000',N'sql_variant',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'sqlvariant');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2000',N'numeric',2,38,38,38,0,10,2,0,N'1',N'1',N'1',N'1',N'1',N'numeric');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2000',N'varbinary',1,8000,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varbinary');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2000',N'bit',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'boolean');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'InterBase',N'integer',0,0,0,0,10,0,0,0,N'1',N'1',N'1',N'1',N'1',N'integer');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'InterBase',N'smallint',0,0,0,0,10,0,0,0,N'1',N'1',N'1',N'1',N'1',N'smallint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'NCHAR',1,255,0,0,10,0,0,0,N'1',N'1',N'1',N'1',N'1',N'nchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'InterBase',N'timestamp',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'real',1,53,0,0,53,0,0,0,N'1',N'1',N'1',N'1',N'1',N'real');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2000',N'char',1,8000,0,0,10,0,0,0,N'1',N'1',N'1',N'1',N'1',N'char');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2000',N'timestamp',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'timestamp');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'InterBase',N'double precision',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'double');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2000',N'binary',1,8000,0,0,10,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Binary');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2000',N'image',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'blob');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2000',N'nvarchar',1,4000,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'nvarchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2000',N'smalldatetime',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'numeric',2,0,1000,1000,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'numeric');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'DB2',N'FLOAT',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'float');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'integer',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'integer');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'varchar',1,1048576,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'InterBase',N'blob sub_type 0',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'blob');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2000',N'money',0,0,0,0,0,19,4,0,N'1',N'1',N'1',N'1',N'1',N'currency');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2000',N'ntext',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'ntext');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2000',N'uniqueidentifier',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'guid');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'bigint',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'bigint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'DB2',N'SMALLINT',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'smallint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MSAccess',N'OLEObject',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'blob');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'DB2',N'DBCLOB',1,1073741823,0,0,1,0,0,0,N'1',N'1',N'1',N'1',N'1',N'dbclob');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2000',N'int',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'integer');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2000',N'datetime',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2000',N'float',0,53,0,0,53,0,0,0,N'1',N'1',N'1',N'1',N'1',N'float');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2000',N'nchar',1,4000,0,0,10,0,0,0,N'1',N'1',N'1',N'1',N'1',N'nchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'NVARCHAR2',1,4000,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'nvarchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'InterBase',N'varchar',1,32767,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MSAccess',N'Byte',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'tinyint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2000',N'real',0,53,0,0,53,0,0,0,N'1',N'1',N'1',N'1',N'1',N'double');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2000',N'text',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'text');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2000',N'tinyint',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'tinyint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'smallint',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'smallint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'number',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'currency');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2000',N'smallint',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'smallint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2000',N'varchar',1,8000,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'DB2',N'CHAR',1,254,0,0,10,0,0,0,N'1',N'1',N'1',N'1',N'1',N'char');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'char',1,1048576,0,0,1,0,0,0,N'1',N'1',N'1',N'1',N'1',N'char');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'decimal',2,0,1000,1000,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'decimal');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'text',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'text');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2000',N'bigint',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'bigint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2000',N'smallmoney',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'money');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'InterBase',N'blob sub_type 1',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'text');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'InterBase',N'char',1,32767,0,0,10,0,0,0,N'1',N'1',N'1',N'1',N'1',N'char');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'boolean',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'boolean');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'timestamp',1,6,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'NVARCHAR',1,65535,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'nvarchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'bytea',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'blob');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'InterBase',N'decimal',2,0,64,64,0,10,2,0,N'1',N'1',N'1',N'1',N'1',N'decimal');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'PHP',N'var',0,1,1,0,1,1,1,1,N'1',N'1',N'1',N'1',N'1',N'var');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'C#',N'string',0,1,1,0,1,1,1,1,N'1',N'1',N'1',N'1',N'1',N'String');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'C++',N'wchar_t',0,1,1,0,1,1,1,1,N'1',N'1',N'1',N'1',N'1',N'Char');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'Code',N'C++',N'bool',0,1,1,0,1,1,1,1,N'1',N'1',N'1',N'1',N'1',N'Boolean');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase ASE',N'tinyint',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'tinyint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase ASE',N'smallint',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'smallint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase ASE',N'int',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'integer');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase ASE',N'numeric',2,0,38,38,0,18,0,0,N'1',N'1',N'1',N'1',N'1',N'numeric');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase ASE',N'decimal',2,0,38,38,0,18,0,0,N'1',N'1',N'1',N'1',N'1',N'decimal');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase ASE',N'float',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'float');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase ASE',N'double precision',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'double');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase ASE',N'real',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'real');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase ASE',N'smallmoney',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'money');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase ASE',N'money',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'money');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase ASE',N'smalldatetime',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase ASE',N'datetime',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase ASE',N'char',1,16384,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'char');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase ASE',N'varchar',1,16384,0,0,100,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase ASE',N'unichar',1,0,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'char');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase ASE',N'univarchar',1,0,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase ASE',N'nchar',1,16384,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'nchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase ASE',N'nvarchar',1,16384,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'nvarchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase ASE',N'text',0,0,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'text');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase ASE',N'binary',1,255,0,0,1,0,0,0,N'1',N'1',N'1',N'1',N'1',N'binary');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase ASE',N'image',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'blob');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase ASE',N'bit',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'boolean');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'INTEGER',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'integer');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'INT',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'integer');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'SMALLINT',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'smallint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'INT8',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'bigint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'SERIAL',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'integer');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'SERIAL8',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'integer');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'FLOAT',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'float');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'SMALLFLOAT',0,4,0,0,4,0,0,0,N'1',N'1',N'1',N'1',N'1',N'float');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DECIMAL',2,0,32,32,0,8,3,0,N'1',N'1',N'1',N'1',N'1',N'decimal');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DEC',2,0,32,32,0,8,3,0,N'1',N'1',N'1',N'1',N'1',N'decimal');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'MONEY',2,0,32,3,0,8,3,0,N'1',N'1',N'1',N'1',N'1',N'money');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DATE',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'date');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DATETIME HOUR TO MINUTE',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DATETIME YEAR TO YEAR',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DATETIME YEAR TO MONTH',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DATETIME YEAR TO DAY',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DATETIME YEAR TO HOUR',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DATETIME YEAR TO MINUTE',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DATETIME YEAR TO SECOND',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DATETIME YEAR TO FRACTION',1,5,0,0,3,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DATETIME MONTH TO MONTH',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'DB2',N'GRAPHIC',1,127,0,0,1,0,0,0,N'1',N'1',N'1',N'1',N'1',N'graphic');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DATETIME MONTH TO DAY',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DATETIME MONTH TO HOUR',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DATETIME MONTH TO MINUTE',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DATETIME MONTH TO SECOND',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DATETIME MONTH TO FRACTION',1,5,0,0,3,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DATETIME DAY TO DAY',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DATETIME DAY TO HOUR',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DATETIME DAY TO MINUTE',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DATETIME DAY TO SECOND',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DATETIME DAY TO FRACTION',1,5,0,0,3,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DATETIME HOUR TO HOUR',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DATETIME HOUR TO FRACTION',1,5,0,0,3,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DATETIME HOUR TO SECOND',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DATETIME MINUTE TO MINUTE',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DATETIME MINUTE TO SECOND',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DATETIME MINUTE TO FRACTION',1,5,0,0,3,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DATETIME SECOND TO SECOND',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DATETIME SECOND TO FRACTION',1,5,0,0,3,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'DATETIME FRACTION TO FRACTION',1,5,0,0,3,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'BOOLEAN',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'boolean');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'CHAR',1,32767,0,0,10,0,0,0,N'1',N'1',N'1',N'1',N'1',N'char');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'CHARACTER',1,32767,0,0,10,0,0,0,N'1',N'1',N'1',N'1',N'1',N'char');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'NCHAR',1,32767,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'nchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'CHARACTER VARYING',1,255,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'char');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'VARCHAR',1,255,0,0,10,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'NVARCHAR',1,255,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'nvarchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'LVARCHAR',1,32767,0,0,2048,0,0,0,N'1',N'1',N'1',N'1',N'1',N'char');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'TEXT',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'text');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'BYTE',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Binary');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'BLOB',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'blob');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'CLOB',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'ntext');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'ansidate',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'ansidate');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'bigint',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'bigint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'byte',1,32000,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Binary');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'byte var',1,32000,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Binary');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'c',1,32000,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'char');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'char',1,32000,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'char');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'date',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'date');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'decimal',2,0,31,10,0,5,0,0,N'1',N'1',N'1',N'1',N'1',N'decimal');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'float',1,53,0,0,8,0,0,0,N'1',N'1',N'1',N'1',N'1',N'float');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'float4',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'real');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'float8',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'float');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'ingresdate',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'date');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'int1',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'integer1');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'int2',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'smallint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'int4',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'int');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'int8',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'bigint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'integer',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'integer');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'interval day to second',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'interval day to second');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'interval year to month',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'interval year to month');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'long byte',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'long byte');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'long nvarchar',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'long nvarchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'long varchar',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'long varchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'money',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'money');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'nchar',1,16000,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'nchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'nvarchar',1,16000,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'nvarchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'Object Key',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'OBJECT_KEY');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'Table Key',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'TABLE_KEY');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'text',1,32000,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'text');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'time with local time zone',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'time');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'time with time zone',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'time');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'time without time zone',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'TABLE_KEY');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'timestamp with local time zone',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'timestampt');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'timestamp with time zone',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'timestampt');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'timestamp without time zone',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'timestampt');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Ingres',N'varchar',1,32000,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2005',N'bigint',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'bigint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2005',N'int',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'integer');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2005',N'smallint',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'smallint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2005',N'tinyint',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'tinyint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2005',N'bit',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'boolean');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2005',N'decimal',2,38,38,38,0,10,2,0,N'1',N'1',N'1',N'1',N'1',N'decimal');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2005',N'numeric',2,38,38,38,0,10,2,0,N'1',N'1',N'1',N'1',N'1',N'numeric');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2005',N'money',0,0,0,0,0,19,4,0,N'1',N'1',N'1',N'1',N'1',N'currency');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2005',N'smallmoney',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'money');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2005',N'float',0,53,0,0,53,0,0,0,N'1',N'1',N'1',N'1',N'1',N'float');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2005',N'real',0,53,0,0,53,0,0,0,N'1',N'1',N'1',N'1',N'1',N'double');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2005',N'datetime',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2005',N'smalldatetime',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2005',N'char',1,8000,0,0,10,0,0,0,N'1',N'1',N'1',N'1',N'1',N'char');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2005',N'varchar',1,8000,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2005',N'text',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'text');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2005',N'nchar',1,4000,0,0,10,0,0,0,N'1',N'1',N'1',N'1',N'1',N'nchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2005',N'nvarchar',1,4000,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'nvarchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2005',N'ntext',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'ntext');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2005',N'binary',1,8000,0,0,10,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Binary');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2005',N'varbinary',1,8000,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varbinary');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2005',N'image',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'blob');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2005',N'sql_variant',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'sqlvariant');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2005',N'timestamp',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'timestamp');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2005',N'uniqueidentifier',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'guid');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2005',N'xml',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'text');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'INTERVAL YEAR TO YEAR',0,9,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'interval');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'INTERVAL YEAR TO MONTH',0,9,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'interval');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'INTERVAL MONTH TO MONTH',0,9,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'interval');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'INTERVAL DAY TO DAY',0,9,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'interval');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'INTERVAL DAY TO HOUR',0,9,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'interval');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'INTERVAL DAY TO MINUTE',0,9,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'interval');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'INTERVAL DAY TO SECOND',0,9,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'interval');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'INTERVAL DAY TO FRACTION',1,5,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'interval');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'INTERVAL HOUR TO HOUR',0,9,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'interval');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'INTERVAL HOUR TO MINUTE',0,9,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'interval');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'INTERVAL HOUR TO SECOND',0,9,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'interval');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'INTERVAL HOUR TO FRACTION',1,5,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'interval');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'INTERVAL MINUTE TO MINUTE',0,9,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'interval');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'INTERVAL MINUTE TO SECOND',0,9,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'interval');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'INTERVAL MINUTE TO FRACTION',1,5,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'interval');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'INTERVAL SECOND TO SECOND',0,9,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'interval');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'INTERVAL SECOND TO FRACTION',1,5,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'interval');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Informix',N'INTERVAL FRACTION TO FRACTION',1,5,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'interval');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2005',N'varchar(max)',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2005',N'varbinary(max)',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varbinary');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'bigint',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'bigint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'bit',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'boolean');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'decimal',2,38,38,38,0,10,2,0,N'1',N'1',N'1',N'1',N'1',N'decimal');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'int',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'integer');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'money',0,0,0,0,0,19,4,0,N'1',N'1',N'1',N'1',N'1',N'currency');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'numeric',2,38,38,38,0,10,2,0,N'1',N'1',N'1',N'1',N'1',N'numeric');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'smallint',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'smallint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'smallmoney',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'money');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'tinyint',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'tinyint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'float',0,53,0,0,53,0,0,0,N'1',N'1',N'1',N'1',N'1',N'float');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'real',0,53,0,0,53,0,0,0,N'1',N'1',N'1',N'1',N'1',N'double');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'date',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'date');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'datetime2',1,7,0,0,7,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'datetime',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'datetimeoffset',1,7,0,0,7,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'smalldatetime',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'time',1,7,0,0,7,0,0,0,N'1',N'1',N'1',N'1',N'1',N'time');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'char',1,8000,0,0,10,0,0,0,N'1',N'1',N'1',N'1',N'1',N'char');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'varchar',1,8000,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'varchar(max)',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'text',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'text');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'nchar',1,4000,0,0,10,0,0,0,N'1',N'1',N'1',N'1',N'1',N'nchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'nvarchar',1,4000,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'nvarchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'nvarchar(max)',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'ntext',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'ntext');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'binary',1,8000,0,0,10,0,0,0,N'1',N'1',N'1',N'1',N'1',N'Binary');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'varbinary',1,8000,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varbinary');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'varbinary(max)',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varbinary');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'image',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'blob');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'timestamp',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'timestamp');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'uniqueidentifier',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'guid');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'sql_variant',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'sqlvariant');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'xml',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'text');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'hierarchyid',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'text');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'geometry',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'text');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2008',N'geography',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'text');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MSAccess 2007',N'Text',1,255,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'char');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MSAccess 2007',N'Memo',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'text');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MSAccess 2007',N'DateTime',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MSAccess 2007',N'Currency',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'currency');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MSAccess 2007',N'Integer',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'integer');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MSAccess 2007',N'Long',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'long');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MSAccess 2007',N'Single',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'float');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MSAccess 2007',N'Double',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'double');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MSAccess 2007',N'Counter',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'counter');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MSAccess 2007',N'YesNo',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'boolean');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MSAccess 2007',N'OLEObject',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'blob');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MSAccess 2007',N'Byte',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'tinyint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MSAccess 2007',N'Decimal',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'decimal');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQLite',N'INTEGER',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'integer');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQLite',N'NUMERIC',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'numeric');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQLite',N'TEXT',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'text');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQLite',N'BLOB',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'blob');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQLite',N'REAL',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'real');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'InterBase',N'numeric',2,0,64,64,0,10,2,0,N'1',N'1',N'1',N'1',N'1',N'numeric');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'InterBase',N'float',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'float');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'BINARY_FLOAT',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'float');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'BINARY_DOUBLE',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'double');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'TIMESTAMP',1,9,0,0,6,0,0,0,N'1',N'1',N'1',N'1',N'1',N'timestamp');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'TIMESTAMP WITH TIME ZONE',1,9,0,0,6,0,0,0,N'1',N'1',N'1',N'1',N'1',N'timestamp with time zone');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'TIMESTAMP WITH LOCAL TIME ZONE',1,9,0,0,6,0,0,0,N'1',N'1',N'1',N'1',N'1',N'timestamp with local time zone');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'INTERVAL YEAR TO MONTH',1,9,0,0,2,0,0,0,N'1',N'1',N'1',N'1',N'1',N'interval year to month');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'INTERVAL DAY TO SECOND',2,0,9,9,0,2,6,0,N'1',N'1',N'1',N'1',N'1',N'interval day to second');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'ANYDATA',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'text');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'ANYTYPE',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'text');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'ANYDATASET',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'text');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'URITYPE',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'uri');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'DBURITYPE',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'uri');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'XDBURITYPE',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'uri');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'HTTPURITYPE',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'uri');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'XMLTYPE',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'xml');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'SDO_GEOMETRY',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'spatial');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'SDO_TOPO_GEOMETRY',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'spatial');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'SDO_GEORASTER',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'spatial');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'ORDAUDIO',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'media');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'ORDIMAGE',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'media');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'ORDVIDEO',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'media');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'ORDDOC',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'media');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'ORDDICOM',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'media');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'SI_STILLIMAGE',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'image');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'SI_COLOR',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'image');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'SI_AVERAGECOLOR',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'image');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'SI_COLORHISTOGRAM',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'image');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'SI_POSITIONALCOLOR',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'image');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'SI_TEXTURE',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'image');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'SI_FEATURELIST',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'image');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'BINARY',1,255,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'binary');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'ENUM',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'enum');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'GEOMETRY',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'geometry');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'GEOMETRYCOLLECTION',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'geometrycollection');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'INT',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'integer');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'LINESTRING',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'linestring');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'LONGBLOB',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'longblob');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'LONGTEXT',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'longtext');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'MEDIUMBLOB',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'mediumblob');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'MEDIUMTEXT',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'mediumtext');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'MULTILINESTRING',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'multilinestring');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'MULTIPOINT',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'multipoint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'MULTIPOLYGON',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'multipolygon');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'POINT',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'point');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'POLYGON',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'polygon');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'SET',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'set');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'TINYBLOB',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'tinyblob');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'TINYTEXT',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'tinytext');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'VARBINARY',1,65535,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varbinary');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MySql',N'YEAR',1,4,0,0,4,0,0,0,N'1',N'1',N'1',N'1',N'1',N'date');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'xml',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'xml');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'uuid',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'guid');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'date',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'date');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'interval',1,6,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'interval');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'time',1,6,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'time');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'time with time zone',1,6,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'time');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'time without time zone',1,6,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'time');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'timestamp with time zone',1,6,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'timestamp without time zone',1,6,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'inet',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'inet');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'cidr',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'cidr');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'macaddr',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'macaddr');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'money',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'currency');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'bit',1,83886080,0,0,1,0,0,0,N'1',N'1',N'1',N'1',N'1',N'bit');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'bit varying',1,83886080,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varbit');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'double precision',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'double');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'serial',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'serial');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'bigserial',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'serial');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'smallserial',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'smallserial');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'point',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'point');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'line',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'line');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'lseg',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'lseg');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'box',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'box');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'path',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'path');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'polygon',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'polygon');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'circle',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'circle');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'bigint',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'bigint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'binary',1,8000,0,0,10,0,0,0,N'1',N'1',N'1',N'1',N'1',N'binary');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'bit',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'boolean');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'char',1,8000,0,0,10,0,0,0,N'1',N'1',N'1',N'1',N'1',N'char');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'date',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'date');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'datetime',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'datetime2',1,7,0,0,7,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'datetimeoffset',1,7,0,0,7,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'decimal',2,38,38,38,0,18,0,0,N'1',N'1',N'1',N'1',N'1',N'decimal');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'float',0,53,0,0,53,0,0,0,N'1',N'1',N'1',N'1',N'1',N'float');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'geography',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'text');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'geometry',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'text');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'hierarchyid',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'text');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'image',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'blob');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'int',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'integer');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'money',0,0,0,0,0,19,4,0,N'1',N'1',N'1',N'1',N'1',N'currency');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'nchar',1,4000,0,0,10,0,0,0,N'1',N'1',N'1',N'1',N'1',N'nchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'ntext',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'ntext');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'numeric',2,38,38,38,0,18,0,0,N'1',N'1',N'1',N'1',N'1',N'numeric');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'nvarchar',1,4000,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'nvarchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'nvarchar(max)',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'real',0,53,0,0,53,0,0,0,N'1',N'1',N'1',N'1',N'1',N'double');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'smalldatetime',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'smallint',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'smallint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'smallmoney',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'money');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'sql_variant',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'sqlvariant');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'text',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'text');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'time',1,7,0,0,7,0,0,0,N'1',N'1',N'1',N'1',N'1',N'time');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'timestamp',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'timestamp');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'tinyint',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'tinyint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'uniqueidentifier',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'guid');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'varbinary',1,8000,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varbinary');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'varbinary(max)',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varbinary');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'varchar',1,8000,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'varchar(max)',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'SQL Server 2012',N'xml',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'text');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'bigint',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'int8');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'binary',1,32767,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'binary');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'bit',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'bit');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'char',1,32767,0,0,10,0,0,0,N'1',N'1',N'1',N'1',N'1',N'char');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'date',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'date4');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'datetime',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime8');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'datetimeoffset',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetimeoffset');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'decimal',2,0,127,127,0,30,6,0,N'1',N'1',N'1',N'1',N'1',N'decimal');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'double',1,15,0,0,0,15,0,0,N'1',N'1',N'1',N'1',N'1',N'double');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'float',1,15,0,0,0,15,0,0,N'1',N'1',N'1',N'1',N'1',N'float');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'integer',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'int4');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'image',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'long binary');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'long binary',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'long binary');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'long nvarchar',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'longnvarchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'long varbit',1,32767,0,0,1,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varbit');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'long varchar',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'longvarchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'money',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'money');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'nchar',1,32767,0,0,10,0,0,0,N'1',N'1',N'1',N'1',N'1',N'nchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'ntext',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'ntext');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'numeric',2,0,127,127,0,30,6,0,N'1',N'1',N'1',N'1',N'1',N'numeric');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'nvarchar',1,32767,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'nvarchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'real',2,0,127,127,0,30,6,0,N'1',N'1',N'1',N'1',N'1',N'decimal');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'smalldatetime',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'datetime4');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'smallint',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'int2');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'smallmoney',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'smallmoney');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'ST_Geometry',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'geometry');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'ST_GeomCollection',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'geometrycollection');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'ST_Point',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'point');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'ST_Polygon',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'polygon');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'ST_LineString',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'linestring');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'ST_MultiLineString',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'multilinestring');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'ST_MultiPoint',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'multipoint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'ST_MultiPolygon',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'multipolygon');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'text',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'text');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'tinyint',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'int1');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'time',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'time');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'timestamp',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'timestamp8');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'timestamp with time zone',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'timestamptz');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'uniqueidentifer',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'uniqueidentifier');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'uniqueidentiferstr',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'uniqueidentifier');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'varbinary',1,32767,0,0,1,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varbinary');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'varbit',1,32767,0,0,1,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varbit');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'varchar',1,32767,0,0,50,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varchar');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase',N'xml',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'xml');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'DB2',N'ST_GEOMETRY',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'geometry');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'DB2',N'ST_GEOMCOLLECTION',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'geometrycollection');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'DB2',N'ST_POINT',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'point');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'DB2',N'ST_POLYGON',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'polygon');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'DB2',N'ST_LINESTRING',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'linestring');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'DB2',N'ST_MULTILINESTRING',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'multilinestring');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'DB2',N'ST_MULTIPOINT',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'multipoint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'DB2',N'ST_MULTIPOLYGON',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'multipolygon');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'MDSYS.ST_GEOMETRY',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'geometry');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'MDSYS.ST_GEOMCOLLECTION',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'geometrycollection');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'MDSYS.ST_POINT',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'point');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'MDSYS.ST_POLYGON',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'polygon');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'MDSYS.ST_LINESTRING',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'linestring');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'MDSYS.ST_MULTILINESTRING',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'multilinestring');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'MDSYS.ST_MULTIPOINT',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'multipoint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Oracle',N'MDSYS.ST_MULTIPOLYGON',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'multipolygon');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'box2d',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'box');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'box3d',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'box3d');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'geometry',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'geometry');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'geometry(point)',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'point');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'geometry(polygon)',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'polygon');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'geometry(linestring)',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'linestring');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'geometry(geometrycollection)',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'geometrycollection');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'geometry(multipoint)',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'multipoint');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'geometry(multipolygon)',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'multipolygon');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'geometry(multilinestring)',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'multilinestring');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'geometry_dump',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'geometry_dump');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'geography',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'geography');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'geography(point)',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'point2');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'geography(polygon)',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'polygon2');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'geography(linestring)',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'linestring2');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'geography(geometrycollection)',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'geometrycollection2');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'geography(multipoint)',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'multipoint2');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'geography(multipolygon)',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'multipolygon2');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'PostgreSQL',N'geography(multilinestring)',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'multilinestring2');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MSAccess',N'GUID',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'guid');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'MSAccess 2007',N'GUID',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'guid');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'DB2',N'LONG VARGRAPHIC',0,0,0,0,0,0,0,0,N'1',N'1',N'1',N'1',N'1',N'longvargraphic');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'DB2',N'VARGRAPHIC',1,16336,0,0,1,0,0,0,N'1',N'1',N'1',N'1',N'1',N'vargraphic');
INSERT INTO t_datatypes ([Type],[ProductName],[DataType],[Size],[MaxLen],[MaxPrec],[MaxScale],[DefaultLen],[DefaultPrec],[DefaultScale],[User],[PDATA1],[PDATA2],[PDATA3],[PDATA4],[HasLength],[GenericType]) VALUES (N'DDL',N'Sybase ASE',N'varbinary',1,255,0,0,1,0,0,0,N'1',N'1',N'1',N'1',N'1',N'varbinary');


-- Table   t_diagramtypes
-- --------------------------
INSERT INTO t_diagramtypes ([Diagram_Type],[Name],[Package_ID]) VALUES (N'Activity',N'Activity',1);
INSERT INTO t_diagramtypes ([Diagram_Type],[Name],[Package_ID]) VALUES (N'Analysis',N'Analysis',1);
INSERT INTO t_diagramtypes ([Diagram_Type],[Name],[Package_ID]) VALUES (N'Collaboration',N'Collaboration',1);
INSERT INTO t_diagramtypes ([Diagram_Type],[Name],[Package_ID]) VALUES (N'Component',N'Component',1);
INSERT INTO t_diagramtypes ([Diagram_Type],[Name],[Package_ID]) VALUES (N'CompositeStructure',N'CompositeStructure',1);
INSERT INTO t_diagramtypes ([Diagram_Type],[Name],[Package_ID]) VALUES (N'Custom',N'Custom',1);
INSERT INTO t_diagramtypes ([Diagram_Type],[Name],[Package_ID]) VALUES (N'Deployment',N'Deployment',1);
INSERT INTO t_diagramtypes ([Diagram_Type],[Name],[Package_ID]) VALUES (N'InteractionOverview',N'InteractionOverview',1);
INSERT INTO t_diagramtypes ([Diagram_Type],[Name],[Package_ID]) VALUES (N'Logical',N'Logical View',1);
INSERT INTO t_diagramtypes ([Diagram_Type],[Name],[Package_ID]) VALUES (N'Object',N'Object',1);
INSERT INTO t_diagramtypes ([Diagram_Type],[Name],[Package_ID]) VALUES (N'Package',N'Package',1);
INSERT INTO t_diagramtypes ([Diagram_Type],[Name],[Package_ID]) VALUES (N'Sequence',N'Sequence',1);
INSERT INTO t_diagramtypes ([Diagram_Type],[Name],[Package_ID]) VALUES (N'Statechart',N'Statechart',1);
INSERT INTO t_diagramtypes ([Diagram_Type],[Name],[Package_ID]) VALUES (N'Timing',N'Timing',1);
INSERT INTO t_diagramtypes ([Diagram_Type],[Name],[Package_ID]) VALUES (N'Use Case',N'Use Case View',1);


-- Table   t_ecf
-- --------------------------
INSERT INTO t_ecf ([ECFID],[Description],[Weight],[Value],[Notes]) VALUES (N'ECF01',N'Familiar with Rational Unified Process',1.5,4,N'1');
INSERT INTO t_ecf ([ECFID],[Description],[Weight],[Value],[Notes]) VALUES (N'ECF02',N'Application experience',0.5,3,N'1');
INSERT INTO t_ecf ([ECFID],[Description],[Weight],[Value],[Notes]) VALUES (N'ECF03',N'Object-oriented experience',1,4,N'1');
INSERT INTO t_ecf ([ECFID],[Description],[Weight],[Value],[Notes]) VALUES (N'ECF04',N'Lead analyst capability',0.5,4,N'1');
INSERT INTO t_ecf ([ECFID],[Description],[Weight],[Value],[Notes]) VALUES (N'ECF05',N'Motivation',1,3,N'1');
INSERT INTO t_ecf ([ECFID],[Description],[Weight],[Value],[Notes]) VALUES (N'ECF06',N'Stable requirements',2,4,N'1');
INSERT INTO t_ecf ([ECFID],[Description],[Weight],[Value],[Notes]) VALUES (N'ECF07',N'Part-time workers',-1,0,N'1');
INSERT INTO t_ecf ([ECFID],[Description],[Weight],[Value],[Notes]) VALUES (N'ECF08',N'Difficult programming language',-1,3,N'1');


-- Table   t_efforttypes
-- --------------------------
INSERT INTO t_efforttypes ([EffortType],[Description],[NumericWeight],[Notes]) VALUES (N'Analysis',N'Analyzing System',1,N'Analysis');
INSERT INTO t_efforttypes ([EffortType],[Description],[NumericWeight],[Notes]) VALUES (N'Coding',N'Developing code',1,N'Code writing');
INSERT INTO t_efforttypes ([EffortType],[Description],[NumericWeight],[Notes]) VALUES (N'Construction',N'Design and build system components',1,N'The construction phase is concerned with designing and building the components necessary to implement the system as specified.');
INSERT INTO t_efforttypes ([EffortType],[Description],[NumericWeight],[Notes]) VALUES (N'Design',N'Designing specifications',1,N'Process of developing system design');
INSERT INTO t_efforttypes ([EffortType],[Description],[NumericWeight],[Notes]) VALUES (N'Elaboration',N'Refine specification. Set up project',1,N'The elaboration phase is concerned with refining the system specification, setting up project infrastructure and agreeing on the body of work to be completed.');
INSERT INTO t_efforttypes ([EffortType],[Description],[NumericWeight],[Notes]) VALUES (N'Transition',N'Implementation, acceptance testing',1,N'The Transition phase revolves around the implementation of the project and the acceptance testing carried out by the end user');


-- Table   t_genopt
-- --------------------------
INSERT INTO t_genopt ([AppliesTo],[Option]) VALUES (N'CMACRO',N'_AFX_NO_DEBUG_CRT;_AFX_NO_OCC_SUPPORT;_AFX_OLD_EXCEPTIONS;_AFX_PACKING;_AFXDLL;_DEBUG;_MSC_VER;_UNICODE;AFX_CDECL;AFX_COMDAT;AFX_DATA;AFX_DATADEF;AFX_NOVTABLE;AFXAPI;APICALL;BEGIN_INTERFACE_PART ^ END_INTERFACE_PART;BEGIN_PARAM_MAP ^ END_PARAM_MAP;CONTROLLER_API;DECLARE_DYNAMIC();DECLARE_DYNCREATE();DECLARE_INTERFACE_MAP();DECLARE_MESSAGE_MAP();defined();PASCAL;SWLAPI;WINAPI;');
INSERT INTO t_genopt ([AppliesTo],[Option]) VALUES (N'Status',N'1');
INSERT INTO t_genopt ([AppliesTo],[Option]) VALUES (N'class',N'nKill=0;nLang=1;sLang=Java;bConstructor=1;bConInline=0;sConScope=Public;bCpyConstructor=0;bCpyConInline=0;sCpyConScope=Public;bDestructor=1;bDesVirtual=1;bDesInline=0;sDesScope=Public;CHeader=.h;CBody=.cpp;JBody=.java;VBody=.cls;VBNetBody=.vb;WFSBody=.vbs;JavaScriptBody=.js;ModelicaBody=.mo;MDGBPSimExecutionEngineExtensionBody=;sAssocName=m_$LinkClass;bGetSet=1;bGenInterfaces=1;JCol=Vector;CCol=[];VCol=Collection;bVMultiuse=1;bVPersist=0;bVDatabind=0;bVDatasource=0;bVGlobal=0;bVCreatable=1;bVExposed=0;sMTS=0;sCRefType=*;sCGetPrefix=Get;sCSetPrefix=Set;sJGetPrefix=get;sJSetPrefix=set;sCSGetPrefix=Get;sCSSetPrefix=Set;sVVersion=6.0;CSBody=.cs;DBody=.pas;bJInnerClasses=1;sJCollection=;sCodePage=;sPHPBody=.php;sPHPVersion=;sPHPGetPrefix=get;sPHPSetPrefix=set;ASBody=.as;PyBody=.py;CPPVersion=;ASVersion=2.0;ANSICHeader=.h;ANSICBody=.c;ANSIC_OOSupport=0;ANSIC_NSDLMT=_;ANSIC_RefParam=1;ANSIC_RefStyle=*;ANSIC_RefName=this;ANSIC_ConstructorName=new;ANSIC_DestructorName=delete;CPPCollections=CArray<#TYPE#>CMap<CString,LPCTSTR,#TYPE#*,#TYPE#*>;CSCollections=List<#TYPE#>Stack<#TYPE#>Queue<#TYPE#>;JCollections=HashSet<#TYPE#>Map<String,#TYPE#>List<#TYPE#>;CPPWrappers=unique_ptr<#TYPE#>shared_ptr<#TYPE#>weak_ptr<#TYPE#>;');


-- Table   t_implement
-- --------------------------
INSERT INTO t_implement ([Type]) VALUES (N'Requirement');
INSERT INTO t_implement ([Type]) VALUES (N'UseCase');
INSERT INTO t_implement ([Type]) VALUES (N'Component');


-- Table   t_lists
-- --------------------------
INSERT INTO t_lists ([ListID],[Category],[Name],[NVal],[Notes]) VALUES (N'{1E9843C4-0788-4948-8FCA-EF9E0D9B9369}',N'ConstStatusType',N'Build',1,N'1');
INSERT INTO t_lists ([ListID],[Category],[Name],[NVal],[Notes]) VALUES (N'{4C61C3E6-B721-41a7-BFB3-699DF50BC4D9}',N'ConstStatusType',N'Validated',1,N'1');
INSERT INTO t_lists ([ListID],[Category],[Name],[NVal],[Notes]) VALUES (N'{5A276B14-D271-431f-A63C-D76B5572F829}',N'ConstStatusType',N'Proposed',1,N'1');
INSERT INTO t_lists ([ListID],[Category],[Name],[NVal],[Notes]) VALUES (N'{AC15A9A3-8278-4e4e-AA88-23DF5EA35B43}',N'ConstStatusType',N'Approved',1,N'1');
INSERT INTO t_lists ([ListID],[Category],[Name],[NVal],[Notes]) VALUES (N'{CD22EDBC-4F15-4b1c-A8D9-EAC780A2CE98}',N'ConstStatusType',N'Mandatory',1,N'1');
INSERT INTO t_lists ([ListID],[Category],[Name],[NVal],[Notes]) VALUES (N'{FDF9A368-23F8-4730-9637-D43E35628A12}',N'ConstStatusType',N'Implemented',1,N'1');


-- Table   t_metrictypes
-- --------------------------
INSERT INTO t_metrictypes ([Metric],[Description],[NumericWeight],[Notes]) VALUES (N'Breakage',N'Convergence, rework, software scrap',1,N'Reworked SLOC per change. ');
INSERT INTO t_metrictypes ([Metric],[Description],[NumericWeight],[Notes]) VALUES (N'Change',N'Change control, stability',1,N'Change requests, ');
INSERT INTO t_metrictypes ([Metric],[Description],[NumericWeight],[Notes]) VALUES (N'Cost',N'Budget, cost, expenditure',1,N'Cost per day, percentage expended.');
INSERT INTO t_metrictypes ([Metric],[Description],[NumericWeight],[Notes]) VALUES (N'Progress',N'Iteration, planning, actuals',1,N'Measures such as function points, SLOC, scenarios, test cases.');
INSERT INTO t_metrictypes ([Metric],[Description],[NumericWeight],[Notes]) VALUES (N'Team',N'Staffing, team dynamics',1,N'Resource turnover');


-- Table   t_objecttypes
-- --------------------------
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Action',N'Action',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'ActionPin',N'ActionPin',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Activity',N'Activity',0,21);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'ActivityParameter',N'ActivityParameter',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'ActivityPartition',N'ActivityPartition',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'ActivityRegion',N'ActivityRegion',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Actor',N'Actor',0,6);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Artifact',N'UML Artifact',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Association',N'Association',0,0);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Boundary',N'Boundary',0,0);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'CentralBufferNode',N'CentralBufferNode',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Change',N'Change',1,19);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Class',N'Class',1,5);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Collaboration',N'Collaboration',0,7);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'CollaborationOccurrence',N'CollaborationOccurrence',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Comment',N'Comment',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Component',N'Component',1,10);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'ConditionalNode',N'ConditionalNode',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Constraint',N'Constraint',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'DataStore',N'DataStore',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'DataType',N'DataType',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Decision',N'Decision',0,0);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'DeploymentSpecification',N'DeploymentSpecification',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Device',N'Device',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'DiagramFrame',N'DiagramFrame',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Entity',N'Entity',0,5);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'EntryPoint',N'UML Entry Point',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Enumeration',N'Enumeration',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Event',N'Event',0,0);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'ExceptionHandler',N'ExceptionHandler',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'ExecutionEnvironment',N'ExecutionEnvironment',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'ExitPoint',N'UML Exit Point',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'ExpansionNode',N'UML Expansion Node',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'ExpansionRegion',N'ExpansionRegion',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Feature',N'Feature',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'GUIElement',N'User interface object',1,16);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'InformationItem',N'InformationItem',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Interaction',N'Interaction',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'InteractionFragment',N'InteractionFragment',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'InteractionOccurrence',N'InteractionOccurrence',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'InteractionState',N'InteractionState',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Interface',N'Interface',0,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'InterruptibleActivityRegion',N'InterruptibleActivityRegion',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Issue',N'Issue',1,19);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Label',N'Label',0,0);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'LoopNode',N'LoopNode',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'MergeNode',N'MergeNode',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'MessageEndpoint',N'MessageEndpoint',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Node',N'Node',1,9);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Note',N'Note',0,0);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Object',N'Object',0,5);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'ObjectNode',N'ObjectNode',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Package',N'Package',1,4);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Parameter',N'UML Activity Parameter',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Part',N'Part',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Port',N'UML Port',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'PrimitiveType',N'PrimitiveType',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'ProtocolStateMachine',N'ProtocolStateMachine',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'ProvidedInterface',N'ProvidedInterface',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Region',N'Region',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Report',N'System report',1,17);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'RequiredInterface',N'RequiredInterface',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Requirement',N'Requirement',1,19);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Risk',N'Risk',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Screen',N'Interface Screen',1,11);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Sequence',N'Sequence',0,0);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Signal',N'Signal',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'State',N'State Chart Object',1,20);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'StateMachine',N'StateMachine',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'StateNode',N'Start End State',0,59);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Synchronization',N'Synchronization',0,0);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Task',N'Task',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Text',N'Text',0,0);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'TimeLine',N'TimeLine',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'Trigger',N'Trigger',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'UMLDiagram',N'UML Diagram',1,8);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'UseCase',N'UseCase',0,7);
INSERT INTO t_objecttypes ([Object_Type],[Description],[DesignObject],[ImageID]) VALUES (N'User',N'User',0,0);


-- Table   t_ocf
-- --------------------------
INSERT INTO t_ocf ([ObjectType],[ComplexityWeight]) VALUES (N'Actor',1);
INSERT INTO t_ocf ([ObjectType],[ComplexityWeight]) VALUES (N'UseCase',5);


-- Table   t_package
-- --------------------------
INSERT INTO t_package ([Name],[Parent_ID],[CreatedDate],[ModifiedDate],[ea_guid],[IsControlled],[LastLoadDate],[LastSaveDate],[Version],[Protected],[UseDTD],[LogXML]) VALUES (N'Model',0,'2012-4-17 0:0:0','2012-4-17 0:0:0',N'{' + CONVERT(varchar(38),NEWID()) +'}',0,NULL,NULL,N'1.0',0,0,0);


-- Table   t_problemtypes
-- --------------------------
INSERT INTO t_problemtypes ([ProblemType],[Description],[NumericWeight],[Notes]) VALUES (N'HW',N'Hardware related',1,N'1');
INSERT INTO t_problemtypes ([ProblemType],[Description],[NumericWeight],[Notes]) VALUES (N'Network',N'Network problems',1,N'Network issues');
INSERT INTO t_problemtypes ([ProblemType],[Description],[NumericWeight],[Notes]) VALUES (N'Perform',N'Performance',1.5,N'Performance related problems');
INSERT INTO t_problemtypes ([ProblemType],[Description],[NumericWeight],[Notes]) VALUES (N'SW',N'Software',2,N'Software related issues');
INSERT INTO t_problemtypes ([ProblemType],[Description],[NumericWeight],[Notes]) VALUES (N'User',N'User caused problem',1,N'Problems caused by user');


-- Table   t_projectroles
-- --------------------------
INSERT INTO t_projectroles ([Role],[Description],[Notes]) VALUES (N'Application Analyst',N'Define and model the application structure',N'1');
INSERT INTO t_projectroles ([Role],[Description],[Notes]) VALUES (N'Business Analyst',N'Model business processes',N'1');
INSERT INTO t_projectroles ([Role],[Description],[Notes]) VALUES (N'C++ Programmer',N'Programming in Visual C++',N'1');
INSERT INTO t_projectroles ([Role],[Description],[Notes]) VALUES (N'Developer',N'Application development',N'1');
INSERT INTO t_projectroles ([Role],[Description],[Notes]) VALUES (N'Java Programmer',N'Java programming',N'1');
INSERT INTO t_projectroles ([Role],[Description],[Notes]) VALUES (N'Project Manager',N'Manage schedule',N'Manage the project schedule ');
INSERT INTO t_projectroles ([Role],[Description],[Notes]) VALUES (N'Solution Architect',N'Lead Technical and Project Architect',N'Define and communicate application architecture');
INSERT INTO t_projectroles ([Role],[Description],[Notes]) VALUES (N'Use Case Modeller',N'Use Case modelling ',N'1');
INSERT INTO t_projectroles ([Role],[Description],[Notes]) VALUES (N'VB Programmer',N'Visual Basic Programming',N'1');


-- Table   t_requiretypes
-- --------------------------
INSERT INTO t_requiretypes ([Requirement],[Description],[NumericWeight],[Notes]) VALUES (N'Display',N'System will display in a specified format',1,N'Information will be displayed in a particular way');
INSERT INTO t_requiretypes ([Requirement],[Description],[NumericWeight],[Notes]) VALUES (N'Functional',N'Functional Requirement',1,N'Comments here');
INSERT INTO t_requiretypes ([Requirement],[Description],[NumericWeight],[Notes]) VALUES (N'Performance',N'Performance based requirement',1,N'The system must meet some performance criteria');
INSERT INTO t_requiretypes ([Requirement],[Description],[NumericWeight],[Notes]) VALUES (N'Printing',N'System printing requirement',1,N'The system will allow the user(s) to print out some artifact as required by the specification. ');
INSERT INTO t_requiretypes ([Requirement],[Description],[NumericWeight],[Notes]) VALUES (N'Report',N'The system will roduce a report',1,N'The system will have the facility to produce a report as required');
INSERT INTO t_requiretypes ([Requirement],[Description],[NumericWeight],[Notes]) VALUES (N'Testing',N'Testing requirement',1.6,N'Testing requirement');
INSERT INTO t_requiretypes ([Requirement],[Description],[NumericWeight],[Notes]) VALUES (N'Validate',N'Validate a particular rule',1,N'The system will validate a specific rule as supplied in the business requirements');


-- Table   t_scenariotypes
-- --------------------------
INSERT INTO t_scenariotypes ([ScenarioType],[Description],[NumericWeight],[Notes]) VALUES (N'Alternate',N'Alternate pathway',1,N'Path of execution that includes exceptional conditions.');
INSERT INTO t_scenariotypes ([ScenarioType],[Description],[NumericWeight],[Notes]) VALUES (N'Basic Path',N'Basic execution path',1,N'The standard execution path with no exceptions');
INSERT INTO t_scenariotypes ([ScenarioType],[Description],[NumericWeight],[Notes]) VALUES (N'Simple',N'Standard scenario',1,N'Used to describe ordinary usage');


-- Table   t_statustypes
-- --------------------------
INSERT INTO t_statustypes ([Status],[Description]) VALUES (N'Approved',N'Item is approved');
INSERT INTO t_statustypes ([Status],[Description]) VALUES (N'Implemented',N'Finished');
INSERT INTO t_statustypes ([Status],[Description]) VALUES (N'Mandatory',N'Required');
INSERT INTO t_statustypes ([Status],[Description]) VALUES (N'Proposed',N'Item has been proposed');
INSERT INTO t_statustypes ([Status],[Description]) VALUES (N'Validated',N'Approved and Checked');


-- Table   t_stereotypes
-- --------------------------
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'process',N'activity',N'A classifier whose instances represent a flow',0,N'1','1',N'1',N'{823AC82E-EF53-4cf6-8E64-FBBD359B6FF4}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'subscribe',N'association',N'Source class will be notified when an event occurs in target',0,N'1','1',N'1',N'{167FB027-BE19-42bd-AA39-42EC31CA6A4E}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'column',N'AttribTable',N'A column attribute for a table',0,N'1','1',N'1',N'{1937BD32-E441-4913-BF43-56FEE37C70F4}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'case worker',N'business class',N'A worker who directly interacts with actors outside the system',0,N'1','1',N'1',N'{A1495FE4-CFBB-4f8f-934A-E9F71C67B3CA}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'entity',N'business class',N'Passive class accessed and manipulated by workers',0,N'1','1',N'1',N'{AF795A22-1F29-4606-B1AA-DD20101BFD2E}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'internal worker',N'business class',N'A worker that interacts with other workers and entities inside the system.',0,N'1','1',N'1',N'{A49E76BE-AA3B-4fdd-8C30-A6B3D0615E64}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'worker',N'business class',N'An abstraction of a human that works within the system.',0,N'1','1',N'1',N'{F6BBE5B5-687B-4121-9A0D-03762E98BBF3}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'object system',N'business model',N'Contains business process objects, work units, organization units and relationships',0,N'1','1',N'1',N'{BF9C2219-8235-48f4-9C1D-480918D80A05}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'organization unit',N'business model',N'Subsystem corresponding to an organizational unit of the actual business',0,N'1','1',N'1',N'{FD3D6AD2-DFD3-4e32-A48B-20381DE2611F}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'work unit',N'business model',N'Subsystem with one or more entities',0,N'1','1',N'1',N'{BFAF4057-3E8D-407c-9121-10F34C8DDC70}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'asp page',N'class',N'A Microsoft active server page',0,N'1','1',N'1',N'{5285CD56-1481-457f-A3F2-830F1C557A91}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'boundary',N'class',N'Specifies an element that is at the system boundary (e.g.. User Interface)',0,N'1','1',N'1',N'{65611561-8EA7-47e1-A393-40932DD5006C}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'client page',N'class',N'A class that represents a client based web page',0,N'1','1',N'1',N'{A4E4D7D5-E9AE-4ed7-9209-1846D1F95DEF}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'clientscript',N'class',N'A collection of client-side scripts',0,N'1','1',N'1',N'{2156D8A8-430B-4412-96EF-E4B55B8650DE}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'control',N'class',N'Specifies an element that controls the work and lifetimes of other objects',0,N'1','1',N'1',N'{ADFDEA84-B27E-444e-A8C4-50E15DF6CF25}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'entity',N'class',N'Specifies a persistent element mainly concerned with managing its own state',0,N'1','1',N'1',N'{66F314BF-200A-479a-ACD1-6DC0B77B09FB}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'enumeration',N'class',N'Specifies an enumerated type',0,N'1','1',N'1',N'{E08E6898-BBB3-4d6e-A2DF-14EF8CC756E7}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'exception',N'class',N'An event may be thrown or caught by operation',0,N'1','1',N'1',N'{31AC81EB-6E6E-4f58-99F2-9E9F17805D84}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'form',N'class',N'A class that represents a html form',0,N'1','1',N'1',N'{B69675F4-3588-4dfa-A227-42C6E5F1DE09}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'frameset',N'class',N'A class that represents a html frame set',0,N'1','1',N'1',N'{CF86614C-4488-43ff-85EA-B840DA277931}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'implementationClass',N'class',N'Implementation of a class in some programming language',0,N'1','1',N'1',N'{36DCF34A-5658-4cfd-BF1F-DFDB3D909AAE}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'interface',N'class',N'A collection of operations that specify a service of a class or component',0,N'1','1',N'1',N'{8693AE90-C279-4519-AC3B-E77DD1076F13}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'jsp page',N'class',N'A java server page',0,N'1','1',N'1',N'{1090D4F6-8B2A-4b94-B09B-78F7750348A7}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'model document',N'class',N'Set a class as an RTF "Model Document"',0,N'1','1',N'Fill=-1;Border=-1;Font=-1;',N'{016CE34D-85B7-495a-B486-1CD44047B21C}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'powertype',N'class',N'A classifier whose objects are all children of a given parent',0,N'1','1',N'1',N'{D2C9B465-1F26-4aa5-91FF-8D8DB556900B}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'process',N'class',N'A classifier whose instances represent a flow',0,N'1','1',N'1',N'{BA9422B1-775E-45fd-99CD-2D7AEF40B3EC}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'script library',N'class',N'A library of subroutines/functions for web pages',0,N'1','1',N'1',N'{F8EE740B-B61C-46e2-AE89-E76F1C242999}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'server page',N'class',N'A class that represents a server based web page',0,N'1','1',N'1',N'{941354BE-BA56-49f3-9C68-E2F48232674C}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'servlet',N'class',N'A java servlet component',0,N'1','1',N'1',N'{E341DE92-62B6-429a-A37F-3C2099F42FD6}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'signal',N'class',N'Specifies an asynchronous stimulus communicated amongst instances',0,N'1','1',N'1',N'{633B3156-EEA3-4a4a-91FA-AFF3B693E163}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'stereotype',N'class',N'The classifier is a stereotype that may be applied to other elements',0,N'1','1',N'1',N'{344B0ADE-B00C-41d8-8A38-73F1F5D8B498}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'table',N'class',N'A class that represents a database table',0,N'1','1',N'1',N'{45AB9095-4E88-4222-80D2-47EFC61A9341}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'target',N'class',N'A class that represents a target',0,N'1','1',N'1',N'{F3009C21-9596-4a69-A8B2-BBB5E03885EE}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'thread',N'class',N'A classifier whose instances represent a lightweight flow of control',0,N'1','1',N'1',N'{65A71586-E3CA-4309-9203-44A41B4ACAF3}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'type',N'class',N'An abstract class specifying the structure but not implementation of a set of objects',0,N'1','1',N'1',N'{9CFABF8B-C31F-4c08-9FB4-B80C7655F68A}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'utility',N'class',N'A class whose attributes and operations are all class-scoped',0,N'1','1',N'1',N'{E69B1C1D-74EE-4370-8802-6632987F9659}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'web page',N'class',N'A html web page',0,N'1','1',N'1',N'{4DFEB9C4-0D2A-4d82-BEA7-D597F3EE3D3F}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'metaclass',N'classifier',N'A classifier whose objects are all classes',0,N'1','1',N'1',N'{651D58B8-71E3-483b-9436-5E8A62EAE46D}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'requirement',N'comment',N'Specifies a desired feature, property or behavior of system',0,N'1','1',N'1',N'{68063BE4-8C64-42f4-8068-575B9A07139B}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'responsibility',N'comment',N'Specifies a contract by or an obligation of a class',0,N'1','1',N'1',N'{7F8603E8-3C6D-477e-B9B5-3F7013BB47C2}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'document',N'component',N'The component represents a document',0,N'1','1',N'1',N'{146D3A6E-E4F1-4bfe-9899-0A3077BD8D7B}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'executable',N'component',N'A component may be executed on a node',0,N'1','1',N'1',N'{C7AA714A-A2BD-48b2-BBDF-F8E9E6C068AB}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'file',N'component',N'Component represents a document containing source code',0,N'1','1',N'1',N'{0E55D795-0866-4ebc-9E2B-CE812AFCF473}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'library',N'component',N'Static or dynamic object library',0,N'1','1',N'1',N'{71CA8DDE-090A-426d-98EC-18CDE48CB4AD}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'table',N'component',N'A component that represents a database table',0,N'1','1',N'1',N'{366630E0-57E8-40a4-89D1-059314897273}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'invariant',N'constraint',N'Constrain must always hold for associated element',0,N'1','1',N'1',N'{887A39A9-6299-4596-AA04-0E75BA80CE85}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'postcondition',N'constraint',N'A constraint must hold after the invocation of an element',0,N'1','1',N'1',N'{672327E9-A94F-4213-BA47-504FAB09AC26}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'precondition',N'constraint',N'A constraint that must hold before an element is invoked',0,N'1','1',N'1',N'{CB7DF663-D330-4f44-AE2F-D990608C4F49}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'access',N'dependency',N'Public contents of target are accessible to namespace of source',0,N'1','1',N'1',N'{E1C53720-AAC9-4b21-82F5-831D35DFFE3F}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'bind',N'dependency',N'Source instantiates target template using given parameters',0,N'1','1',N'1',N'{EF4AFA7C-E9AF-4934-BC57-3F2A43874AD9}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'call',N'dependency',N'Source invokes the target',0,N'1','1',N'1',N'{365F74E4-4757-4e1a-89F6-EBC32023530C}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'derive',N'dependency',N'Source may be computed from target',0,N'1','1',N'1',N'{EA509203-6D33-42ed-9B48-E381919E9924}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'friend',N'dependency',N'Source is given special visibility of target',0,N'1','1',N'1',N'{941A12EC-3A48-4759-9804-13FA75914EBE}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'import',N'dependency',N'Public contents of target are imported into source namespace',0,N'1','1',N'1',N'{CFD749E4-0DA9-4ee9-A2B8-B5973A7C3D48}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'instanceOf',N'dependency',N'The source object is an instance of the target',0,N'1','1',N'1',N'{5ECB636F-95D9-42ce-8B4E-851FC13D9487}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'instantiate',N'dependency',N'Operations on the source class create instances of the target class',0,N'1','1',N'1',N'{6F510293-110B-40a7-A3FE-F067B24BCCD5}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'powertype',N'dependency',N'A classifier whose objects are all children of a given parent',0,N'1','1',N'1',N'{9B944BBC-BDC8-44ef-B379-BA5CB0665223}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'refine',N'dependency',N'Source is at a finer degree of abstraction than source',0,N'1','1',N'1',N'{3A391178-E846-4c6e-B396-F7C191B896A7}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'send',N'dependency',N'The source sends the target an event',0,N'1','1',N'1',N'{9478347D-5A40-49ee-B6AB-7070EB6BBE2B}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'trace',N'dependency',N'The target is an historical ancestor of source',0,N'1','1',N'1',N'{37084349-D3EC-4d0d-B864-F6CA34975D39}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'use',N'dependency',N'The semantics of the source depend on the public part of the target',0,N'1','1',N'1',N'{23A6380D-A54D-40fd-9AE8-BF3B208B4026}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'implementation',N'generalization',N'Child inherits implementation of parent but does not support its interfaces',0,N'1','1',N'1',N'{808B565D-B94E-4cd2-9BAB-AA9978F6035D}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'button',N'GUIElement',N'A button GUI element',0,N'1','1',N'1',N'{D40B814D-C7D7-452b-8722-4B22A89A6A47}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'checkbox',N'GUIElement',N'A checkbox GUI element',0,N'1','1',N'1',N'{4C741DBF-9214-411b-9894-D1789ED83DC9}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'combobox',N'GUIElement',N'A combo box GUI element',0,N'1','1',N'1',N'{F34E6148-445D-4295-9813-BE9EB69AE052}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'date',N'GUIElement',N'A GUI element for date entry',0,N'1','1',N'1',N'{935841C4-3981-4761-9B66-86F759F01B56}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'dialog',N'GUIElement',N'A GUI screen',0,N'1','1',N'1',N'{CE3AC0B1-6783-4941-8ADB-20C8D32A4094}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'dropdown',N'GUIElement',N'A GUI element that forces user selection',0,N'1','1',N'1',N'{46D5F51E-9805-41ff-A292-4E578CE2CAC5}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'form',N'GUIElement',N'A GUI screen',0,N'1','1',N'1',N'{16DCA474-9017-415f-95F2-91BA8D8D27A7}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'hline',N'GUIElement',N'1',0,N'1','1',N'Fill=-1;Border=-1;Font=-1;',N'{FAF19BDB-AB0E-4d87-BF2C-2C6302348E63}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'list',N'GUIElement',N'A List of Information',0,N'1','1',N'1',N'{E4444E20-7DF8-466e-B9BE-9AA67ECF19C2}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'listview',N'GUIElement',N'A stand list view control',0,N'1','1',N'1',N'{62E9B091-9C7C-4466-BC4A-FECB1908640A}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'panel',N'GUIElement',N'A GUI element for grouping other controls',0,N'1','1',N'1',N'{E55959C5-D0A0-46c7-94FE-C3E15565BCBC}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'radio',N'GUIElement',N'A radio button GUI element',0,N'1','1',N'1',N'{1C99CF47-A0AF-4079-BF42-9C05BB1EB32F}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'report',N'GUIElement',N'A List of Information with an expandable text field',0,N'1','1',N'1',N'{0287C4BE-ED29-4fc3-AF71-C952E9E6FF9E}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'tab',N'GUIElement',N'A tab control GUI element',0,N'1','1',N'1',N'{22C41E96-79C4-478b-B46B-39B5C7EB35CE}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'textbox',N'GUIElement',N'A GUI element for user text entry',0,N'1','1',N'1',N'{A8D6D6FD-CBBD-4820-80A0-65BC7B01ABF6}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'time',N'GUIElement',N'A GUI element for time entry',0,N'1','1',N'1',N'{7262631C-DA97-4efa-83A0-56F4A07BC895}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'treelist',N'GUIElement',N'A List of Information with a tree structure',0,N'1','1',N'1',N'{947E1BF0-F325-4c11-8469-D7B33DA3F18E}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'vline',N'GUIElement',N'1',0,N'1','1',N'Fill=-1;Border=-1;Font=-1;',N'{65FAEE09-9DCF-4a86-AE81-0046B5FBACD6}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'global',N'link end',N'Corresponding object is visible because of enclosing scope',0,N'1','1',N'1',N'{4754A215-AF13-45a9-A5AA-253284C56C32}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'local',N'link end',N'The corresponding object is visible in local scope',0,N'1','1',N'1',N'{6657BFBD-9378-49c0-9F68-66DDABB955D0}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'parameter',N'link end',N'The corresponding element is visible because it is a parameter',0,N'1','1',N'1',N'{46202618-4521-46fa-A211-994820628274}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'self',N'link end',N'The corresponding object is visible because it is the dispatcher',0,N'1','1',N'1',N'{806FEA48-5AAB-4a16-8AFC-5643818FD489}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'become',N'message',N'Target is same as source but later in time',0,N'1','1',N'1',N'{EED867C3-96F3-45b1-ABEA-56280F7CE9D6}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'copy',N'message',N'Target is exact but independent copy of source',0,N'1','1',N'1',N'{35112264-EE65-463f-9BB9-CB40272B2357}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'create',N'message',N'Target is created by event or message',0,N'1','1',N'1',N'{F14CECE1-C929-46aa-ADAC-C6087CB0C466}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'destroy',N'message',N'Target is destroyed by event or message',0,N'1','1',N'1',N'{34E026CA-918D-42f8-84C9-28C925C90270}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'analysis system',N'model',N'Contains analysis classes - entities, boundaries and control elements',0,N'1','1',N'1',N'{11EE0417-8DE4-444e-8AE5-C4EDB110C086}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'design system',N'model',N'Contains design elements',0,N'1','1',N'1',N'{87D15833-406D-48f8-9179-17F5805769AD}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'implementation system',N'model',N'Contains implementation subsystems and/or components and relationships',0,N'1','1',N'1',N'{9C456943-27F2-4913-8DC7-03FA7543DFD5}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'use case system',N'model',N'Specifies the services offered to the users',0,N'1','1',N'1',N'{D6BA4E7A-AC52-4edd-B0E8-8CAA2A9D5F68}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'cd-rom',N'node',N'A class that represents a CDRom drive',0,N'1','1',N'1',N'{0795D356-45DA-451f-BD5F-93CA557AAC2B}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'cdrom',N'node',N'A class that represents a CDRom drive',0,N'1','1',N'1',N'{A358C061-B3FE-4a17-A593-C85A8C24FF3D}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'computer',N'node',N'A class that represents a computer',0,N'1','1',N'1',N'{15976BA0-B6BF-49cf-A9CC-DDC7B500805F}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'disk array',N'node',N'A class that represents a disk array',0,N'1','1',N'1',N'{62D56F57-D317-4715-A6D9-34EDAD94D2C0}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'pc',N'node',N'A class that represents a personal computer',0,N'1','1',N'1',N'{49E0B277-0592-4489-9A1B-24E38E7A002A}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'pc client',N'node',N'A class that represents a clients PC',0,N'1','1',N'1',N'{B8932D2C-F50C-483d-8E6B-4F7FC7A25C7C}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'pc server',N'node',N'A class that represents a PC server',0,N'1','1',N'1',N'{55AE7CB8-0E9B-4bb1-9D3F-2B194F901150}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'secure',N'node',N'A class that represents aet',0,N'1','1',N'1',N'{44D8DA24-1588-4688-851B-2B80169A1C67}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'server',N'node',N'A class that represents a server',0,N'1','1',N'1',N'{AA8235AE-11B3-4a7b-B352-896561841E8C}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'storage',N'node',N'A class that represents a storage device',0,N'1','1',N'1',N'{095960D0-877D-4705-9CA4-C293FB4341D0}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'unix server',N'node',N'A class that represents a Unix server',0,N'1','1',N'1',N'{727B1C37-AAB3-4cc8-9505-797AB10B5127}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'user pc',N'node',N'A class that represents a users PC',0,N'1','1',N'1',N'{C8C371AA-982B-4324-9920-0DD6D13A58D4}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'check',N'OpTable',N'A Check constraint to enforce domain integrity',0,N'1','1',N'1',N'{65F3C7C6-647F-45ad-965E-2522374B9893}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'FK',N'OpTable',N'A Foreign Key',0,N'1','1',N'1',N'{E995B3FD-4560-4a74-A005-C0995B946DE1}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'index',N'OpTable',N'An index of one or more columns',0,N'1','1',N'1',N'{FA0A3190-2D4F-4f78-AA72-DFA9BEF48B75}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'PK',N'OpTable',N'A Primary Key',0,N'1','1',N'1',N'{F676FFA9-F1C1-4e64-BC07-803513B9098C}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'proc',N'OpTable',N'A stored procedure',0,N'1','1',N'1',N'{5AAB84CF-A9E1-4565-A33C-CE0950847841}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'trigger',N'OpTable',N'A trigger which executes automatically when an UPDATE, INSERT, or DELETE statement is issued',0,N'1','1',N'1',N'{DDEF439C-CE5B-431e-B037-E00821A93B78}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'unique',N'OpTable',N'A Unique constraint to enforce the integrity of a database automatically',0,N'1','1',N'1',N'{58D08C48-E9A3-4ce7-AF94-EA01BF1AE7B5}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'facade',N'package',N'Package is a view of another concrete package',0,N'1','1',N'1',N'{69A93A07-057E-4b2d-8058-7F046604BD3F}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'framework',N'package',N'Package consists mainly of patterns',0,N'1','1',N'1',N'{155F3749-8F55-48d1-92EC-37EE16EFA605}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'model',N'package',N'A semantically closed abstraction of a system',0,N'1','1',N'1',N'{B021D033-054D-4288-A200-D8F3131DA24C}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'stub',N'package',N'A package serves as a proxy for the public contents of another package',0,N'1','1',N'1',N'{C2EFAEE3-22CD-4ca9-A63A-A61F8E7FF194}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'subsystem',N'package',N'A grouping of elements that constitute a specification of behavior offered by other contained elements',0,N'1','1',N'1',N'{9B4094EE-B057-42ea-8E6C-ACDBEE89F3A4}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'system',N'package',N'A package representing the entire system being modeled',0,N'1','1',N'1',N'{32CF855F-B49E-415a-A173-6C62DCAE5522}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'communicate',N'uses',N'Communication between actor and use case',0,N'1','1',N'1',N'{7F4600FE-22AB-4618-8AF8-C428043286DE}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'extend',N'uses',N'Target use case extends the source at a given extension point',0,N'1','1',N'1',N'{A84843AF-2180-4c4c-8910-6370C73B1775}',N'1');
INSERT INTO t_stereotypes ([Stereotype],[AppliesTo],[Description],[MFEnabled],[MFPath],[Metafile],[Style],[ea_guid],[VisualType]) VALUES (N'include',N'uses',N'Source use case explicitly includes the behavior of target',0,N'1','1',N'1',N'{8767296C-EFEC-4698-9B7D-E6118CA6CDA7}',N'1');


-- Table   t_tcf
-- --------------------------
INSERT INTO t_tcf ([TCFID],[Description],[Weight],[Value],[Notes]) VALUES (N'TCF01',N'Distributed System',2,5,N'1');
INSERT INTO t_tcf ([TCFID],[Description],[Weight],[Value],[Notes]) VALUES (N'TCF02',N'Response or throughput performance objectives',1,4,N'1');
INSERT INTO t_tcf ([TCFID],[Description],[Weight],[Value],[Notes]) VALUES (N'TCF03',N'End user efficiency (online)',1,2,N'1');
INSERT INTO t_tcf ([TCFID],[Description],[Weight],[Value],[Notes]) VALUES (N'TCF04',N'Complex internal processing',1,4,N'1');
INSERT INTO t_tcf ([TCFID],[Description],[Weight],[Value],[Notes]) VALUES (N'TCF05',N'Code must be re-usable',1,2,N'1');
INSERT INTO t_tcf ([TCFID],[Description],[Weight],[Value],[Notes]) VALUES (N'TCF06',N'Easy to install',0.5,5,N'1');
INSERT INTO t_tcf ([TCFID],[Description],[Weight],[Value],[Notes]) VALUES (N'TCF07',N'Easy to use',0.5,3,N'1');
INSERT INTO t_tcf ([TCFID],[Description],[Weight],[Value],[Notes]) VALUES (N'TCF08',N'Portable',2,3,N'1');
INSERT INTO t_tcf ([TCFID],[Description],[Weight],[Value],[Notes]) VALUES (N'TCF09',N'Easy to change',1,3,N'1');
INSERT INTO t_tcf ([TCFID],[Description],[Weight],[Value],[Notes]) VALUES (N'TCF10',N'Concurrent',1,2,N'1');
INSERT INTO t_tcf ([TCFID],[Description],[Weight],[Value],[Notes]) VALUES (N'TCF11',N'Includ special security features',1,2,N'1');
INSERT INTO t_tcf ([TCFID],[Description],[Weight],[Value],[Notes]) VALUES (N'TCF12',N'Provide direct access for third parties',1,5,N'1');
INSERT INTO t_tcf ([TCFID],[Description],[Weight],[Value],[Notes]) VALUES (N'TCF13',N'Special user training faciities are required',1,3,N'1');


-- Table   t_testtypes
-- --------------------------
INSERT INTO t_testtypes ([TestType],[Description],[NumericWeight],[Notes]) VALUES (N'Load',N'Performance under load',1,N'Stress testing');
INSERT INTO t_testtypes ([TestType],[Description],[NumericWeight],[Notes]) VALUES (N'Regression',N'Regression Testing',1,N'Regression');
INSERT INTO t_testtypes ([TestType],[Description],[NumericWeight],[Notes]) VALUES (N'Standard',N'Simple Test procedure',1,N'Used to test basic path');


-- Table   t_xrefsystem
-- --------------------------
INSERT INTO t_xrefsystem ([XrefID],[ToolID],[Name],[Type],[Visibility],[Namespace],[Requirement],[Constraint],[Behavior],[Partition],[Description],[Client],[Supplier],[Link]) VALUES (N'{6E5FED3A-DF6C-40db-BEEC-4528AB8C8A2E}',N'1',N'Model Views',N'PView',N'1',N'8',N'1',N'1',N'1',N'1',N'1',N'0',N'ModelRoot',N'NULL');


-- Table   usys_system
-- --------------------------
INSERT INTO usys_system ([Property],[Value]) VALUES (N'310_Category',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'310_Columns',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'310_FileTable',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'310_Generalization',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'310_Images',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'310_Metafile',N'2');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'310_Palette',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'310_QObject',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'310_TableList',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'310_TableList2',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'310_Tasks',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'310_XREF',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'350_AttGUID',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'350_DataTypes',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'350_DiagramConnectorID',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'350_DiagramObjectID',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'350_DocumentEX',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'350_FeaturePos',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'350_Flags',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'350_IssueEx',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'350_OpGUID',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'350_Package',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'350_ParamGUID',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'350_Phases',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'350_ResourceHours',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'350_ResourceTables',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'350_RoleExtra',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'350_Scenario',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'350_Snapshot',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'350_Stereotype',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'350_Styles',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'350_SystemTaggedValues',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'350_TableList',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'350_TableListEx',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'350_Tables',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'350_TestTables',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'350_TRXTypes',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'350_UserSecurity',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'Association',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'AttID',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'CheckObjectTypes',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'Classifier',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'ClassifierGUID',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'CodeGen',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'Const',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'DDL',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'DiagramLink',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'DiagramObjectStyle',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'EA1000Updates',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'EA300Classifier',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'EA300MSAccessDT',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'EA300VBDT',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'EA3FieldSizes',N'3');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'EA3TableNames',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'EA600Updates',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'EA610Updates',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'EA650Updates',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'EA800Updates',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'EA900Updates',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'EAGUID',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'Elem300',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'FileDir',N'$EAPDIR');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'Gen25Fixes',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'GenericDataType',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'GUID',N'2');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'IsNavigable',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'LangDT25',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'LastUpdate',N'3B58F782F406:123456789012');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'Namespace',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'NodeStereo',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'ObjectParent',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'ObjectScope',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'OperationCode',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'OpPos',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'OpsClean',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'Orphans30',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'PackageControl',N'3');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'Packages',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'ParamIDX',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'QDF_25',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'QueryDefs_116',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'RoleConstraints',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'RTFFIELDS',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'RunState',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'Seq_Gap',N'35');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'Stereotypes',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'Styles',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'TaggedVals',N'1');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'TPos',N'2');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'Version',N'4.01');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'VersionDate',N'Jan-31-2004');
INSERT INTO usys_system ([Property],[Value]) VALUES (N'WebStereo',N'1');


-- Table   usysTables
-- --------------------------
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_attribute',6,N'Object Attributes',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_attributeconstraints',7,N'Attribute Constraints',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_attributetag',7,N'Attribute Tag',N'3.0.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_authors',1,N'Project Authors',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_cardinality',1,N'Object Cardinality',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_category',1,N'Category',N'3.5.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_clients',1,N'Project Clients',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_complexitytypes',1,N'Complexity Types',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_connector',6,N'Connectors',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_connectorconstraint',7,N'Connector Constraints',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_connectortag',7,N'Connector Tag',N'3.0.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_connectortypes',1,N'Connector Types',N'3.5.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_constants',1,N'Constants',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_constrainttypes',1,N'Constraint Types',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_datatypes',1,N'Data Types',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_diagram',5,N'Diagrams',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_diagramlinks',6,N'Diagram Links',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_diagramobjects',6,N'Diagram Objects',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_diagramtypes',2,N'Diagram Types',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_document',7,N'Document',N'3.5.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_ecf',1,N'ECF Values',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_efforttypes',1,N'Effort Types',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_files',7,N'Files',N'3.5.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_genopt',1,N'Generation Options',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_glossary',2,N'Glossary',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_html',7,N'HTML',N'3.5.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_image',7,N'Images',N'3.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_implement',2,N'Implementation Details',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_issues',6,N'Issue Details',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_lists',1,N'Lists',N'3.5.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_mainttypes',1,N'Maintenance Types',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_method',5,N'Methods',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_metrictypes',1,N'Metric Types',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_object',3,N'Object Details',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_objectconstraint',5,N'Object Constraints',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_objecteffort',5,N'Object Effort',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_objectfiles',5,N'Object Files',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_objectmetrics',5,N'Object Metrics',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_objectproblems',5,N'Object Problems',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_objectproperties',5,N'Object Properties',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_objectrequires',5,N'Object Requires',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_objectresource',5,N'Object Resources',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_objectrisks',5,N'Object Risks',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_objectscenarios',5,N'Object Scenarios',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_objecttests',5,N'Object Tests',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_objecttrx',5,N'Object TRX',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_objecttypes',1,N'Object Types',N'3.5.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_ocf',1,N'OCF Values',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_operation',5,N'Operations',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_operationparams',6,N'Operation Parameters',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_operationposts',6,N'Operation Post Conditions',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_operationpres',6,N'Operation Pre Conditions',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_operationtag',7,N'Operation Tag',N'3.0.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_package',1,N'Packages',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_palette',5,N'Palettes',N'3.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_paletteitem',7,N'Palette Items',N'3.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_phase',7,N'Phases',N'3.5.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_problemtypes',1,N'Problem Types',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_projectroles',1,N'Project Roles',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_propertytypes',1,N'Property Types',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_requiretypes',1,N'Require Types',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_resources',1,N'Resources',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_risktypes',1,N'Risk Types',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_roleconstraint',0,N'Role Constraints',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_rtf',7,N'RTF',N'3.5.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_rtfreport',1,N'RTF Reports',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_rules',7,N'Rules',N'3.5.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_scenariotypes',1,N'Scenario Types',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_script',7,N'Scripts',N'3.5.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_secgroup',3,N'Security Groups',N'3.5.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_secgrouppermission',7,N'Group Permissions',N'3.5.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_seclocks',7,N'Security Locks',N'3.5.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_secpermission',3,N'Permissions',N'3.5.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_secpolicies',1,N'Security Policies',N'3.5.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_secuser',3,N'Security User',N'3.5.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_secusergroup',7,N'User Group',N'3.5.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_secuserpermission',7,N'User Permissions',N'3.5.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_snapshot',7,N'Snapshots',N'3.5.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_statustypes',1,N'Status Types',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_stereotypes',1,N'Stereotypes',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_taggedvalue',7,N'Model Tagged Values',N'3.5.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_tasks',7,N'To Do List',N'3.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_tcf',1,N'TCF Values',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_template',7,N'Templates',N'3.5.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_testclass',1,N'Test Classes',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_testplans',7,N'Test Plans',N'3.5.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_testtypes',1,N'Test Types',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_trxtypes',1,N'TRX Types',N'1.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_umlpattern',7,N'UML Patterns',N'3.5.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_version',7,N'Files',N'3.5.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_xref',7,N'XRef',N'3.1.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_xrefsystem',7,N'System XRef',N'3.5.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N't_xrefuser',7,N'User XRef',N'3.5.0',N'9.9.9');
INSERT INTO usysTables ([TableName],[RelOrder],[DisplayName],[FromVer],[ToVer]) VALUES (N'usys_system',7,N'System Settings',N'3.1.0',N'9.9.9');


